
;CodeVisionAVR C Compiler V1.25.3 Standard
;(C) Copyright 1998-2007 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type              : ATmega128
;Program type           : Application
;Clock frequency        : 16.000000 MHz
;Memory model           : Medium
;Optimize for           : Size
;(s)printf features     : int, width
;(s)scanf features      : int, width
;External SRAM size     : 0
;Data Stack size        : 1024 byte(s)
;Heap size              : 0 byte(s)
;Promote char to int    : No
;char is unsigned       : Yes
;8 bit enums            : No
;Word align FLASH struct: No
;Enhanced core instructions    : On
;Smart register allocation : On
;Automatic register allocation : On

	#pragma AVRPART ADMIN PART_NAME ATmega128
	#pragma AVRPART MEMORY PROG_FLASH 131072
	#pragma AVRPART MEMORY EEPROM 4096
	#pragma AVRPART MEMORY INT_SRAM SIZE 4096
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x100

	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU RAMPZ=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F
	.EQU XMCRA=0x6D
	.EQU XMCRB=0x6C

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.EQU __se_bit=0x20
	.EQU __sm_mask=0x1C
	.EQU __sm_adc_noise_red=0x08
	.EQU __sm_powerdown=0x10
	.EQU __sm_powersave=0x18
	.EQU __sm_standby=0x14
	.EQU __sm_ext_standby=0x1C

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM
	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM
	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM
	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM
	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM
	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM
	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+@1
	ANDI R30,LOW(@2)
	STS  @0+@1,R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+@1
	ANDI R30,LOW(@2)
	STS  @0+@1,R30
	LDS  R30,@0+@1+1
	ANDI R30,HIGH(@2)
	STS  @0+@1+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+@1
	ORI  R30,LOW(@2)
	STS  @0+@1,R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+@1
	ORI  R30,LOW(@2)
	STS  @0+@1,R30
	LDS  R30,@0+@1+1
	ORI  R30,HIGH(@2)
	STS  @0+@1+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __CLRD1S
	LDI  R30,0
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+@1)
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+@1)
	LDI  R31,HIGH(@0+@1)
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	LDI  R22,BYTE3(2*@0+@1)
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+@1)
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+@1)
	LDI  R27,HIGH(@0+@1)
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+@2)
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+@3)
	LDI  R@1,HIGH(@2+@3)
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+@3)
	LDI  R@1,HIGH(@2*2+@3)
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+@1
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+@1
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	LDS  R22,@0+@1+2
	LDS  R23,@0+@1+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+@2
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+@3
	LDS  R@1,@2+@3+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+@1
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+@1
	LDS  R27,@0+@1+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+@1
	LDS  R27,@0+@1+1
	LDS  R24,@0+@1+2
	LDS  R25,@0+@1+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+@1,R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+@1,R30
	STS  @0+@1+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+@1,R30
	STS  @0+@1+1,R31
	STS  @0+@1+2,R22
	STS  @0+@1+3,R23
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+@1,R0
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+@1,R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+@1,R@2
	STS  @0+@1+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __GETBRPF
	OUT  RAMPZ,R22
	ELPM R@0,Z
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+@1
	LDS  R31,@0+@1+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+@1)
	LDI  R31,HIGH(2*@0+@1)
	CALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+@1)
	LDI  R27,HIGH(@0+@1)
	CALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	CALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	CLR  R0
	ST   Z+,R0
	ST   Z,R0
	.ENDM

	.MACRO __CLRD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	CLR  R0
	ST   Z+,R0
	ST   Z+,R0
	ST   Z+,R0
	ST   Z,R0
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R@1
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

	.CSEG
	.ORG 0

	.INCLUDE "test.vec"
	.INCLUDE "test.inc"

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  MCUCR,R31
	OUT  MCUCR,R30
	STS  XMCRB,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,13
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(0x1000)
	LDI  R25,HIGH(0x1000)
	LDI  R26,LOW(0x100)
	LDI  R27,HIGH(0x100)
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
	LDI  R29,BYTE3(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	OUT  RAMPZ,R29
	ELPM R24,Z+
	ELPM R25,Z+
	SBIW R24,0
	BREQ __GLOBAL_INI_END
	ELPM R26,Z+
	ELPM R27,Z+
	ELPM R0,Z+
	ELPM R1,Z+
	ELPM R28,Z+
	ELPM R29,Z+
	MOVW R22,R30
	IN   R29,RAMPZ
	MOVW R30,R0
	OUT  RAMPZ,R28
__GLOBAL_INI_LOOP:
	ELPM R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

;STACK POINTER INITIALIZATION
	LDI  R30,LOW(0x10FF)
	OUT  SPL,R30
	LDI  R30,HIGH(0x10FF)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(0x500)
	LDI  R29,HIGH(0x500)

	JMP  _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x500
;       1 // ========================= Atmega128 ÷ LCD ׽Ʈ α׷ ===============
;       2 //  CPU : ATmega128-16M - 320*240 2.8" ÷ LCD
;       3 //     ¥ : 2008-
;       4 //      : Ver1.0
;       5 //    : www.cpuplaza.com
;       6 // Ϸ : CVAVR
;       7 //      : serial 19200,N,8,1
;       8 // ----------------------------------------------------------------------------
;       9 // ⺻ 
;      10 #include <mega128.h>							// CPU  
;      11 
;      12 #include <stdio.h>
;      13 #include <stdlib.h>
;      14 #include <ctype.h>
;      15 #include <float.h>
;      16 #include <math.h>
;      17 #include <string.h>
;      18 #include <delay.h>
;      19 
;      20 //  
;      21 #include "cpusetup.inc"							// cpu  ͷƮ  ƾ
;      22 // =================================== CPUʱȭ ͷƮ ===================
;      23 //      : CPU  ϰ ͷƮ  ƾ .
;      24 // ----------------------------------------------------------------------------
;      25 //   
;      26 #define RXB8 1
;      27 #define TXB8 0
;      28 #define UPE 2
;      29 #define OVR 3
;      30 #define FE 4
;      31 #define UDRE 5
;      32 #define RXC 7
;      33 
;      34 #define FRAMING_ERROR (1<<FE)
;      35 #define PARITY_ERROR (1<<UPE)
;      36 #define DATA_OVERRUN (1<<OVR)
;      37 #define DATA_REGISTER_EMPTY (1<<UDRE)
;      38 #define RX_COMPLETE (1<<RXC)
;      39 
;      40 // Լ 
;      41 int putchar_0(char data);					// COM1 ۽
;      42 int getchar_0(void);						// COM1 
;      43 
;      44 //  
;      45 char com1_rx_data,com1_rx_eflg = 0;				// COM1   ͷƮ  /÷
;      46 
;      47 int timer0_cnt = 0;						// Ÿ̸0 ͷƮ  ī
;      48 int timer0_touch_cnt = 0;					// timer0 ġ  10ms ī
;      49 
;      50 // ===================================== CPUʱȭ ============================
;      51 // [μ] void
;      52 // ----------------------------------------------------------------------------
;      53 void cpu_setup(void)
;      54 {

	.CSEG
_cpu_setup:
;      55 // PortA 
;      56 // LCD_D[0..7] : LCD Data Bus
;      57 	PORTA=0xff;						// Ʈ  reg
	CALL SUBOPT_0x0
;      58 	DDRA=0x00;                                              // Ʈ  reg(0Է,1)
;      59 
;      60 // PortC 
;      61 // LCD_D[8..15] : LCD Data Bus(color lcd)
;      62 // PortC.0 : LCD_CS1
;      63 // PortC.1 : LCD_CS2
;      64 	PORTC=0xff;						// Ʈ  reg
;      65 	DDRC=0x00;                                              // Ʈ  reg(0Է,1)
;      66 
;      67 // PortE 
;      68 // PortE.3(OUT) : LCD DIR
;      69 // PortE.4(OUT) : LCD E
;      70 // PortE.5(OUT) : LCD RS
;      71 // PortE.6(OUT) : GLCD/CLCD Reset
;      72 // PortE.7(IN)  : TSC2003 Interrupt PULL UP(external)
;      73 	PORTE=0x40;						// Ʈ  reg
	LDI  R30,LOW(64)
	OUT  0x3,R30
;      74 	DDRE=0x78;                                              // Ʈ  reg(0Է,1)
	LDI  R30,LOW(120)
	OUT  0x2,R30
;      75 
;      76 // PortG 
;      77 // PortG.0(OUT) : LCD R/W,CLCD_WR
;      78 // PortG.1(OUT) : LCD RD
;      79 // PortG.2(OUT) : LCD CS
;      80 	PORTG=0x07;						// Ʈ  reg
	LDI  R30,LOW(7)
	STS  101,R30
;      81 	DDRG=0x07;                                              // Ʈ  reg(0Է,1)
	STS  100,R30
;      82 
;      83 // Timer/Counter0 (Overflow)
;      84 	ASSR=0x00;
	LDI  R30,LOW(0)
	OUT  0x30,R30
;      85 	TCCR0 = 0x07;						// system clock,16,000,000 / 1024 = 15.625Khz
	LDI  R30,LOW(7)
	OUT  0x33,R30
;      86 	TCNT0 = 99;						// 255-156 = 99
	LDI  R30,LOW(99)
	OUT  0x32,R30
;      87 	OCR0=0x00;
	LDI  R30,LOW(0)
	OUT  0x31,R30
;      88 	TIMSK |= 0x01;						// TIMER0 ͷƮ 㰡
	IN   R30,0x37
	ORI  R30,1
	OUT  0x37,R30
;      89 
;      90 //  ʱȭ(COM1)
;      91 // 19200Bps, 8Data, 1 Stop, No Parity
;      92 	UCSR0A=0x00;
	LDI  R30,LOW(0)
	OUT  0xB,R30
;      93 	UCSR0B=0x98;
	LDI  R30,LOW(152)
	OUT  0xA,R30
;      94 	UCSR0C=0x06;
	LDI  R30,LOW(6)
	STS  149,R30
;      95 	UBRR0H=0x00;
	LDI  R30,LOW(0)
	STS  144,R30
;      96 	UBRR0L=0x33;
	LDI  R30,LOW(51)
	OUT  0x9,R30
;      97 
;      98 // External SRAM page configuration:
;      99 //              -              / 0000h - FFFFh
;     100 // Lower page wait state(s): None
;     101 // Upper page wait state(s): 1r/w
;     102 //	MCUCR=0xc0;
;     103 //	XMCRA=0x02;
;     104 
;     105 // Analog Comparator 
;     106 	ACSR=0x80;
	LDI  R30,LOW(128)
	OUT  0x8,R30
;     107 	SFIOR=0x00;
	LDI  R30,LOW(0)
	OUT  0x20,R30
;     108 
;     109 // Global enable interrupts
;     110 #asm("sei")
	sei
;     111 }
	RET
;     112 // =============================== COM1 ͷƮ ===========================
;     113 // [μ] void
;     114 // ----------------------------------------------------------------------------
;     115 #pragma savereg-
;     116 interrupt [USART0_RXC] void uart0_rx_isr(void)
;     117 {
_uart0_rx_isr:
;     118 char status,data;
;     119 #asm
;     120 	push r26
	push r26
;     121 	push r27
	push r27
;     122 	push r30
	push r30
;     123 	push r31
	push r31
;     124 	in   r26,sreg
	in   r26,sreg
;     125 	push r26
	push r26
;     126 #endasm
;     127 
;     128 	status=UCSR0A;
	ST   -Y,R17
	ST   -Y,R16
;	status -> R17
;	data -> R16
	IN   R17,11
;     129 	data=UDR0;
	IN   R16,12
;     130 	if((status & (FRAMING_ERROR | PARITY_ERROR | DATA_OVERRUN))==0){
	MOV  R30,R17
	ANDI R30,LOW(0x1C)
	BRNE _0x3
;     131 		com1_rx_data = data;
	MOV  R5,R16
;     132 		com1_rx_eflg = 1;
	LDI  R30,LOW(1)
	MOV  R4,R30
;     133 	}
;     134 
;     135 #asm
_0x3:
;     136 	pop  r26
	pop  r26
;     137 	out  sreg,r26
	out  sreg,r26
;     138 	pop  r31
	pop  r31
;     139 	pop  r30
	pop  r30
;     140 	pop  r27
	pop  r27
;     141 	pop  r26
	pop  r26
;     142 #endasm
;     143 }
	LD   R16,Y+
	LD   R17,Y+
	RETI
;     144 #pragma savereg+
;     145 
;     146 // ========================== TIMER0 overflow ͷƮ ========================
;     147 // [μ] void
;     148 // [] 16,000,000 / 1024 / 156 =  1 / 100.1602564 = 9.9984ms
;     149 // ----------------------------------------------------------------------------
;     150 interrupt [TIM0_OVF] void timer0_ovf_isr(void)
;     151 {
_timer0_ovf_isr:
	ST   -Y,R30
	ST   -Y,R31
	IN   R30,SREG
	ST   -Y,R30
;     152 	TCNT0 = 99;						// 255-156 = 100
	LDI  R30,LOW(99)
	OUT  0x32,R30
;     153 	timer0_cnt++;						// Ÿ̸0 ī
	MOVW R30,R6
	ADIW R30,1
	MOVW R6,R30
;     154 	timer0_touch_cnt++;					// Ÿ̸0 ġ  ī++
	MOVW R30,R8
	ADIW R30,1
	MOVW R8,R30
;     155 }
	LD   R30,Y+
	OUT  SREG,R30
	LD   R31,Y+
	LD   R30,Y+
	RETI
;     156 #include "tftlcd.inc"							// ׷ LCD
;     157 // ====================== Color LCD  α׷ ==============================
;     158 //  : 320*240 TFT LCD(T32QT7690-HX8347)
;     159 // -----------------------------------------------------------------------------
;     160 // Ʈ
;     161 #include "eng16x24.fnt"
;     162 unsigned char flash AscFont16[128][48] =  {
;     163 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     164 	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192, 128,  32, 145,  32, 145,  32, 128,  32, 128,  32, 128,  32, 159,  32, 142,  32, 142,  32, 128,  32, 128,  32, 128,  32, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     165 	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192, 255, 224, 206,  96, 206,  96, 255, 224, 255, 224, 255, 224, 192,  96, 241, 224, 241, 224, 255, 224, 255, 224, 255, 224, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     166 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 115,   0, 115,   0, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192, 127,   0,  30,   0,  30,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     167 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0, 127,   0, 127,   0, 255, 192, 127,   0, 127,   0,  30,   0,   8,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     168 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  31,   0,  31,   0,  31,   0, 241, 224, 241, 224, 241, 224, 241, 224, 241, 224,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     169 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  31,   0,  31,   0, 127, 192, 255, 224, 255, 224, 255, 224, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     170 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0,  31,   0,  31,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     171 	{255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 241, 224, 241, 224, 192,  96, 192,  96, 192,  96, 241, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224},
;     172 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  31,   0, 113, 192, 113, 192,  64,  64,  64,  64,  64,  64, 113, 192,  31,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     173 	{255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 192,  96, 142,  32, 142,  32, 159,  32, 159,  32, 159,  32, 142,  32, 192,  96, 192,  96, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224},
;     174 	{  0,   0,   0,   0,   0,   0,   0,   0,  15, 192,  15, 192,   3, 192,  14,  64,  14,  64,  24,  64, 126,   0, 126,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 126,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     175 	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,  31,   0,  14,   0,  14,   0, 127, 192,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     176 	{  0,   0,   0,   0,   0,   0,   0,   0,  31, 224,  31, 224,  24,  96,  31, 224,  31, 224,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0, 120,   0, 248,   0, 248,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     177 	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 224, 127, 224, 112,  96, 127, 224, 127, 224, 112,  96, 112,  96, 112,  96, 112,  96, 112,  96, 112,  96, 113, 224, 241, 224, 241, 224, 241, 192, 192,   0, 192,   0,   0,   0,   0,   0,   0,   0},
;     178 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0, 206,  96,  31,   0,  31,   0, 241, 224,  31,   0,  31,   0, 206,  96,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     179 	{  0,   0,   0,   0,   0,   0, 128,   0, 192,   0, 192,   0, 240,   0, 248,   0, 248,   0, 254,   0, 255, 192, 255, 192, 254,   0, 248,   0, 248,   0, 240,   0, 192,   0, 192,   0, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     180 	{  0,   0,   0,   0,   0,   0,   0,  64,   1, 192,   1, 192,   3, 192,  15, 192,  15, 192,  31, 192, 255, 192, 255, 192,  31, 192,  15, 192,  15, 192,   3, 192,   1, 192,   1, 192,   0,  64,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     181 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192, 127, 192,  31,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     182 	{  0,   0,   0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,   0,   0, 113, 192, 113, 192, 113, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     183 	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 224, 127, 224, 206,  96, 206,  96, 206,  96, 206,  96, 126,  96, 126,  96,  14,  96,  14,  96,  14,  96,  14,  96,  14,  96,  14,  96,  14,  96,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     184 	{  0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 112,   0,  30,   0,  30,   0, 115,   0, 193, 192, 193, 192, 193, 192, 115,   0, 115,   0,  30,   0,   3,   0,   3,   0, 193, 192, 127,   0, 127,   0,   0,   0,   0,   0,   0,   0},
;     185 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     186 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192, 127, 192,  31,   0,  14,   0,  14,   0, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     187 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     188 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192,  31,   0,  31,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     189 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,   3,   0,   3,   0, 255, 192,   3,   0,   3,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     190 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0, 112,   0, 112,   0, 255, 192, 112,   0, 112,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     191 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 192,   0, 192,   0, 192,   0, 192,   0, 192,   0, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     192 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  18,   0, 115,   0, 115,   0, 255, 192, 115,   0, 115,   0,  18,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     193 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0,  30,   0,  30,   0, 127,   0, 127,   0, 127,   0, 255, 192, 255, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     194 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 255, 192, 127,   0, 127,   0, 127,   0,  30,   0,  30,   0,  30,   0,   8,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     195 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     196 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0,  31,   0,  31,   0,  31,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     197 	{  0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192,  17,   0,  17,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     198 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 115,   0, 115,   0, 115,   0, 255, 192, 115,   0, 115,   0, 115,   0, 115,   0, 115,   0, 255, 192, 115,   0, 115,   0, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     199 	{  0,   0,  14,   0,  14,   0,  14,   0, 127,   0, 127,   0, 193, 192, 192,  64, 192,  64, 192,   0, 127,   0, 127,   0,   1, 192,   1, 192,   1, 192, 129, 192, 193, 192, 193, 192, 127,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0},
;     200 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 192,  64, 192,  64, 193, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0, 193, 192, 193, 192, 129, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     201 	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 115,   0, 115,   0, 115,   0,  30,   0, 121, 192, 121, 192, 207,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     202 	{  0,   0,   0,   0,   0,   0,  24,   0,  24,   0,  24,   0,  24,   0, 112,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     203 	{  0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  14,   0,  14,   0,   3,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     204 	{  0,   0,   0,   0,   0,   0,   0,   0,  24,   0,  24,   0,  14,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,  14,   0,  14,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     205 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 113, 192,  31,   0,  31,   0, 255, 224,  31,   0,  31,   0, 113, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     206 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0, 127, 192,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     207 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  24,   0,  24,   0,   0,   0,   0,   0,   0,   0},
;     208 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     209 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     210 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  64,   0,  64,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0, 192,   0, 192,   0, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     211 	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 115,   0, 193, 192, 193, 192, 193, 192, 201, 192, 201, 192, 201, 192, 193, 192, 193, 192, 193, 192, 115,   0, 115,   0,  30,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     212 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  30,   0, 126,   0, 126,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     213 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192,   1, 192,   1, 192,   3,   0,  14,   0,  14,   0,  24,   0, 112,   0, 112,   0, 192,   0, 193, 192, 193, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     214 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192,   1, 192,   1, 192,   1, 192,  31,   0,  31,   0,   1, 192,   1, 192,   1, 192,   1, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     215 	{  0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   3,   0,  15,   0,  31,   0,  31,   0, 115,   0, 195,   0, 195,   0, 255, 192,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     216 	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 192,   0, 192,   0, 192,   0, 192,   0, 255,   0, 255,   0,   1, 192,   1, 192,   1, 192,   1, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     217 	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 112,   0, 192,   0, 192,   0, 192,   0, 255,   0, 255,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     218 	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 193, 192,   1, 192,   1, 192,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     219 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     220 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 127, 192, 127, 192,   1, 192,   1, 192,   1, 192,   1, 192,   3,   0,   3,   0, 126,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     221 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     222 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     223 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0,  24,   0,  24,   0,  14,   0,   3,   0,   3,   0,   1, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     224 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 192,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     225 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,  24,   0,  24,   0,  14,   0,   3,   0,   3,   0,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     226 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192,   3,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     227 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 193, 192, 207, 192, 207, 192, 207, 192, 207, 192, 207, 192, 207,   0, 192,   0, 192,   0, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     228 	{  0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0, 115,   0, 115,   0, 193, 192, 193, 192, 193, 192, 255, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     229 	{  0,   0,   0,   0,   0,   0,   0,   0, 255,   0, 255,   0, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 255,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     230 	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0, 113, 192, 192,  64, 192,  64, 192,   0, 192,   0, 192,   0, 192,   0, 192,   0, 192,   0, 192,  64, 113, 192, 113, 192,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     231 	{  0,   0,   0,   0,   0,   0,   0,   0, 254,   0, 254,   0, 115,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 115,   0, 115,   0, 254,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     232 	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 113, 192, 112,  64, 112,  64, 114,   0, 126,   0, 126,   0, 114,   0, 112,   0, 112,   0, 112,  64, 113, 192, 113, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     233 	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 113, 192, 112,  64, 112,  64, 114,   0, 126,   0, 126,   0, 114,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     234 	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0, 113, 192, 192,  64, 192,  64, 192,   0, 192,   0, 192,   0, 207, 192, 193, 192, 193, 192, 193, 192, 113, 192, 113, 192,  30,  64,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     235 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 255, 192, 255, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     236 	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     237 	{  0,   0,   0,   0,   0,   0,   0,   0,  15, 192,  15, 192,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 126,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     238 	{  0,   0,   0,   0,   0,   0,   0,   0, 241, 192, 241, 192, 113, 192, 113, 192, 113, 192, 115,   0, 126,   0, 126,   0, 126,   0, 115,   0, 115,   0, 113, 192, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     239 	{  0,   0,   0,   0,   0,   0,   0,   0, 248,   0, 248,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,  64, 113, 192, 113, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     240 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 243, 192, 255, 192, 255, 192, 255, 192, 201, 192, 201, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     241 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 241, 192, 249, 192, 249, 192, 255, 192, 207, 192, 207, 192, 195, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     242 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     243 	{  0,   0,   0,   0,   0,   0,   0,   0, 255,   0, 255,   0, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     244 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 201, 192, 207, 192, 207, 192, 127,   0,   3,   0,   3,   0,   3, 192,   0,   0,   0,   0},
;     245 	{  0,   0,   0,   0,   0,   0,   0,   0, 255,   0, 255,   0, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 115,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     246 	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 112,   0,  30,   0,  30,   0,   3,   0,   1, 192,   1, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     247 	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192, 127, 192,  78,  64,  78,  64,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     248 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     249 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 115,   0,  30,   0,  30,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     250 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 201, 192, 201, 192, 201, 192, 201, 192, 201, 192, 255, 192, 243, 192, 243, 192, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     251 	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 115,   0, 115,   0, 127,   0,  30,   0,  30,   0,  30,   0, 127,   0, 127,   0, 115,   0, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     252 	{  0,   0,   0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,  31,   0,  31,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     253 	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 193, 192, 129, 192, 129, 192,   3,   0,  14,   0,  14,   0,  24,   0, 112,   0, 112,   0, 192,  64, 193, 192, 193, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     254 	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     255 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 128,   0, 192,   0, 192,   0, 240,   0, 120,   0, 120,   0,  30,   0,  15,   0,  15,   0,   3, 192,   1, 192,   1, 192,   0,  64,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     256 	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     257 	{  0,   0,   8,   0,   8,   0,  30,   0, 115,   0, 115,   0, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     258 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 224,   0,   0,   0,   0},
;     259 	{  0,   0,  24,   0,  24,   0,  24,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     260 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 126,   0,   3,   0,   3,   0, 127,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     261 	{  0,   0,   0,   0,   0,   0,   0,   0, 240,   0, 240,   0, 112,   0, 112,   0, 112,   0, 126,   0, 115,   0, 115,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     262 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 192,   0, 192,   0, 192,   0, 192,   0, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     263 	{  0,   0,   0,   0,   0,   0,   0,   0,  15,   0,  15,   0,   3,   0,   3,   0,   3,   0,  31,   0, 115,   0, 115,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     264 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 255, 192, 192,   0, 192,   0, 192,   0, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     265 	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 115,   0, 113,   0, 113,   0, 112,   0, 248,   0, 248,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     266 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 192, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 127,   0, 127,   0,   3,   0, 195,   0, 195,   0, 126,   0,   0,   0,   0,   0},
;     267 	{  0,   0,   0,   0,   0,   0,   0,   0, 240,   0, 240,   0, 112,   0, 112,   0, 112,   0, 115,   0, 121, 192, 121, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     268 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,  30,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     269 	{  0,   0,   0,   0,   0,   0,   0,   0,   1, 192,   1, 192,   1, 192,   0,   0,   0,   0,   3, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192, 113, 192, 113, 192, 113, 192,  31,   0,   0,   0,   0,   0},
;     270 	{  0,   0,   0,   0,   0,   0,   0,   0, 240,   0, 240,   0, 112,   0, 112,   0, 112,   0, 113, 192, 115,   0, 115,   0, 126,   0, 126,   0, 126,   0, 115,   0, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     271 	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     272 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 243,   0, 255, 192, 255, 192, 201, 192, 201, 192, 201, 192, 201, 192, 201, 192, 201, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     273 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 207,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     274 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     275 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 207,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0},
;     276 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 192, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 127,   0, 127,   0,   3,   0,   3,   0,   3,   0,  15, 192,   0,   0,   0,   0},
;     277 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 207,   0, 121, 192, 121, 192, 113, 192, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     278 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 112,   0,  30,   0,  30,   0,   3,   0, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     279 	{  0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  24,   0,  24,   0,  24,   0, 255,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  25, 192,  25, 192,  15,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     280 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     281 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,  31,   0,  31,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     282 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 201, 192, 201, 192, 201, 192, 201, 192, 255, 192, 255, 192, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     283 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 115,   0, 115,   0,  30,   0,  30,   0,  30,   0,  30,   0, 115,   0, 115,   0, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     284 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127, 192, 127, 192,   1, 192,   3,   0,   3,   0, 254,   0,   0,   0,   0,   0},
;     285 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 195,   0, 195,   0,  14,   0,  24,   0,  24,   0, 112,   0, 193, 192, 193, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     286 	{  0,   0,   0,   0,   0,   0,   0,   0,   3, 192,   3, 192,  14,   0,  14,   0,  14,   0,  14,   0, 120,   0, 120,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   3, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     287 	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     288 	{  0,   0,   0,   0,   0,   0,   0,   0, 120,   0, 120,   0,  14,   0,  14,   0,  14,   0,  14,   0,   3, 192,   3, 192,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     289 	{  0,   0,   0,   0,   0,   0,   0,   0, 121, 192, 121, 192, 207,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     290 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0, 115,   0, 115,   0, 193, 192, 193, 192, 193, 192, 193, 192, 255, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}
;     291 };
;     292 #include "han24x24.fnt"
;     293 unsigned char flash HanFont1[152][72] = {
;     294 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,
;     295 	  14,   0,   0,  14,   0,   0,  14,   0,   0,  24,   0,   0, 112,   0,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     296 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  25, 192,   0,  25, 192,   0,
;     297 	  25, 192,   0,  25, 192,   0,  25, 192,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     298 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0,
;     299 	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     300 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0,
;     301 	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     302 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0,
;     303 	 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 127, 252,   0, 127, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     304 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0,
;     305 	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     306 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0,
;     307 	 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 127, 224,   0, 127, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     308 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 127, 224,   0, 112,  96,   0, 112,  96,   0,
;     309 	 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 127, 224,   0, 127, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     310 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0,
;     311 	 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     312 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,
;     313 	  24,  96,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     314 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0, 115, 224,   0, 115, 224,   0,
;     315 	 115, 224,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     316 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,
;     317 	 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     318 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,
;     319 	  24,  96,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     320 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 248,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,
;     321 	 115, 224,   0, 115, 224,   0, 115, 224,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     322 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,
;     323 	  24,  96,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     324 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0, 127,   0,   0,   3,   0,   0,   3,   0,   0,
;     325 	  14,   0,   0,  14,   0,   0,  14,   0,   0,  24,   0,   0, 112,   0,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     326 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 192,   0, 112,   0,   0, 112,   0,   0,
;     327 	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     328 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,
;     329 	  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0, 127, 224,   0, 127, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     330 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,
;     331 	 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     332 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     333 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     334 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 199, 240,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,
;     335 	   1, 192,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     336 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,
;     337 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     338 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,
;     339 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     340 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 207, 240,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,
;     341 	  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     342 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,
;     343 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     344 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,
;     345 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     346 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,
;     347 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     348 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,  56,  48,  24,  56,  48,  24,  56,  48,  24,  56,  48,  31, 255, 240,  31, 255, 240,  24,  56,  48,  24,  56,  48,  24,  56,  48,
;     349 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     350 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240,
;     351 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     352 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,  14,  56, 224,  14,  56, 224,
;     353 	  24,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     354 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3, 255, 128,  14,   0, 224,  14,   0, 224,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  14,   0, 224,  14,   0, 224,
;     355 	   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     356 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,   3,   1, 128,   3,   1, 128,
;     357 	  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     358 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,  14,  56, 224,  14,  56, 224,
;     359 	  24,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     360 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,  31, 255, 240,  31, 255, 240,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,   3,   1, 128,   3,   1, 128,
;     361 	  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     362 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,  15, 255, 240,  15, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     363 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     364 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 224,  31, 255, 224,  24,   0,   0,  24,   0,   0,  24,   0,   0,
;     365 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     366 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,
;     367 	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     368 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,  31, 255, 240,  31, 255, 240,   3, 255, 128,  14,   0, 224,  14,   0, 224,  24,   0,  48,  14,   0, 224,  14,   0, 224,
;     369 	   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     370 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     371 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     372 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 199, 240,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,
;     373 	   1, 192,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     374 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     375 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     376 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     377 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     378 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 207, 240,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  31, 207, 240,   0,   0,   0,   0,   0,   0,
;     379 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     380 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,  31, 255, 240,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     381 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     382 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     383 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     384 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  24,   0,  48,  24,   0,  48,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     385 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     386 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,  56,  48,  24,  56,  48,  24,  56,  48,  31, 255, 240,  24,  56,  48,  24,  56,  48,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     387 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     388 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240,
;     389 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     390 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,   3, 255, 128,  14,  56, 224,  24,  96,  48,  24,  96,  48,
;     391 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     392 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3, 255, 128,  14,   0, 224,  14,   0, 224,  24,   0,  48,  24,   0,  48,  24,   0,  48,  14,   0, 224,   3, 255, 128,   3, 255, 128,
;     393 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     394 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240,
;     395 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     396 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,   3, 255, 128,  14,  56, 224,  24,  96,  48,  24,  96,  48,
;     397 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     398 	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240,
;     399 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     400 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     401 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     402 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     403 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     404 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  31, 255, 240,   0,   0,   0,   0,   0,   0,
;     405 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     406 	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   3, 255, 128,   3, 255, 128,  14,   0, 224,  24,   0,  48,  24,   0,  48,  14,   0, 224,   3, 255, 128,   3, 255, 128,
;     407 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     408 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,
;     409 	   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     410 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,
;     411 	  14,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     412 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0,
;     413 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     414 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0,
;     415 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     416 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0,
;     417 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     418 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0,
;     419 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     420 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,
;     421 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     422 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,
;     423 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     424 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0,
;     425 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     426 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0,
;     427 	 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     428 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0, 115, 224,   0, 115, 224,   0,
;     429 	 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     430 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,
;     431 	  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     432 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0,
;     433 	 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     434 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  31, 248,   0,  31, 248,   0,
;     435 	 115,  12,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     436 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0, 127, 248,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0,
;     437 	 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     438 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,
;     439 	   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     440 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 224,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0,
;     441 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     442 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,
;     443 	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     444 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,
;     445 	  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     446 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,
;     447 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     448 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,   0,   0,   0,   0,   0,   0,
;     449 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     450 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     451 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     452 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     453 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     454 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     455 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     456 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     457 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     458 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     459 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     460 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     461 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     462 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     463 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     464 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,
;     465 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     466 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0, 115, 224,   0, 115, 224,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,
;     467 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     468 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,
;     469 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     470 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,
;     471 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     472 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  31, 248,   0,  31, 248,   0, 115,  12,   0,   0,   0,   0,   0,   0,   0,
;     473 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     474 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,
;     475 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     476 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,
;     477 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     478 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     479 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     480 	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,
;     481 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     482 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,
;     483 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     484 	{  0,   0,   0, 127, 192,   0, 127, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  14,   0,   0, 112,   0,   0, 112,   0,   0,
;     485 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     486 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  24,  96,   0, 113, 192,   0, 113, 192,   0,
;     487 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     488 	{  0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,
;     489 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     490 	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,
;     491 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     492 	{  0,   0,   0, 121, 248,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 121, 248,   0, 121, 248,   0,
;     493 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     494 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,
;     495 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     496 	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 127, 248,   0,
;     497 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     498 	{  0,   0,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 127, 248,   0,
;     499 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     500 	{  0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 127, 248,   0,
;     501 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     502 	{  0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,
;     503 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     504 	{  0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0,  31, 192,   0, 115, 224,   0, 206,  56,   0, 206,  56,   0,
;     505 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     506 	{  0,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,
;     507 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     508 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,
;     509 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     510 	{  0,   0,   0, 127, 252,   0, 127, 252,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  31, 248,   0, 115,  12,   0, 115,  12,   0,
;     511 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     512 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,
;     513 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     514 	{  0,   0,   0, 127, 224,   0, 127, 224,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0, 127, 224,   0,   1, 192,   0,   1, 192,   0,  15,   0,   0, 120,   0,   0, 120,   0,   0,
;     515 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     516 	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,
;     517 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     518 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 127, 248,   0, 127, 248,   0,
;     519 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     520 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,
;     521 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     522 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,
;     523 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     524 	{  0,   0,   0,  31, 231, 240,  31, 231, 240,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     525 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     526 	{  0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     527 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     528 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     529 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     530 	{  0,   0,   0,  31, 207, 240,  31, 207, 240,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  31, 207, 240,  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     531 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     532 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     533 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     534 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     535 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     536 	{  0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     537 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     538 	{  0,   0,   0,  24,  56,  48,  24,  56,  48,  24,  56,  48,  31, 255, 240,  31, 255, 240,  24,  56,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     539 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     540 	{  0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  24,   0,  48,  24,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     541 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     542 	{  0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  15, 199, 224,  24, 124,  48,  24, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     543 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     544 	{  0,   0,   0,   3, 255, 128,   3, 255, 128,  14,   0, 224,  24,   0,  48,  24,   0,  48,  14,   0, 224,   3, 255, 128,   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     545 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     546 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  24,   0,  48,  24,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     547 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     548 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,  15, 199, 224,  24, 124,  48,  24, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     549 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     550 	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   0, 124,   0,   0, 124,   0,   3, 199, 128,  24,   0,  48,  24,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     551 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     552 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,
;     553 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     554 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     555 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     556 	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     557 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     558 	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,  14,   0, 224,  14,   0, 224,  24,   0,  48,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     559 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     560 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     561 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     562 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     563 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     564 	{  0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     565 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     566 	{  0,   0,   0,  31, 248,   0,  31, 248,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     567 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     568 	{  0,   0,   0, 121, 248,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     569 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     570 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     571 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     572 	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     573 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     574 	{  0,   0,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     575 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     576 	{  0,   0,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     577 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     578 	{  0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0, 120, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     579 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     580 	{  0,   0,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0, 115, 224,   0, 115, 224,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     581 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     582 	{  0,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     583 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     584 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0, 120, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     585 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     586 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 115,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     587 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     588 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0, 120, 120,   0, 120, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     589 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     590 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  96,   0,   0,  96,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     591 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     592 	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 127, 224,   0, 127, 224,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     593 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     594 	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     595 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     596 	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,
;     597 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}
;     598 };
;     599 unsigned char flash HanFont2[84][72] = {
;     600 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,
;     601 	   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     602 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,
;     603 	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     604 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,
;     605 	   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     606 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     607 	   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     608 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,
;     609 	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     610 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,
;     611 	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     612 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     613 	   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     614 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     615 	   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     616 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     617 	   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     618 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,
;     619 	   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     620 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,
;     621 	   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 249, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     622 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     623 	   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     624 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     625 	   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     626 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     627 	   0,   0,   0, 127, 255, 252, 127, 255, 252,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     628 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     629 	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,  15, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     630 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     631 	 127, 255, 156,   3,   1, 156,   3,   1, 156,   3,  15, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     632 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     633 	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     634 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     635 	   0,   0,   0, 127, 255, 252, 127, 255, 252,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     636 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     637 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     638 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     639 	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     640 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     641 	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     642 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,
;     643 	   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     644 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,
;     645 	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     646 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,
;     647 	   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     648 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     649 	   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     650 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,
;     651 	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     652 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,
;     653 	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     654 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     655 	   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     656 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     657 	   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     658 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     659 	   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     660 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,
;     661 	   0,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     662 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,
;     663 	   0,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 255, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     664 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     665 	   0,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     666 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     667 	   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     668 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     669 	   0,   0,   0, 127, 255, 252, 127, 255, 252,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     670 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     671 	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,  15, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     672 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     673 	 127, 255, 156,   3,   1, 156,   3,   1, 156,   3,  15, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     674 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     675 	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     676 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     677 	   0,   0,   0, 127, 255, 252, 127, 255, 252,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     678 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     679 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     680 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     681 	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     682 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     683 	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     684 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,
;     685 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     686 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     687 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     688 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,
;     689 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     690 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     691 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     692 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     693 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     694 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     695 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     696 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     697 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     698 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     699 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     700 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252, 127, 255, 252,
;     701 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     702 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224, 127, 255, 224,
;     703 	   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     704 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 255, 156, 127, 255, 156,
;     705 	   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     706 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48, 127, 255, 240, 127, 255, 240,
;     707 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     708 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0, 127, 255, 252, 127, 255, 252,
;     709 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     710 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252,
;     711 	   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     712 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   7, 240,   3,   7, 240,
;     713 	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     714 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 127, 255, 156,   3,  15, 156,   3,  15, 156,
;     715 	   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     716 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   0,  48,   3,   0,  48,
;     717 	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     718 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252,
;     719 	   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     720 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252,
;     721 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     722 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240, 127, 255, 240,
;     723 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     724 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     725 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     726 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,
;     727 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     728 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     729 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     730 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,
;     731 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     732 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     733 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     734 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     735 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     736 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     737 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     738 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     739 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     740 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,
;     741 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     742 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252, 127, 255, 252,
;     743 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     744 	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224, 127, 255, 224,
;     745 	   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     746 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 255, 156, 127, 255, 156,
;     747 	   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     748 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48, 127, 255, 240, 127, 255, 240,
;     749 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     750 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128, 127, 255, 252, 127, 255, 252,
;     751 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     752 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252,
;     753 	   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     754 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   7, 240,   3,   7, 240,
;     755 	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     756 	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 127, 255, 156,   3,  15, 156,   3,  15, 156,
;     757 	   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     758 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   0,  48,   3,   0,  48,
;     759 	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     760 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252,
;     761 	   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     762 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252,
;     763 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     764 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240, 127, 255, 240,
;     765 	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     766 	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,
;     767 	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}
;     768 };
;     769 
;     770 unsigned char flash HanFont3[108][72] = {
;     771 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     772 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     773 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     774 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     775 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     776 	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  56, 224,   0,  56, 224,   0,  56, 224,   0,  57, 240,   0,  63,  28,   0,  63,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     777 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     778 	   0,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     779 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     780 	   0,   0,   0,  14,  63, 224,  14,  63, 224,  14,   7,   0,  14,   7,   0,  14,   7,   0,  14,  15, 128,  15, 248, 224,  15, 248, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     781 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     782 	   0,   0,   0,  14,   7,   0,  14,   7,   0,  14,  63, 224,  14,  15, 128,  14,  15, 128,  14,  56, 224,  15, 207, 128,  15, 207, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     783 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     784 	   0,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     785 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     786 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0, 224,  15, 255, 224,  15, 255, 224,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     787 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     788 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,  96, 224,  15, 224, 224,  15, 224, 224,  14,   0, 224,  15, 224, 224,  15, 224, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     789 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     790 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0, 124, 224,  15, 252, 224,  15, 252, 224,  14,  12, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     791 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     792 	   0,   0,   0,  15, 252, 224,  15, 252, 224,   0, 124, 224,  15, 255, 224,  15, 255, 224,  14,  12, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     793 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     794 	   0,   0,   0,  15, 225, 128,  15, 225, 128,   0,  97, 128,  15, 225, 128,  15, 225, 128,  14,   7, 224,  15, 252,  48,  15, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     795 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     796 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0, 124,   0,  15, 255, 224,  15, 255, 224,  14,  12,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     797 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     798 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   1, 249, 128,  15, 249, 128,  15, 249, 128,  14,  57, 128,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     799 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     800 	   0,   0,   0,  15, 199,   0,  15, 199,   0,   1, 255, 224,  15, 207, 128,  15, 207, 128,  14,  56, 224,  15, 207, 128,  15, 207, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     801 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     802 	   0,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0, 224,  14,   0, 224,  14,   0, 224,  14,   0, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     803 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     804 	   0,   0,   0,  14,   0, 224,  14,   0, 224,  14,   0, 224,  15, 255, 224,  15, 255, 224,  14,   0, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     805 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     806 	   0,   0,   0,  14,  97, 128,  14,  97, 128,  14,  97, 128,  15, 225, 128,  15, 225, 128,  14, 103, 224,  15, 252,  48,  15, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     807 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     808 	   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,  15,   1, 224,  15,   1, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     809 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     810 	   0,   0,   0,   1, 193, 128,   1, 193, 128,   1, 193, 128,   1, 193, 128,   1, 193, 128,   3, 231, 224,  14,  60,  48,  14,  60,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     811 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     812 	   0,   0,   0,   1, 255,   0,   1, 255,   0,   3,   1, 128,  14,   0, 224,  14,   0, 224,   3,   1, 128,   1, 255,   0,   1, 255,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     813 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     814 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,  15,   1, 224,  15,   1, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     815 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     816 	   0,  56,   0,  15, 255, 224,  15, 255, 224,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,  15,   1, 224,  15,   1, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     817 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     818 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0, 224,  15, 255, 224,  15, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     819 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     820 	   0,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     821 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     822 	   0,   0,   0,  15, 255, 224,  15, 255, 224,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     823 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     824 	   0,  56,   0,  15, 255, 224,  15, 255, 224,   3,   1, 128,  14,   0, 224,  14,   0, 224,   3,   1, 128,   1, 255,   0,   1, 255,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     825 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     826 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     827 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     828 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     829 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     830 	   0,   0,   0,   3, 252,  48,   3, 252,  48,   0,  12,  48,   0,  12,  48,   0,  12,  48,   0,  12, 252,   0,  15, 134,   0,  15, 134,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     831 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     832 	   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     833 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     834 	   0,   0,   0,   3,  15, 240,   3,  15, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   7, 224,   3, 252,  48,   3, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     835 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     836 	   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,  15, 240,   3,   7, 224,   3,   7, 224,   3,  12,  48,   3, 231, 224,   3, 231, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     837 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     838 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     839 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     840 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,  48,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     841 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     842 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  56,  48,   3, 248,  48,   3, 248,  48,   3,   0,  48,   3, 248,  48,   3, 248,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     843 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     844 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  63,  48,   3, 255,  48,   3, 255,  48,   3,   7,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     845 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     846 	   0,   0,   0,   3, 255,  48,   3, 255,  48,   0,  63,  48,   3, 255, 240,   3, 255, 240,   3,   7,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     847 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     848 	   0,   0,   0,   3, 248, 224,   3, 248, 224,   0,  56, 224,   3, 248, 224,   3, 248, 224,   3,   1, 240,   3, 255,  28,   3, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     849 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     850 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  63,   0,   3, 255, 240,   3, 255, 240,   3,   7,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     851 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     852 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0, 124, 224,   3, 252, 224,   3, 252, 224,   3,  12, 224,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     853 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     854 	   0,   0,   0,   3, 225, 128,   3, 225, 128,   0, 127, 240,   3, 231, 224,   3, 231, 224,   3,  12,  48,   3, 231, 224,   3, 231, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     855 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     856 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     857 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     858 	   0,   0,   0,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3, 255, 240,   3, 255, 240,   3,   0,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     859 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     860 	   0,   0,   0,   3,  56, 224,   3,  56, 224,   3,  56, 224,   3, 248, 224,   3, 248, 224,   3,  57, 240,   3, 255,  28,   3, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     861 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     862 	   0,   0,   0,   0,  12,   0,   0,  12,   0,   0,  12,   0,   0,  63,   0,   0,  63,   0,   0,  97, 128,   3, 192, 240,   3, 192, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     863 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     864 	   0,   0,   0,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   1, 249, 240,   3,  15,  28,   3,  15,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     865 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     866 	   0,   0,   0,   0, 127, 128,   0, 127, 128,   1, 192, 224,   3,   0,  48,   3,   0,  48,   1, 192, 224,   0, 127, 128,   0, 127, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     867 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     868 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  12,   0,   0,  63,   0,   0,  63,   0,   0,  97, 128,   3, 192, 240,   3, 192, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     869 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     870 	   0,  12,   0,   3, 255, 240,   3, 255, 240,   0,  12,   0,   0,  63,   0,   0,  63,   0,   0,  97, 128,   3, 192, 240,   3, 192, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     871 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     872 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,  48,   3, 255, 240,   3, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     873 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     874 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     875 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     876 	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  97, 128,   0,  97, 128,   0,  97, 128,   0,  97, 128,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     877 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     878 	   0,  12,   0,   3, 255, 240,   3, 255, 240,   1, 192, 224,   3,   0,  48,   3,   0,  48,   1, 192, 224,   0, 127, 128,   0, 127, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     879 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     880 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     881 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     882 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     883 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     884 	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  56, 224,   0,  56, 224,   0,  56, 224,   0,  57, 240,   0,  63,  28,   0,  63,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     885 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     886 	   0,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     887 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     888 	   0,   0,   0,  14,   7, 252,  14,   7, 252,  14,   0, 224,  14,   0, 224,  14,   0, 224,  14,   1, 240,  15, 255,  28,  15, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     889 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     890 	   0,   0,   0,  14,   1, 224,  14,   1, 224,  14,  15, 252,  14,   7, 240,  14,   7, 240,  14,  12,  28,  15, 231, 240,  15, 231, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     891 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     892 	   0,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     893 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     894 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,  28,  15, 255, 252,  15, 255, 252,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     895 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     896 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  56,  28,  15, 248,  28,  15, 248,  28,  14,   0,  28,  15, 248,  28,  15, 248,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     897 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     898 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  63,  28,  15, 255,  28,  15, 255,  28,  14,   7,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     899 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     900 	   0,   0,   0,  15, 255,  28,  15, 255,  28,   0,  63,  28,  15, 255, 252,  15, 255, 252,  14,   7,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     901 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     902 	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  56, 224,  15, 248, 224,  15, 248, 224,  14,   1, 240,  15, 255,  28,  15, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     903 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     904 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  63,   0,  15, 255, 252,  15, 255, 252,  14,   7,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     905 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     906 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0, 103,  48,  15, 231,  48,  15, 231,  48,  14,   7,  48,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     907 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     908 	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  63, 252,  15, 249, 240,  15, 249, 240,  14,   7,  28,  15, 249, 240,  15, 249, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     909 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     910 	   0,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,  28,  14,   0,  28,  14,   0,  28,  14,   0,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     911 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     912 	   0,   0,   0,  14,   0,  28,  14,   0,  28,  14,   0,  28,  15, 255, 252,  15, 255, 252,  14,   0,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     913 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     914 	   0,   0,   0,  14,  56, 224,  14,  56, 224,  14,  56, 224,  15, 248, 224,  15, 248, 224,  14,  57, 240,  15, 255,  28,  15, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     915 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     916 	   0,   0,   0,   0,  12,   0,   0,  12,   0,   0,  12,   0,   0,  63,   0,   0,  63,   0,   1, 225, 224,  15,   0,  60,  15,   0,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     917 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     918 	   0,   0,   0,   1, 192, 224,   1, 192, 224,   1, 192, 224,   1, 192, 224,   1, 192, 224,   3, 225, 240,  14,  63,  28,  14,  63,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     919 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     920 	   0,   0,   0,   1, 255, 224,   1, 255, 224,   3,   0,  48,  14,   0,  28,  14,   0,  28,   3,   0,  48,   1, 255, 224,   1, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     921 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     922 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  12,   0,   0,  63,   0,   0,  63,   0,   1, 225, 224,  15,   0,  60,  15,   0,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     923 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     924 	   0,   0,   0,   0,  12,   0,   0,  12,   0,  15, 255, 252,   0,  63,   0,   0,  63,   0,   1, 225, 224,  15,   0,  60,  15,   0,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     925 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     926 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,  28,  15, 255, 252,  15, 255, 252,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     927 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     928 	   0,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     929 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     930 	   0,   0,   0,  15, 255, 252,  15, 255, 252,   1, 192, 224,   1, 192, 224,   1, 192, 224,   1, 192, 224,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     931 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     932 	   0,   0,   0,   0,  12,   0,   0,  12,   0,  15, 255, 252,   3,   0,  48,   3,   0,  48,  14,   0,  28,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     933 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     934 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     935 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     936 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     937 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     938 	   0,   0,   0,  31, 225, 128,  31, 225, 128,   0,  97, 128,   0,  97, 128,   0,  97, 128,   0, 103, 224,   0, 124,  48,   0, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     939 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     940 	   0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     941 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     942 	   0,   0,   0,  24,  15, 240,  24,  15, 240,  24,   1, 128,  24,   1, 128,  24,   1, 128,  24,   7, 224,  31, 252,  48,  31, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     943 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     944 	   0,   0,   0,  24,   7, 128,  24,   7, 128,  24,  63, 240,  24,  15, 224,  24,  15, 224,  24,  56,  48,  31, 207, 224,  31, 207, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     945 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     946 	   0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     947 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     948 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     949 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     950 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  96,  48,  31, 224,  48,  31, 224,  48,  24,   0,  48,  31, 224,  48,  31, 224,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     951 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     952 	   0,   0,   0,  31, 207, 240,  31, 207, 240,   1, 204,  48,  31, 204,  48,  31, 204,  48,  24,  12,  48,  31, 207, 240,  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     953 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     954 	   0,   0,   0,  31, 204,  48,  31, 204,  48,   1, 204,  48,  31, 207, 240,  31, 207, 240,  24,  12,  48,  31, 207, 240,  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     955 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     956 	   0,   0,   0,  31, 225, 128,  31, 225, 128,   0,  97, 128,  31, 225, 128,  31, 225, 128,  24,   7, 224,  31, 252,  48,  31, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     957 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     958 	   0,   0,   0,  31, 231, 240,  31, 231, 240,   0, 103,   0,  31, 231, 240,  31, 231, 240,  24,   7,   0,  31, 231, 240,  31, 231, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     959 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     960 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   1, 204, 224,  31, 204, 224,  31, 204, 224,  24,  12, 224,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     961 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     962 	   0,   0,   0,  31, 225, 128,  31, 225, 128,   0, 127, 240,  31, 231, 224,  31, 231, 224,  24,  12,  48,  31, 231, 224,  31, 231, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     963 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     964 	   0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     965 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     966 	   0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     967 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     968 	   0,   0,   0,  24,  97, 128,  24,  97, 128,  24,  97, 128,  31, 225, 128,  31, 225, 128,  24, 103, 224,  31, 252,  48,  31, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     969 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     970 	   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  30,   0, 240,  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     971 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     972 	   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  15, 199, 224,  24, 124,  48,  24, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     973 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     974 	   0,   0,   0,   3, 255, 128,   3, 255, 128,  30,   0, 240,  24,   0,  48,  24,   0,  48,  30,   0, 240,   3, 255, 128,   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     975 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     976 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  30,   0, 240,  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     977 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     978 	   0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   0, 124,   0,   0, 124,   0,   3, 199, 128,  30,   0, 240,  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     979 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     980 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     981 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     982 	   0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     983 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     984 	   0,   0,   0,  31, 255, 240,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0},
;     985 	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
;     986 	   0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,  14,   0, 224,  14,   0, 224,  24,   0,  48,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}
;     987 };
;     988 
;     989 
;     990 // ϼ ->  ȯ ̺
;     991 #include "hconvtbl.inc"
;     992 unsigned flash Conv_Tbl[2354] =
;     993 {
;     994 	    34913u,34914u,34917u,34920u,34921u,34922u,34923u,34929u,34931u,34932u,
;     995 	    34933u,34934u,34935u,34936u,34937u,34939u,34940u,34941u,34945u,34946u,
;     996 	    34949u,34953u,34961u,34963u,34965u,34966u,34967u,34977u,34978u,34981u,
;     997 	    34985u,34997u,34999u,35009u,35013u,35017u,35041u,35042u,35045u,35048u,
;     998 	    35049u,35051u,35057u,35059u,35061u,35062u,35063u,35064u,35067u,35068u,
;     999 	    35069u,35137u,35141u,35145u,35153u,35155u,35157u,35158u,35159u,35169u,
;    1000 	    35170u,35171u,35173u,35176u,35177u,35185u,35187u,35189u,35190u,35191u,
;    1001 	    35195u,35201u,35205u,35209u,35219u,35221u,35233u,35234u,35237u,35240u,
;    1002 	    35241u,35243u,35245u,35248u,35249u,35251u,35253u,35255u,35256u,35265u,
;    1003 	    35266u,35269u,35273u,35275u,
;    1004 	    35281u,35283u,35285u,35287u,35297u,35301u,35305u,35313u,35318u,35319u,
;    1005 	    35393u,35394u,35397u,35401u,35409u,35411u,35413u,35415u,35425u,35429u,
;    1006 	    35433u,35443u,35445u,35457u,35458u,35461u,35464u,35465u,35466u,35467u,
;    1007 	    35472u,35473u,35475u,35477u,35479u,35480u,35489u,35490u,35493u,35497u,
;    1008 	    35510u,35511u,35521u,35541u,35553u,35554u,35557u,35561u,35569u,35571u,
;    1009 	    35573u,35649u,35653u,35657u,35681u,35682u,35685u,35688u,35689u,35690u,
;    1010 	    35697u,35699u,35701u,35703u,35713u,35745u,35746u,35749u,35752u,35753u,
;    1011 	    35755u,35761u,35763u,35765u,35767u,35768u,35772u,35937u,35938u,35939u,
;    1012 	    35941u,35945u,35947u,35953u,35955u,35957u,35958u,35959u,35963u,35969u,
;    1013 	    35970u,35973u,35977u,35985u,
;    1014 	    35987u,35989u,35990u,35991u,36001u,36002u,36009u,36065u,36066u,36067u,
;    1015 	    36069u,36073u,36081u,36083u,36085u,36086u,36087u,36161u,36162u,36165u,
;    1016 	    36177u,36181u,36183u,36193u,36197u,36201u,36213u,36214u,36219u,36225u,
;    1017 	    36257u,36258u,36261u,36263u,36265u,36273u,36275u,36277u,36279u,36280u,
;    1018 	    36281u,36289u,36290u,36297u,36297u,36311u,36321u,36322u,36343u,36417u,
;    1019 	    36421u,36425u,36433u,36435u,36439u,36449u,36481u,36482u,36485u,36489u,
;    1020 	    36496u,36497u,36499u,36501u,36503u,36504u,36513u,36521u,36534u,36535u,
;    1021 	    36545u,36546u,36549u,36553u,36561u,36563u,36566u,36577u,36581u,36585u,
;    1022 	    36593u,36595u,36673u,36705u,36706u,36709u,36711u,36713u,36715u,36720u,
;    1023 	    36721u,36723u,36725u,36727u,
;    1024 	    36731u,36769u,36770u,36773u,36777u,36785u,36787u,36789u,36791u,36961u,
;    1025 	    36962u,36963u,36965u,36968u,36969u,36970u,36971u,36977u,36979u,36981u,
;    1026 	    36982u,36983u,36984u,36985u,36987u,36989u,36993u,36994u,36997u,37001u,
;    1027 	    37009u,37011u,37013u,37014u,37015u,37025u,37026u,37029u,37033u,37041u,
;    1028 	    37047u,37089u,37090u,37092u,37093u,37097u,37099u,37100u,37105u,37107u,
;    1029 	    37109u,37110u,37111u,37117u,37185u,37186u,37189u,37193u,37201u,37203u,
;    1030 	    37205u,37206u,37207u,37217u,37218u,37221u,37225u,37233u,37235u,37238u,
;    1031 	    37239u,37242u,37249u,37253u,37281u,37282u,37285u,37289u,37291u,37297u,
;    1032 	    37299u,37301u,37303u,37308u,37309u,37313u,37317u,37321u,37334u,37441u,
;    1033 	    37445u,37449u,37457u,37459u,
;    1034 	    37461u,37473u,37474u,37477u,37481u,37491u,37493u,37495u,37505u,37506u,
;    1035 	    37509u,37512u,37513u,37521u,37523u,37525u,37527u,37537u,37558u,37569u,
;    1036 	    37601u,37605u,37609u,37617u,37619u,37697u,37698u,37705u,37713u,37715u,
;    1037 	    37719u,37729u,37730u,37733u,37737u,37738u,37739u,37745u,37747u,37749u,
;    1038 	    37751u,37752u,37756u,37761u,37765u,37769u,37793u,37794u,37797u,37801u,
;    1039 	    37801u,37809u,37811u,37813u,37815u,37820u,37985u,37986u,37987u,37989u,
;    1040 	    37992u,37993u,37994u,37995u,37996u,38000u,38001u,38003u,38005u,38006u,
;    1041 	    38007u,38008u,38009u,38013u,38017u,38018u,38021u,38025u,38033u,38035u,
;    1042 	    38037u,38038u,38039u,38049u,38113u,38114u,38115u,38117u,38120u,38121u,
;    1043 	    38123u,38124u,38129u,38131u,
;    1044 	    38133u,38135u,38137u,38140u,38209u,38210u,38213u,38217u,38225u,38227u,
;    1045 	    38229u,38230u,38231u,38241u,38245u,38249u,38262u,38263u,38273u,38277u,
;    1046 	    38305u,38306u,38309u,38312u,38313u,38315u,38317u,38321u,38323u,38325u,
;    1047 	    38327u,38329u,38331u,38337u,38341u,38345u,38369u,38390u,38465u,38469u,
;    1048 	    38473u,38481u,38483u,38485u,38497u,38529u,38530u,38533u,38537u,38545u,
;    1049 	    38547u,38549u,38551u,38561u,38582u,38593u,38615u,38625u,38629u,38633u,
;    1050 	    38643u,38645u,38647u,38721u,38725u,38729u,38737u,38743u,38753u,38754u,
;    1051 	    38757u,38760u,38761u,38763u,38769u,38771u,38773u,38775u,38785u,38817u,
;    1052 	    38818u,38821u,38824u,38825u,38833u,38835u,38837u,38838u,38839u,38840u,
;    1053 	    39009u,39010u,39013u,39017u,
;    1054 	    39025u,39027u,39029u,39030u,39031u,39037u,39041u,39042u,39045u,39049u,
;    1055 	    39057u,39059u,39061u,39062u,39063u,39137u,39138u,39141u,39145u,39147u,
;    1056 	    39148u,39153u,39155u,39157u,39158u,39159u,39165u,39233u,39234u,39237u,
;    1057 	    39241u,39249u,39251u,39253u,39254u,39255u,39265u,39286u,39329u,39330u,
;    1058 	    39333u,39337u,39351u,39361u,39369u,39393u,39489u,39493u,39553u,39554u,
;    1059 	    39557u,39561u,39568u,39569u,39575u,39617u,39649u,39653u,39657u,39665u,
;    1060 	    39667u,39671u,39777u,39778u,39781u,39784u,39785u,39793u,39795u,39797u,
;    1061 	    39809u,39813u,39817u,39825u,39827u,39841u,39845u,39849u,39857u,39859u,
;    1062 	    39861u,39863u,40033u,40034u,40037u,40041u,40049u,40051u,40053u,40054u,
;    1063 	    40055u,40056u,40060u,40061u,
;    1064 	    40065u,40066u,40069u,40073u,40081u,40083u,40085u,40086u,40087u,40097u,
;    1065 	    40098u,40101u,40117u,40119u,40161u,40162u,40165u,40169u,40177u,40179u,
;    1066 	    40181u,40182u,40183u,40189u,40257u,40258u,40261u,40265u,40273u,40275u,
;    1067 	    40277u,40279u,40289u,40290u,40293u,40297u,40305u,40307u,40309u,40310u,
;    1068 	    40311u,40321u,40325u,40339u,40341u,40353u,40354u,40357u,40361u,40369u,
;    1069 	    40371u,40373u,40375u,40385u,40389u,40407u,40438u,40513u,40517u,40521u,
;    1070 	    40529u,40531u,40533u,40535u,40545u,40549u,40553u,40563u,40565u,40567u,
;    1071 	    40577u,40578u,40581u,40585u,40593u,40595u,40597u,40599u,40609u,40630u,
;    1072 	    40641u,40673u,40674u,40677u,40681u,40689u,40693u,40695u,40769u,40770u,
;    1073 	    40773u,40777u,40785u,40787u,
;    1074 	    40789u,40791u,40801u,40802u,40805u,40809u,40817u,40819u,40821u,40823u,
;    1075 	    40824u,40827u,40828u,40865u,40866u,40869u,40873u,40881u,40883u,40885u,
;    1076 	    40887u,41057u,41058u,41061u,41063u,41064u,41065u,41066u,41067u,41073u,
;    1077 	    41075u,41077u,41079u,41080u,41083u,41085u,41089u,41090u,41093u,41097u,
;    1078 	    41105u,41107u,41109u,41110u,41111u,41112u,41121u,41122u,41129u,41143u,
;    1079 	    41185u,41186u,41189u,41193u,41195u,41201u,41203u,41205u,41207u,41208u,
;    1080 	    41213u,41281u,41282u,41285u,41289u,41297u,41299u,41301u,41302u,41303u,
;    1081 	    41313u,41314u,41317u,41321u,41333u,41334u,41335u,41337u,41345u,41377u,
;    1082 	    41378u,41380u,41381u,41385u,41387u,41393u,41395u,41397u,41399u,41409u,
;    1083 	    41413u,41430u,41431u,41537u,
;    1084 	    41541u,41545u,41555u,41557u,41559u,41569u,41573u,41577u,41587u,41589u,
;    1085 	    41601u,41602u,41603u,41605u,41608u,41609u,41610u,41611u,41617u,41619u,
;    1086 	    41621u,41623u,41627u,41629u,41633u,41637u,41641u,41651u,41653u,41665u,
;    1087 	    41697u,41701u,41705u,41793u,41797u,41801u,41809u,41813u,41825u,41829u,
;    1088 	    41833u,41841u,41845u,41889u,41890u,41893u,41896u,41897u,41899u,41905u,
;    1089 	    41907u,41909u,41910u,41911u,41913u,41915u,42081u,42082u,42083u,42084u,
;    1090 	    42085u,42088u,42089u,42090u,42091u,42092u,42097u,42099u,42101u,42103u,
;    1091 	    42107u,42113u,42114u,42117u,42121u,42129u,42131u,42133u,42134u,42135u,
;    1092 	    42139u,42145u,42146u,42149u,42163u,42209u,42210u,42213u,42216u,42217u,
;    1093 	    42219u,42225u,42227u,42229u,
;    1094 	    42231u,42232u,42305u,42306u,42309u,42312u,42313u,42321u,42323u,42325u,
;    1095 	    42326u,42327u,42337u,42338u,42341u,42345u,42355u,42357u,42358u,42359u,
;    1096 	    42363u,42369u,42373u,42401u,42402u,42403u,42405u,42409u,42417u,42419u,
;    1097 	    42421u,42423u,42433u,42437u,42454u,42465u,42486u,42561u,42562u,42565u,
;    1098 	    42569u,42577u,42579u,42593u,42597u,42625u,42626u,42629u,42632u,42633u,
;    1099 	    42634u,42635u,42641u,42643u,42645u,42647u,42651u,42652u,42657u,42665u,
;    1100 	    42678u,42689u,42721u,42722u,42725u,42729u,42743u,42817u,42821u,42825u,
;    1101 	    42833u,42837u,42839u,42849u,42850u,42853u,42857u,42865u,42867u,42869u,
;    1102 	    42913u,42914u,42917u,42921u,42923u,42929u,42931u,42933u,42935u,42936u,
;    1103 	    42937u,43105u,43106u,43109u,
;    1104 	    43113u,43115u,43121u,43123u,43125u,43126u,43127u,43133u,43137u,43138u,
;    1105 	    43141u,43145u,43153u,43155u,43157u,43158u,43159u,43169u,43170u,43185u,
;    1106 	    43233u,43234u,43237u,43240u,43241u,43249u,43253u,43254u,43255u,43329u,
;    1107 	    43351u,43361u,43362u,43377u,43379u,43381u,43382u,43383u,43425u,43426u,
;    1108 	    43429u,43433u,43441u,43443u,43447u,43585u,43617u,43639u,43649u,43650u,
;    1109 	    43653u,43657u,43665u,43669u,43671u,43841u,43863u,43873u,43877u,43881u,
;    1110 	    43889u,43891u,43937u,43938u,43941u,43945u,43953u,43955u,43957u,43959u,
;    1111 	    44129u,44130u,44132u,44133u,44136u,44137u,44138u,44139u,44145u,44147u,
;    1112 	    44149u,44150u,44151u,44155u,44161u,44162u,44165u,44169u,44177u,44179u,
;    1113 	    44181u,44182u,44183u,44193u,
;    1114 	    44194u,44197u,44201u,44209u,44211u,44213u,44215u,44225u,44229u,44233u,
;    1115 	    44241u,44247u,44257u,44258u,44259u,44260u,44261u,44264u,44265u,44267u,
;    1116 	    44268u,44273u,44275u,44277u,44278u,44279u,44284u,44353u,44354u,44357u,
;    1117 	    44361u,44369u,44371u,44373u,44374u,44375u,44385u,44386u,44389u,44393u,
;    1118 	    44401u,44403u,44405u,44406u,44407u,44417u,44421u,44425u,44439u,44449u,
;    1119 	    44450u,44451u,44453u,44457u,44459u,44465u,44467u,44469u,44471u,44475u,
;    1120 	    44481u,44482u,44485u,44489u,44503u,44513u,44517u,44521u,44529u,44533u,
;    1121 	    44534u,44609u,44613u,44617u,44625u,44627u,44629u,44641u,44642u,44645u,
;    1122 	    44649u,44657u,44659u,44661u,44663u,44673u,44674u,44677u,44680u,44681u,
;    1123 	    44689u,44691u,44693u,44695u,
;    1124 	    44697u,44699u,44700u,44705u,44726u,44737u,44738u,44741u,44745u,44753u,
;    1125 	    44759u,44769u,44770u,44773u,44777u,44785u,44787u,44789u,44791u,44865u,
;    1126 	    44866u,44873u,44881u,44885u,44887u,44897u,44898u,44901u,44905u,44906u,
;    1127 	    44913u,44915u,44917u,44919u,44961u,44962u,44965u,44968u,44969u,44976u,
;    1128 	    44977u,44979u,44981u,44983u,44988u,45153u,45154u,45156u,45157u,45161u,
;    1129 	    45169u,45171u,45174u,45175u,45181u,45185u,45186u,45189u,45193u,45201u,
;    1130 	    45203u,45206u,45207u,45239u,45281u,45282u,45285u,45289u,45291u,45297u,
;    1131 	    45299u,45302u,45303u,45377u,45381u,45385u,45385u,45473u,45474u,45477u,
;    1132 	    45480u,45481u,45483u,45489u,45491u,45495u,45505u,45506u,45509u,45526u,
;    1133 	    45537u,45558u,45633u,45637u,
;    1134 	    45641u,45649u,45651u,45665u,45697u,45698u,45701u,45705u,45713u,45715u,
;    1135 	    45719u,45729u,45750u,45761u,45793u,45797u,45911u,45921u,45922u,45925u,
;    1136 	    45929u,45931u,45936u,45937u,45939u,45953u,45957u,45961u,45969u,45985u,
;    1137 	    45986u,45989u,45993u,46001u,46003u,46005u,46007u,46177u,46178u,46181u,
;    1138 	    46182u,46183u,46185u,46186u,46187u,46192u,46193u,46195u,46197u,46198u,
;    1139 	    46199u,46203u,46204u,46209u,46210u,46213u,46217u,46225u,46227u,46229u,
;    1140 	    46230u,46231u,46241u,46242u,46245u,46249u,46252u,46257u,46259u,46261u,
;    1141 	    46263u,46267u,46269u,46273u,46277u,46281u,46291u,46305u,46306u,46309u,
;    1142 	    46310u,46312u,46313u,46314u,46315u,46321u,46323u,46324u,46325u,46326u,
;    1143 	    46327u,46328u,46330u,46332u,
;    1144 	    46401u,46402u,46405u,46409u,46417u,46419u,46421u,46423u,46433u,46434u,
;    1145 	    46435u,46437u,46441u,46443u,46444u,46449u,46451u,46452u,46453u,46454u,
;    1146 	    46455u,46459u,46460u,46461u,46465u,46469u,46473u,46481u,46483u,46485u,
;    1147 	    46486u,46497u,46498u,46501u,46505u,46506u,46507u,46509u,46512u,46513u,
;    1148 	    46515u,46517u,46519u,46521u,46529u,46530u,46533u,46537u,46545u,46547u,
;    1149 	    46549u,46550u,46551u,46561u,46562u,46565u,46577u,46581u,46583u,46657u,
;    1150 	    46658u,46661u,46665u,46673u,46675u,46677u,46679u,46689u,46690u,46693u,
;    1151 	    46697u,46705u,46707u,46709u,46711u,46721u,46722u,46725u,46729u,46730u,
;    1152 	    46731u,46737u,46739u,46741u,46743u,46753u,46754u,46757u,46761u,46769u,
;    1153 	    46771u,46774u,46775u,46785u,
;    1154 	    46786u,46789u,46793u,46801u,46803u,46807u,46817u,46818u,46821u,46825u,
;    1155 	    46833u,46835u,46837u,46839u,46913u,46914u,46917u,46921u,46929u,46931u,
;    1156 	    46933u,46935u,46937u,46945u,46946u,46949u,46953u,46959u,46961u,46963u,
;    1157 	    46965u,46967u,46968u,46969u,46970u,46971u,46972u,46973u,46977u,46981u,
;    1158 	    46985u,46993u,46997u,47009u,47010u,47013u,47017u,47018u,47019u,47024u,
;    1159 	    47025u,47027u,47029u,47030u,47031u,47032u,47036u,47201u,47202u,47205u,
;    1160 	    47207u,47208u,47209u,47211u,47217u,47219u,47221u,47222u,47223u,47224u,
;    1161 	    47233u,47234u,47237u,47241u,47249u,47251u,47253u,47254u,47255u,47265u,
;    1162 	    47266u,47269u,47271u,47273u,47281u,47287u,47297u,47301u,47305u,47329u,
;    1163 	    47330u,47333u,47337u,47339u,
;    1164 	    47345u,47347u,47349u,47351u,47352u,47425u,47426u,47429u,47433u,47441u,
;    1165 	    47443u,47445u,47447u,47457u,47461u,47465u,47473u,47475u,47478u,47479u,
;    1166 	    47489u,47521u,47522u,47525u,47529u,47531u,47537u,47539u,47541u,47543u,
;    1167 	    47544u,47545u,47549u,47553u,47554u,47561u,47571u,47573u,47575u,47585u,
;    1168 	    47606u,47607u,47681u,47685u,47689u,47697u,47699u,47701u,47703u,47713u,
;    1169 	    47714u,47717u,47735u,47745u,47746u,47749u,47753u,47754u,47755u,47761u,
;    1170 	    47763u,47765u,47767u,47777u,47798u,47809u,47841u,47842u,47845u,47849u,
;    1171 	    47857u,47859u,47861u,47937u,47941u,47945u,47953u,47969u,47970u,47973u,
;    1172 	    47977u,47985u,47987u,47989u,47991u,48033u,48034u,48037u,48040u,48041u,
;    1173 	    48043u,48049u,48051u,48053u,
;    1174 	    48055u,48056u,48059u,48060u,48225u,48226u,48229u,48231u,48233u,48236u,
;    1175 	    48241u,48243u,48245u,48246u,48247u,48257u,48258u,48261u,48265u,48273u,
;    1176 	    48275u,48277u,48278u,48279u,48289u,48293u,48311u,48353u,48354u,48357u,
;    1177 	    48361u,48369u,48371u,48373u,48374u,48375u,48449u,48471u,48481u,48502u,
;    1178 	    48545u,48546u,48549u,48553u,48561u,48563u,48565u,48567u,48569u,48577u,
;    1179 	    48578u,48585u,48598u,48609u,48630u,48705u,48709u,48713u,48721u,48723u,
;    1180 	    48759u,48769u,48770u,48773u,48777u,48785u,48787u,48791u,48801u,48822u,
;    1181 	    48823u,48865u,48961u,48993u,49009u,49013u,49015u,49057u,49058u,49061u,
;    1182 	    49065u,49073u,49075u,49079u,49080u,49085u,49249u,49250u,49253u,49255u,
;    1183 	    49257u,49265u,49267u,49269u,
;    1184 	    49270u,49271u,49272u,49281u,49282u,49285u,49289u,49297u,49299u,49301u,
;    1185 	    49302u,49303u,49313u,49317u,49319u,49321u,49329u,49335u,49377u,49378u,
;    1186 	    49381u,49385u,49393u,49395u,49397u,49398u,49399u,49473u,49474u,49477u,
;    1187 	    49481u,49489u,49491u,49493u,49495u,49505u,49509u,49526u,49537u,49541u,
;    1188 	    49559u,49569u,49570u,49573u,49577u,49585u,49587u,49589u,49591u,49601u,
;    1189 	    49605u,49609u,49623u,49729u,49733u,49737u,49745u,49747u,49749u,49751u,
;    1190 	    49761u,49777u,49793u,49794u,49797u,49801u,49809u,49811u,49813u,49815u,
;    1191 	    49825u,49846u,49857u,49861u,49889u,49893u,49897u,49905u,49907u,49909u,
;    1192 	    49911u,49985u,49989u,49993u,50001u,50007u,50017u,50018u,50021u,50025u,
;    1193 	    50033u,50035u,50037u,50039u,
;    1194 	    50081u,50082u,50085u,50088u,50089u,50090u,50097u,50099u,50101u,50103u,
;    1195 	    50273u,50274u,50277u,50281u,50289u,50291u,50293u,50295u,50305u,50306u,
;    1196 	    50309u,50313u,50321u,50323u,50325u,50326u,50327u,50337u,50338u,50359u,
;    1197 	    50401u,50402u,50405u,50408u,50409u,50417u,50419u,50421u,50422u,50423u,
;    1198 	    50497u,50498u,50501u,50505u,50513u,50515u,50517u,50519u,50529u,50533u,
;    1199 	    50537u,50545u,50547u,50549u,50550u,50551u,50561u,50593u,50594u,50597u,
;    1200 	    50601u,50609u,50611u,50613u,50615u,50625u,50626u,50629u,50633u,50641u,
;    1201 	    50647u,50657u,50679u,50753u,50761u,50785u,50817u,50818u,50821u,50825u,
;    1202 	    50833u,50835u,50837u,50839u,50849u,50853u,50857u,50871u,50881u,50903u,
;    1203 	    50913u,50914u,50917u,50921u,
;    1204 	    50929u,50931u,50933u,50935u,51009u,51013u,51017u,51025u,51041u,51042u,
;    1205 	    51045u,51049u,51057u,51059u,51063u,51105u,51106u,51109u,51113u,51121u,
;    1206 	    51123u,51125u,51127u,51297u,51298u,51301u,51305u,51306u,51313u,51315u,
;    1207 	    51317u,51318u,51319u,51329u,51330u,51333u,51337u,51345u,51347u,51349u,
;    1208 	    51350u,51351u,51361u,51383u,51425u,51426u,51429u,51433u,51435u,51441u,
;    1209 	    51443u,51445u,51446u,51447u,51521u,51522u,51525u,51529u,51537u,51539u,
;    1210 	    51541u,51543u,51553u,51557u,51574u,51585u,51589u,51617u,51618u,51621u,
;    1211 	    51625u,51633u,51635u,51637u,51639u,51644u,51649u,51653u,51681u,51777u,
;    1212 	    51781u,51797u,51799u,51809u,51841u,51842u,51845u,51849u,51857u,51859u,
;    1213 	    51861u,51863u,51873u,51894u,
;    1214 	    51905u,51937u,51938u,51941u,51945u,51953u,51955u,51959u,52033u,52037u,
;    1215 	    52041u,52049u,52055u,52065u,52066u,52069u,52072u,52073u,52075u,52081u,
;    1216 	    52083u,52085u,52097u,52101u,52105u,52113u,52115u,52129u,52130u,52133u,
;    1217 	    52137u,52145u,52147u,52149u,52151u,52321u,52322u,52323u,52325u,52329u,
;    1218 	    52331u,52337u,52339u,52341u,52342u,52343u,52347u,52353u,52354u,52357u,
;    1219 	    52361u,52369u,52371u,52373u,52374u,52375u,52385u,52386u,52449u,52450u,
;    1220 	    52453u,52457u,52465u,52467u,52469u,52470u,52471u,52545u,52546u,52549u,
;    1221 	    52553u,52561u,52563u,52565u,52567u,52577u,52581u,52585u,52593u,52595u,
;    1222 	    52598u,52599u,52609u,52617u,52627u,52629u,52641u,52642u,52645u,52649u,
;    1223 	    52657u,52659u,52661u,52663u,
;    1224 	    52673u,52695u,52801u,52805u,52833u,52837u,52841u,52851u,52853u,52865u,
;    1225 	    52866u,52869u,52872u,52873u,52875u,52881u,52883u,52885u,52887u,52897u,
;    1226 	    52919u,52961u,52965u,52969u,52977u,52981u,53057u,53061u,53065u,53073u,
;    1227 	    53077u,53079u,53089u,53093u,53097u,53105u,53107u,53109u,53153u,53154u,
;    1228 	    53157u,53161u,53169u,53171u,53173u,53175u,53345u,53346u,53349u,53353u,
;    1229 	    53358u,53361u,53363u,53365u,53367u,53377u,53378u,53381u,53385u,53393u,
;    1230 	    53395u,53397u,53398u,53399u,53409u,53431u,53473u,53474u,53477u,53481u,
;    1231 	    53483u,53489u,53491u,53493u,53495u,53569u,53570u,53573u,53577u,53585u,
;    1232 	    53587u,53589u,53591u,53601u,53602u,53605u,53609u,53617u,53619u,53621u,
;    1233 	    53622u,53623u,53633u,53637u,
;    1234 	    53641u,53651u,53665u,53666u,53669u,53673u,53678u,53681u,53683u,53685u,
;    1235 	    53687u,53691u,53697u,53698u,53701u,53705u,53717u,53719u,53729u,53730u,
;    1236 	    53733u,53749u,53751u,53825u,53826u,53829u,53833u,54195u,53845u,53847u,
;    1237 	    53857u,53861u,53865u,53875u,53877u,53889u,53890u,53893u,53897u,53902u,
;    1238 	    53905u,53909u,53911u,53921u,53925u,53929u,53937u,53943u,53953u,53954u,
;    1239 	    53957u,53961u,53975u,53985u,53986u,53989u,53993u,54001u,54003u,54005u,
;    1240 	    54007u,54081u,54082u,54085u,54089u,54097u,54101u,54103u,54113u,54114u,
;    1241 	    54117u,54119u,54120u,54121u,54122u,54129u,54131u,54133u,54135u,54139u,
;    1242 	    54145u,54149u,54153u,54161u,54163u,54167u,54177u,54178u,54181u,54185u,
;    1243 	    54193u,54195u,54197u,54199u
;    1244 };
;    1245 
;    1246 
;    1247 //  
;    1248 #define		_WHITE		0xffff				// RRRRR GGGGGG BBBBB
;    1249 #define		_BLACK		0x0000
;    1250 #define		_RED		0xf800
;    1251 #define		_BLUE		0x001f
;    1252 #define		_GREEN		0x07e0
;    1253 #define		_MAGENTA	0xf81f
;    1254 #define		_GRAY		0x8410
;    1255 #define		_CYAN		0x07ff
;    1256 #define		_YELLOW		0xffe0
;    1257 
;    1258 // ȭ ǥ 
;    1259 #define		_SCREEN_COLUMN_SET	0			// ι ǥø ʻ(0,0)
;    1260 #define		_SCREEN_ROW_SET		1			// ι ǥø ʻ(0,0)
;    1261 
;    1262 #define		_SCREEN_COLUMN_X	319			// ι ǥø X ִ밪
;    1263 #define		_SCREEN_COLUMN_Y	239			// ι ǥø Y ִ밪
;    1264 #define		_SCREEN_ROW_X		239			// ι ǥø X ִ밪
;    1265 #define		_SCREEN_ROW_Y		319			// ι ǥø Y ִ밪
;    1266 
;    1267 // Լ 
;    1268 void Clrscr(void);						// ü ȭ 
;    1269 void Cleardevice(void);						// ü ȭ 
;    1270 void Gotoxy(int x,int y);					// ׷ ǥ 
;    1271 void Gotoxyt(int x,int y);					// ؽƮ ǥ 
;    1272 
;    1273 void Setcolor(unsigned color);					// ڻ (_WHITE,_BLACK,..)
;    1274 void Setbkcolor(unsigned color);				//  (_WHITE,_BLACK,..)
;    1275 void ScreenSet(int mode,int x1,int y1,int x2,int y2);		// ǥ ȭ 
;    1276 
;    1277 void Putch(unsigned c); 					// ڸ 
;    1278 void Putchxy(int x,int y,unsigned c);				// ׷ ǥ  
;    1279 void Putchxyt(int x,int y,unsigned c);				// ؽƮ ǥ  
;    1280 
;    1281 void Puts(const char *str);					// ڿ 
;    1282 void Putsxy(int x,int y,const char *str);			// ׷ ǥ ڿ 
;    1283 void Putsxyt(int x,int y,const char *str);			// ؽƮ ǥ ڿ 
;    1284 
;    1285 void Puts_f(const char flash *str);				// CODE ڿ 
;    1286 void Putsxy_f(int x,int y,const char flash *str);		// ׷ ǥ CODE ڿ 
;    1287 void Putsxyt_f(int x,int y,const char flash *str);		// ؽƮ ǥ CODE ڿ 
;    1288 
;    1289 void Line(int x1,int y1,int x2,int y2);				// ׷ǥ  ׸
;    1290 void Rectangle(int x1,int y1,int x2,int y2);			// ׷ ǥ ڽ ׸
;    1291 void Rectanglefill(int x1,int y1,int x2,int y2);		// ä ڽ ׸
;    1292 void Circle(int xx,int yy,int radius);				//  ׸
;    1293 void Ellipse(int xx,int yy,int a0,int b0);			// Ÿ ׸
;    1294 
;    1295 void Putpixelb(int x,int y,unsigned char datac,unsigned color);	// ȭ鿡 Ʈ 
;    1296 void PutImage(unsigned char dbuf[],int xsize,int ysize);	// ǥ ̹ 
;    1297 void Putpixel(int x,int y,unsigned color);			//  ġ Į ̿  
;    1298 
;    1299 void Han_Conv(char *buf);					// ϼ(SRAM)  (SRAM) ȯ
;    1300 void Han_Conv_f(char flash *buf);				// ϼ(FLASH) (SRAM) ȯ
;    1301 void RGB_Disp(void);						// ȭ鿡 RGB  ǥ
;    1302 
;    1303 void symmetry4(int xx,int yy,int x,int y);
;    1304 void _Plotcircle(int xx,int yy,int x,int y);
;    1305 
;    1306 void _Putch(unsigned int c);					// 1Ʈ  
;    1307 void *_GetHanImage(unsigned c);					// ѱ Ʈ ε
;    1308 void _memor(unsigned char *s1,unsigned char flash *s2, int len);// ѱ Ʈ 
;    1309 unsigned char* _GetAscImage(int c);		        	//  Ʈ  ε
;    1310 
;    1311 // LCD H/W 
;    1312 void Clcd_Init(void);						// Golor LCD Init
;    1313 void CLCD_Command_Data(int regnum,unsigned datau);		// شּҿ Register NO.+Data Write
;    1314 void CLCD_Command(int regnum);					// CLCD Command Register NO. write
;    1315 void CLCD_Cdata(unsigned datau);				// CLCD Command Register Data write
;    1316 unsigned CLCD_GRAM_dread(void);					// CLCD GRAM Data read
;    1317 void lcd_delay(unsigned short time);				// LCD ð Լ time*1ms
;    1318 
;    1319 //  
;    1320 int _screen_mode = _SCREEN_COLUMN_SET;				// ȭ ǥù 
;    1321 int _screen_xmax = _SCREEN_COLUMN_X;				// θ ִ밪

	.DSEG
;    1322 int _screen_ymax = _SCREEN_COLUMN_Y;				// θ ִ밪
__screen_ymax:
	.BYTE 0x2
;    1323 unsigned _screen_color = _WHITE;				// ڻ 
__screen_color:
	.BYTE 0x2
;    1324 unsigned _screen_bkcolor = _BLACK;				//  
__screen_bkcolor:
	.BYTE 0x2
;    1325 int _screen_curx = 0;						// X ǥ 
__screen_curx:
	.BYTE 0x2
;    1326 int _screen_cury = 0;						// Yǥ 
__screen_cury:
	.BYTE 0x2
;    1327 
;    1328 static unsigned char ib[73];					// ѱ  
_ib_G1:
	.BYTE 0x49
;    1329 static unsigned char ascii_fbuf[50];                            //    
_ascii_fbuf_G1:
	.BYTE 0x32
;    1330 static unsigned char han_conv_buf[101];				// ѱ    
_han_conv_buf_G1:
	.BYTE 0x65
;    1331 
;    1332 // =============================== LCD ȭ  ===============================
;    1333 // [μ] void
;    1334 // [] 320*240
;    1335 // -----------------------------------------------------------------------------
;    1336 void Clrscr(void)
;    1337 {

	.CSEG
_Clrscr:
;    1338 	Cleardevice();						// ȭ 
	RCALL _Cleardevice
;    1339 }
	RET
;    1340 
;    1341 // =============================== LCD ȭ  ===============================
;    1342 // [μ] void
;    1343 // []  ȭ(0,0,319,239)
;    1344 //         ȭ(0,0,239,319)
;    1345 // -----------------------------------------------------------------------------
;    1346 void Cleardevice(void)
;    1347 {
_Cleardevice:
;    1348 unsigned short i,j;
;    1349 
;    1350 	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	CALL __SAVELOCR4
;	i -> R16,R17
;	j -> R18,R19
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x7
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	RJMP _0x1FD
;    1351 	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0x7:
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
_0x1FD:
	ST   -Y,R31
	ST   -Y,R30
	RCALL _ScreenSet
;    1352 
;    1353 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	CALL SUBOPT_0x5
;    1354 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1355 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	CALL SUBOPT_0x6
;    1356 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	ORI  R30,1
	CALL SUBOPT_0x7
;    1357 
;    1358 	for(i = 0; i <= _screen_ymax; i++){
_0xA:
	CALL SUBOPT_0x8
	CP   R30,R16
	CPC  R31,R17
	BRLO _0xB
;    1359 		PORTA = 0x00;					// BLACK
	LDI  R30,LOW(0)
	OUT  0x1B,R30
;    1360 		PORTC = 0x00;
	OUT  0x15,R30
;    1361 		for(j = 0; j <= _screen_xmax; j++){
	__GETWRN 18,19,0
_0xD:
	__CPWRR 12,13,18,19
	BRLO _0xE
;    1362 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1363 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    1364         	}
	__ADDWRN 18,19,1
	RJMP _0xD
_0xE:
;    1365 	}
	__ADDWRN 16,17,1
	RJMP _0xA
_0xB:
;    1366 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1367 	_screen_curx = _screen_cury = 0;
	CALL SUBOPT_0xB
;    1368 }
	CALL __LOADLOCR4
	RJMP _0x1FC
;    1369 
;    1370 // ============================= ׷ ǥ  ==============================
;    1371 // [μ] int x,int y
;    1372 // Item1:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;    1373 // Item2:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;    1374 // []  ȭ(0,0,319,239)
;    1375 //         ȭ(0,0,239,319)
;    1376 // -----------------------------------------------------------------------------
;    1377 void Gotoxy(int x,int y)
;    1378 {
_Gotoxy:
;    1379 	if(x >= 0 && x <= _screen_xmax){			// X ʰ ˻
;	x -> Y+2
;	y -> Y+0
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	SBIW R26,0
	BRLT _0x10
	CP   R12,R26
	CPC  R13,R27
	BRGE _0x11
_0x10:
	RJMP _0xF
_0x11:
;    1380 		if(y >= 0 && y <= _screen_ymax){		// Y ʰ ˻
	LD   R26,Y
	LDD  R27,Y+1
	SBIW R26,0
	BRLT _0x13
	CALL SUBOPT_0x8
	LD   R26,Y
	LDD  R27,Y+1
	CP   R30,R26
	CPC  R31,R27
	BRGE _0x14
_0x13:
	RJMP _0x12
_0x14:
;    1381 			_screen_curx = x;
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	STS  __screen_curx,R30
	STS  __screen_curx+1,R31
;    1382 			_screen_cury = y;
	LD   R30,Y
	LDD  R31,Y+1
	CALL SUBOPT_0xC
;    1383 		}
;    1384 	}
_0x12:
;    1385 }
_0xF:
_0x1FC:
	ADIW R28,4
	RET
;    1386 
;    1387 // ======================= ȭ鿡 ؽƮ ǥ  ===========================
;    1388 // [μ] int x,int y
;    1389 // Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
;    1390 // Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
;    1391 // []  ȭ(1,1,40,15)
;    1392 //         ȭ(1,1,15,40)
;    1393 // [] _screen_curx,_screen_cury
;    1394 // -----------------------------------------------------------------------------
;    1395 void Gotoxyt(int x,int y)
;    1396 {
_Gotoxyt:
;    1397 int x1 = (x-1) * 16,y1;
;    1398 
;    1399 	y1 = (y-1) * 24;
	CALL __SAVELOCR4
;	x -> Y+6
;	y -> Y+4
;	x1 -> R16,R17
;	y1 -> R18,R19
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	SBIW R26,1
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
	CALL __MULW12
	MOVW R16,R30
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	SBIW R26,1
	LDI  R30,LOW(24)
	LDI  R31,HIGH(24)
	CALL __MULW12
	MOVW R18,R30
;    1400 	if(x1 >= 0 && x1 <= _screen_xmax){
	SUBI R16,0
	SBCI R17,0
	BRLT _0x16
	__CPWRR 12,13,16,17
	BRGE _0x17
_0x16:
	RJMP _0x15
_0x17:
;    1401 		if(y1 >= 0 && y1 <= _screen_ymax){
	SUBI R18,0
	SBCI R19,0
	BRLT _0x19
	CALL SUBOPT_0x8
	CP   R30,R18
	CPC  R31,R19
	BRGE _0x1A
_0x19:
	RJMP _0x18
_0x1A:
;    1402 			_screen_curx = x1;
	__PUTWMRN __screen_curx,0,16,17
;    1403 			_screen_cury = y1;
	__PUTWMRN __screen_cury,0,18,19
;    1404 		}
;    1405 	}
_0x18:
;    1406 }
_0x15:
	CALL __LOADLOCR4
	RJMP _0x1F8
;    1407 
;    1408 // =============================== ڻ  ===============================
;    1409 // [μ] unsigned color
;    1410 // Item1: ڻ(_WHITE,_BLACK,..)
;    1411 // -----------------------------------------------------------------------------
;    1412 void Setcolor(unsigned color)
;    1413 {
_Setcolor:
;    1414 	_screen_color = color;					// ڻ 
;	color -> Y+0
	LD   R30,Y
	LDD  R31,Y+1
	STS  __screen_color,R30
	STS  __screen_color+1,R31
;    1415 }
	RJMP _0x1FB
;    1416 
;    1417 // ===============================   ===============================
;    1418 // [μ] unsigned color
;    1419 // Item1: (_WHITE,_BLACK,..)
;    1420 // -----------------------------------------------------------------------------
;    1421 void Setbkcolor(unsigned color)
;    1422 {
_Setbkcolor:
;    1423 	_screen_bkcolor = color;				// ڻ 
;	color -> Y+0
	LD   R30,Y
	LDD  R31,Y+1
	STS  __screen_bkcolor,R30
	STS  __screen_bkcolor+1,R31
;    1424 }
	RJMP _0x1FB
;    1425 
;    1426 // =========================== ǥ ȭ  ==================================
;    1427 // [μ] int mode,int x1,int y1, int x2, int y2
;    1428 // Item1: ũ (_SCREEN_COLUMN_SET,_SCREEN_ROW_SET)
;    1429 //        _SCREEN_COLUMN_SET : ȭ  ġ : ʻ(0,0,319,239)
;    1430 //        _SCREEN_ROW_SET    : ȭ  ġ : ʻ(0,0,239,320)
;    1431 // Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
;    1432 // Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
;    1433 // Item4:  xǥ   : θ ǥý(0-319) / θ ǥý(0-239)
;    1434 // Item5:  yǥ   : θ ǥý(0-319) / θ ǥý(0-319)
;    1435 // []  ȭ(0,0,319,239)
;    1436 //         ȭ(0,0,239,319)
;    1437 // -----------------------------------------------------------------------------
;    1438 void ScreenSet(int mode,int x1,int y1,int x2,int y2)
;    1439 {
_ScreenSet:
;    1440 	if(mode == _SCREEN_COLUMN_SET){
;	mode -> Y+8
;	x1 -> Y+6
;	y1 -> Y+4
;	x2 -> Y+2
;	y2 -> Y+0
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	SBIW R30,0
	BRNE _0x1B
;    1441 		CLCD_Command_Data(0x16,0x00a8);			// Memory Access Contro : MV=1, MX=0, MY=1, BGR=1 mode.
	CALL SUBOPT_0xD
	LDI  R30,LOW(168)
	LDI  R31,HIGH(168)
	CALL SUBOPT_0xE
;    1442 		_screen_mode = _SCREEN_COLUMN_SET;		// ȭ  ġ
	CLR  R10
	CLR  R11
;    1443 		_screen_xmax = x2;				// θ ִ밪
	RJMP _0x1FE
;    1444 		_screen_ymax = y2;				// θ ִ밪
;    1445 	}
;    1446 	else{
_0x1B:
;    1447 		CLCD_Command_Data(0x16,0x00c8);			// Memory Access Contro : MV=1, MX=1, MY=1, BGR=1 mode.
	CALL SUBOPT_0xD
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	CALL SUBOPT_0xE
;    1448 		_screen_mode = _SCREEN_ROW_SET;			// ȭ  ġ
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	MOVW R10,R30
;    1449 		_screen_xmax = x2;				// θ ִ밪
_0x1FE:
	__GETWRS 12,13,2
;    1450 		_screen_ymax = y2;				// θ ִ밪
	LD   R30,Y
	LDD  R31,Y+1
	STS  __screen_ymax,R30
	STS  __screen_ymax+1,R31
;    1451 	}
;    1452 	CLCD_Command_Data(0x02,(x1>>8)&0xff);			// Column Address Start Register SC[8..15]
	CALL SUBOPT_0xF
	LDD  R30,Y+9
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xE
;    1453 	CLCD_Command_Data(0x03,x1&0xff);			// Column Address Start Register SC[0..7]
	CALL SUBOPT_0x10
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xE
;    1454 
;    1455 	CLCD_Command_Data(0x06,(y1>>8)&0xff);			// Row Address Start Register SP[8..15]
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+7
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xE
;    1456 	CLCD_Command_Data(0x07,y1&0xff);			// Row Address Start Register SP[0..7]
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CALL SUBOPT_0x11
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xE
;    1457 
;    1458 	CLCD_Command_Data(0x04,(x2>>8)&0xff);			// Column Address End Register EC[8..15]
	CALL SUBOPT_0x12
	LDD  R30,Y+5
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xE
;    1459 	CLCD_Command_Data(0x05,x2&0xff);			// Column Address End Register EC[0..7]
	CALL SUBOPT_0x13
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xE
;    1460 
;    1461 	CLCD_Command_Data(0x08,(y2>>8)&0xff);			// Row Address End Register EP[8..15]
	CALL SUBOPT_0x14
	LDD  R30,Y+3
	ANDI R31,HIGH(0x0)
	CALL SUBOPT_0xE
;    1462 	CLCD_Command_Data(0x09,y2&0xff);			// Row Address End Register EP[0..7]
	CALL SUBOPT_0x15
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0xE
;    1463 }
	ADIW R28,10
	RET
;    1464 
;    1465 // ============================== ѹڸ  Ѵ. ==========================
;    1466 // [μ] unsigned c
;    1467 // Item1:  (ѱ ڵ )
;    1468 // -----------------------------------------------------------------------------
;    1469 void Putch(unsigned c)
;    1470 {
_Putch:
;    1471 	_Putch(c&0xff);						// 1Ʈ ڸ ǥ
;	c -> Y+0
	LD   R30,Y
	LDD  R31,Y+1
	ANDI R31,HIGH(0xFF)
	CALL SUBOPT_0x16
;    1472 }
_0x1FB:
	ADIW R28,2
	RET
;    1473 
;    1474 // ================  ׷ ǥ ѹڸ  Ѵ. ===================
;    1475 // [μ] int x
;    1476 //	  int y
;    1477 //	  unsigned c
;    1478 // Item1:    ġ(0 - 319)
;    1479 // Item2:    ġ(0 - 239)
;    1480 // Item3:  (ѱ ڵ )
;    1481 // -----------------------------------------------------------------------------
;    1482 void Putchxy(int x,int y,unsigned c)
;    1483 {
_Putchxy:
;    1484 	Gotoxy(x,y);						// Base Cursor Point Set
;	x -> Y+4
;	y -> Y+2
;	c -> Y+0
	CALL SUBOPT_0x17
	CALL SUBOPT_0x17
	CALL SUBOPT_0x18
;    1485 	Putch(c);						// 1Ʈ ڸ ǥ
	CALL _Putch
;    1486 }
	RJMP _0x1FA
;    1487 
;    1488 // ===================  ؽƮ ǥ ѹڸ  Ѵ. ================
;    1489 // [μ] int x
;    1490 //	  int y
;    1491 //	  unsigned c
;    1492 // Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
;    1493 // Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
;    1494 // Item3:  (ѱ ڵ )
;    1495 // -----------------------------------------------------------------------------
;    1496 void Putchxyt(int x,int y,unsigned c)
;    1497 {
_Putchxyt:
;    1498 	Gotoxyt(x,y);						// Base Cursor Point Set
;	x -> Y+4
;	y -> Y+2
;	c -> Y+0
	CALL SUBOPT_0x17
	CALL SUBOPT_0x17
	CALL SUBOPT_0x19
;    1499 	Putch(c);						// 1Ʈ ڸ ǥ
	CALL _Putch
;    1500 }
	RJMP _0x1FA
;    1501 
;    1502 // ====================  Ŀ ġ  ڿ  Ѵ. ==================
;    1503 // [μ] const char *str
;    1504 // Item1:  ڿ(ѿ)
;    1505 // -----------------------------------------------------------------------------
;    1506 void Puts(const char *str)
;    1507 {
_Puts:
;    1508 unsigned char byte1st = 0,c;
;    1509 unsigned datau,i = 0;
;    1510 
;    1511 	Han_Conv((char*)str);					// ϼ  ȯ
	CALL __SAVELOCR6
;	*str -> Y+6
;	byte1st -> R17
;	c -> R16
;	datau -> R18,R19
;	i -> R20,R21
	LDI  R17,0
	LDI  R20,0
	LDI  R21,0
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL _Han_Conv
;    1512 	while((c = han_conv_buf[i++]) != 0){			// ҽ Han_Conv() 
_0x1D:
	CALL SUBOPT_0x1A
	BREQ _0x1F
;    1513 //	while((c = *str++) != 0){				// 쿡 ϼ->  
;    1514 		if(byte1st){
	CPI  R17,0
	BREQ _0x20
;    1515 			datau = ((unsigned)byte1st << 8) | (unsigned)c;
	CALL SUBOPT_0x1B
;    1516 			_Putch(datau);				// ѱ ڸ ǥ
;    1517 			byte1st = 0;
;    1518 		}
;    1519 		else if(c & 0x80){
	RJMP _0x21
_0x20:
	SBRS R16,7
	RJMP _0x22
;    1520 			byte1st = c;				// ѱ Ÿ 
	MOV  R17,R16
;    1521 		}
;    1522 		else{
	RJMP _0x23
_0x22:
;    1523 			if(c == 0x0a){				//  ǵ
	CPI  R16,10
	BRNE _0x24
;    1524 				_Putch(0x0d);
	LDI  R30,LOW(13)
	LDI  R31,HIGH(13)
	CALL SUBOPT_0x16
;    1525 				_Putch(0x0a);
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	RJMP _0x1FF
;    1526 			}
;    1527 			else _Putch(c); 			//  ڸ ǥ
_0x24:
	MOV  R30,R16
	LDI  R31,0
_0x1FF:
	ST   -Y,R31
	ST   -Y,R30
	RCALL __Putch
;    1528 		}
_0x23:
_0x21:
;    1529 	}
	RJMP _0x1D
_0x1F:
;    1530 }
	CALL __LOADLOCR6
	RJMP _0x1F8
;    1531 
;    1532 // ================  Ŀ ġ  FLASH ڿ  Ѵ. ================
;    1533 // [μ] const char *str
;    1534 // Item1:  ڿ FLASH(ѿ)
;    1535 // -----------------------------------------------------------------------------
;    1536 void Puts_f(const char flash *str)
;    1537 {
_Puts_f:
;    1538 unsigned char byte1st = 0,c;
;    1539 unsigned datau,i = 0;
;    1540 
;    1541 	Han_Conv_f((char flash*)str);				// ϼ  ȯ
	CALL __SAVELOCR6
;	*str -> Y+6
;	byte1st -> R17
;	c -> R16
;	datau -> R18,R19
;	i -> R20,R21
	LDI  R17,0
	LDI  R20,0
	LDI  R21,0
	CALL SUBOPT_0x1C
	RCALL _Han_Conv_f
;    1542 	while((c = han_conv_buf[i++]) != 0){			// ҽ Han_Conv() 
_0x26:
	CALL SUBOPT_0x1A
	BREQ _0x28
;    1543 //	while((c = *str++) != 0){				// 쿡 ϼ->  
;    1544 		if(byte1st){
	CPI  R17,0
	BREQ _0x29
;    1545 			datau = ((unsigned)byte1st << 8) | (unsigned)c;
	CALL SUBOPT_0x1B
;    1546 			_Putch(datau);				// ѱ ڸ ǥ
;    1547 			byte1st = 0;
;    1548 		}
;    1549 		else if(c & 0x80){
	RJMP _0x2A
_0x29:
	SBRS R16,7
	RJMP _0x2B
;    1550 			byte1st = c;				// ѱ Ÿ 
	MOV  R17,R16
;    1551 		}
;    1552 		else{
	RJMP _0x2C
_0x2B:
;    1553 			if(c == 0x0a){				//  ǵ
	CPI  R16,10
	BRNE _0x2D
;    1554 				_Putch(0x0d);
	LDI  R30,LOW(13)
	LDI  R31,HIGH(13)
	CALL SUBOPT_0x16
;    1555 				_Putch(0x0a);
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	RJMP _0x200
;    1556 			}
;    1557 			else _Putch(c); 			//  ڸ ǥ
_0x2D:
	MOV  R30,R16
	LDI  R31,0
_0x200:
	ST   -Y,R31
	ST   -Y,R30
	RCALL __Putch
;    1558 		}
_0x2C:
_0x2A:
;    1559 	}
	RJMP _0x26
_0x28:
;    1560 }
	CALL __LOADLOCR6
	ADIW R28,10
	RET
;    1561 
;    1562 // ==================  ׷ ġ  ڿ  Ѵ. ==================
;    1563 // [μ] int x
;    1564 //        int x
;    1565 //	  const char *str
;    1566 // Item1: Ŀ  ǥ(0 - 319)
;    1567 // Item2: Ŀ  ǥ(0 - 239)
;    1568 // Item3:  ڿ(ѿ)
;    1569 // -----------------------------------------------------------------------------
;    1570 void Putsxy(int x,int y,const char *str)
;    1571 {
_Putsxy:
;    1572 	Gotoxy(x,y);						// Ŀ ġ 
;	x -> Y+4
;	y -> Y+2
;	*str -> Y+0
	CALL SUBOPT_0x17
	CALL SUBOPT_0x17
	CALL SUBOPT_0x18
;    1573 	Puts(str);						// ڿ ǥ
	CALL _Puts
;    1574 }
	RJMP _0x1FA
;    1575 
;    1576 // ================  ׷ ġ FLASH ڿ  Ѵ. ===============
;    1577 // [μ] int x
;    1578 //	  int x
;    1579 //	  const char flash *str
;    1580 // Item1: Ŀ  ǥ(0 - 319)
;    1581 // Item2: Ŀ  ǥ(0 - 239)
;    1582 // Item3:  ڿ FLASH(ѿ)
;    1583 // -----------------------------------------------------------------------------
;    1584 void Putsxy_f(int x,int y,const char flash *str)
;    1585 {
_Putsxy_f:
;    1586 	Gotoxy(x,y);						// Ŀ ġ 
;	x -> Y+6
;	y -> Y+4
;	*str -> Y+0
	CALL SUBOPT_0x1D
	ST   -Y,R31
	ST   -Y,R30
	CALL _Gotoxy
;    1587 	Puts_f(str);						// ڿ ǥ
	CALL SUBOPT_0x1E
;    1588 }
	RJMP _0x1F8
;    1589 
;    1590 // ================  ؽƮ ġ  ڿ  Ѵ. ====================
;    1591 // [μ] int x
;    1592 //	   int y
;    1593 //	   const char *str
;    1594 // Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
;    1595 // Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
;    1596 // Item3:  ڿ(ѿ)
;    1597 // -----------------------------------------------------------------------------
;    1598 void Putsxyt(int x,int y,const char *str)
;    1599 {
_Putsxyt:
;    1600 	Gotoxyt(x,y);						// Ŀ ġ 
;	x -> Y+4
;	y -> Y+2
;	*str -> Y+0
	CALL SUBOPT_0x17
	CALL SUBOPT_0x17
	CALL SUBOPT_0x19
;    1601 	Puts(str);						// ڿ ǥ
	CALL _Puts
;    1602 }
_0x1FA:
	ADIW R28,6
	RET
;    1603 
;    1604 // ===============  ؽƮ ġ FLASH ڿ  Ѵ. ================
;    1605 //  [μ] int x
;    1606 //	   int y
;    1607 //	   const char flash *str
;    1608 // Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
;    1609 // Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
;    1610 // Item3:  ڿ FLASH(ѿ)
;    1611 // -----------------------------------------------------------------------------
;    1612 void Putsxyt_f(int x,int y,const char flash *str)
;    1613 {
_Putsxyt_f:
;    1614 	Gotoxyt(x,y);						// Ŀ ġ 
;	x -> Y+6
;	y -> Y+4
;	*str -> Y+0
	CALL SUBOPT_0x1D
	ST   -Y,R31
	ST   -Y,R30
	CALL _Gotoxyt
;    1615 	Puts_f(str);						// ڿ ǥ
	CALL SUBOPT_0x1E
;    1616 }
	RJMP _0x1F8
;    1617 
;    1618 // ============== ׷ LCD  ġ   ׸ ==============
;    1619 // [μ] int x1
;    1620 //	  int y1
;    1621 //	  int x2
;    1622 //	  int y2
;    1623 // Item1:  xǥ
;    1624 // Item2:  yǥ
;    1625 // Item3:  xǥ
;    1626 // Item4:  yǥ
;    1627 // -----------------------------------------------------------------------------
;    1628 void Line(int x1,int y1,int x2,int y2)
;    1629 {
_Line:
;    1630 int i,vdx,vdy,vix,viy,vinc,plot,plotx,ploty,x = 0,y = 0;
;    1631 
;    1632 	vdx = x2 - x1;						// vdx = x2 - x1
	SBIW R28,16
	LDI  R24,4
	LDI  R26,LOW(0)
	LDI  R27,HIGH(0)
	LDI  R30,LOW(_0x2F*2)
	LDI  R31,HIGH(_0x2F*2)
	LDI  R22,BYTE3(_0x2F*2)
	CALL __INITLOCB
	CALL __SAVELOCR6
;	x1 -> Y+28
;	y1 -> Y+26
;	x2 -> Y+24
;	y2 -> Y+22
;	i -> R16,R17
;	vdx -> R18,R19
;	vdy -> R20,R21
;	vix -> Y+20
;	viy -> Y+18
;	vinc -> Y+16
;	plot -> Y+14
;	plotx -> Y+12
;	ploty -> Y+10
;	x -> Y+8
;	y -> Y+6
	LDD  R26,Y+28
	LDD  R27,Y+28+1
	LDD  R30,Y+24
	LDD  R31,Y+24+1
	SUB  R30,R26
	SBC  R31,R27
	MOVW R18,R30
;    1633 	vdy = y2 - y1;						// vdy = y2 - y1
	LDD  R26,Y+26
	LDD  R27,Y+26+1
	LDD  R30,Y+22
	LDD  R31,Y+22+1
	SUB  R30,R26
	SBC  R31,R27
	MOVW R20,R30
;    1634 	vix = abs(vdx);						// vix = |vdx|
	ST   -Y,R19
	ST   -Y,R18
	CALL _abs
	STD  Y+20,R30
	STD  Y+20+1,R31
;    1635 	viy = abs(vdy); 					// vix = |vdx|
	ST   -Y,R21
	ST   -Y,R20
	CALL _abs
	STD  Y+18,R30
	STD  Y+18+1,R31
;    1636 	if(vix > viy) vinc = vix;				// vinc = vix ? viy;
	LDD  R26,Y+20
	LDD  R27,Y+20+1
	CP   R30,R26
	CPC  R31,R27
	BRGE _0x30
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	RJMP _0x201
;    1637 	else vinc = viy;
_0x30:
	LDD  R30,Y+18
	LDD  R31,Y+18+1
_0x201:
	STD  Y+16,R30
	STD  Y+16+1,R31
;    1638 
;    1639 	plotx = x1;
	LDD  R30,Y+28
	LDD  R31,Y+28+1
	STD  Y+12,R30
	STD  Y+12+1,R31
;    1640 	ploty = y1;
	LDD  R30,Y+26
	LDD  R31,Y+26+1
	STD  Y+10,R30
	STD  Y+10+1,R31
;    1641 	Putpixel(plotx,ploty,_screen_color);
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x20
;    1642 	for(i = 0; i <= vinc; i++){
	__GETWRN 16,17,0
_0x33:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	CP   R30,R16
	CPC  R31,R17
	BRGE PC+3
	JMP _0x34
;    1643 		x += vix;
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	CALL SUBOPT_0x21
	STD  Y+8,R30
	STD  Y+8+1,R31
;    1644 		y += viy;
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	CALL SUBOPT_0x22
	STD  Y+6,R30
	STD  Y+6+1,R31
;    1645 		plot = 0;
	LDI  R30,0
	STD  Y+14,R30
	STD  Y+14+1,R30
;    1646 		if(x > vinc){
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	CP   R30,R26
	CPC  R31,R27
	BRGE _0x35
;    1647 			x -= vinc;
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+8,R30
	STD  Y+8+1,R31
;    1648 			if(vdx > 0) plotx++;
	CLR  R0
	CP   R0,R18
	CPC  R0,R19
	BRGE _0x36
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ADIW R30,1
	STD  Y+12,R30
	STD  Y+12+1,R31
;    1649 			if(vdx < 0) plotx--;
_0x36:
	SUBI R18,0
	SBCI R19,0
	BRGE _0x37
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	SBIW R30,1
	STD  Y+12,R30
	STD  Y+12+1,R31
;    1650 			plot = 1;
_0x37:
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	STD  Y+14,R30
	STD  Y+14+1,R31
;    1651 		}
;    1652 		if(y > vinc){
_0x35:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	CP   R30,R26
	CPC  R31,R27
	BRGE _0x38
;    1653 			y -= vinc;
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	CALL SUBOPT_0x23
	STD  Y+6,R30
	STD  Y+6+1,R31
;    1654 			if(vdy > 0) ploty++;
	CLR  R0
	CP   R0,R20
	CPC  R0,R21
	BRGE _0x39
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	ADIW R30,1
	STD  Y+10,R30
	STD  Y+10+1,R31
;    1655 			if(vdy < 0) ploty--;
_0x39:
	SUBI R20,0
	SBCI R21,0
	BRGE _0x3A
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	SBIW R30,1
	STD  Y+10,R30
	STD  Y+10+1,R31
;    1656 			plot = 1;
_0x3A:
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	STD  Y+14,R30
	STD  Y+14+1,R31
;    1657 		}
;    1658 		if(plot)Putpixel(plotx,ploty,_screen_color);
_0x38:
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	SBIW R30,0
	BREQ _0x3B
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x20
;    1659 	}
_0x3B:
	__ADDWRN 16,17,1
	RJMP _0x33
_0x34:
;    1660 	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x3C
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	RJMP _0x202
;    1661 	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0x3C:
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
_0x202:
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
;    1662 }
	CALL __LOADLOCR6
	ADIW R28,30
	RET
;    1663 
;    1664 // ================================== ڽ ׸ =============================
;    1665 // [μ] int x1,int y1, int x2, int y2
;    1666 // Item1:  xǥ(0-319)
;    1667 // Item2:  yǥ(0-219)
;    1668 // Item3:  xǥ(0-319)
;    1669 // Item4:  yǥ(0-219)
;    1670 // Item5: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
;    1671 // []  ȭ(0,0,319,239)
;    1672 //         ȭ(0,0,239,319)
;    1673 // -----------------------------------------------------------------------------
;    1674 void Rectangle(int x1,int y1,int x2,int y2)
;    1675 {
_Rectangle:
;    1676 int i,j;
;    1677 
;    1678 //  μ ׸
;    1679 	ScreenSet(_screen_mode,x1,y1,x2,y1);			// ǥ ȭ 
	CALL SUBOPT_0x24
;	x1 -> Y+10
;	y1 -> Y+8
;	x2 -> Y+6
;	y2 -> Y+4
;	i -> R16,R17
;	j -> R18,R19
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	CALL SUBOPT_0x25
;    1680 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1681 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1682 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x26
;    1683 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1684 	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
;    1685 	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
;    1686 	for(i = 0; i <= (y1-y1); i++){
_0x3F:
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	CALL SUBOPT_0x27
	BRLT _0x40
;    1687 		for(j = 0; j <= (x2-x1); j++){
	__GETWRN 18,19,0
_0x42:
	CALL SUBOPT_0x28
	CP   R30,R18
	CPC  R31,R19
	BRLT _0x43
;    1688 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1689 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    1690 		}
	__ADDWRN 18,19,1
	RJMP _0x42
_0x43:
;    1691 	}
	__ADDWRN 16,17,1
	RJMP _0x3F
_0x40:
;    1692 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1693 
;    1694 //  μ ׸
;    1695 	ScreenSet(_screen_mode,x1,y1,x1,y2);			// ǥ ȭ 
	ST   -Y,R11
	ST   -Y,R10
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	CALL SUBOPT_0x29
	CALL SUBOPT_0x2A
;    1696 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1697 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1698 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x26
;    1699 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1700 	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
;    1701 	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
;    1702 	for(i = 0; i <= (y2-y1); i++){
_0x45:
	CALL SUBOPT_0x2B
	BRLT _0x46
;    1703 		for(j = 0; j <= (x1-x1); j++){
	__GETWRN 18,19,0
_0x48:
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	SUB  R30,R26
	SBC  R31,R27
	CP   R30,R18
	CPC  R31,R19
	BRLT _0x49
;    1704 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1705 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    1706 		}
	__ADDWRN 18,19,1
	RJMP _0x48
_0x49:
;    1707 	}
	__ADDWRN 16,17,1
	RJMP _0x45
_0x46:
;    1708 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1709 
;    1710 // Ʒ μ ׸
;    1711 	ScreenSet(_screen_mode,x1,y2,x2,y2);			// ǥ ȭ 
	ST   -Y,R11
	ST   -Y,R10
	CALL SUBOPT_0x1F
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	CALL SUBOPT_0x29
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x2A
;    1712 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1713 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1714 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x26
;    1715 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1716 	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
;    1717 	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
;    1718 	for(i = 0; i <= (y2-y2); i++){
_0x4B:
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	CALL SUBOPT_0x27
	BRLT _0x4C
;    1719 		for(j = 0; j <= (x2-x1); j++){
	__GETWRN 18,19,0
_0x4E:
	CALL SUBOPT_0x28
	CP   R30,R18
	CPC  R31,R19
	BRLT _0x4F
;    1720 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1721 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    1722 		}
	__ADDWRN 18,19,1
	RJMP _0x4E
_0x4F:
;    1723 	}
	__ADDWRN 16,17,1
	RJMP _0x4B
_0x4C:
;    1724 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1725 
;    1726 //  μ ׸
;    1727 	ScreenSet(_screen_mode,x2,y1,x2,y2);			// ǥ ȭ 
	ST   -Y,R11
	ST   -Y,R10
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	CALL SUBOPT_0x29
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x2A
;    1728 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1729 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1730 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x26
;    1731 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1732 	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
;    1733 	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
;    1734 	for(i = 0; i <= (y2-y1); i++){
_0x51:
	CALL SUBOPT_0x2B
	BRLT _0x52
;    1735 		for(j = 0; j <= (x2-x2); j++){
	__GETWRN 18,19,0
_0x54:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	CALL SUBOPT_0x23
	CP   R30,R18
	CPC  R31,R19
	BRLT _0x55
;    1736 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1737 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    1738 		}
	__ADDWRN 18,19,1
	RJMP _0x54
_0x55:
;    1739 	}
	__ADDWRN 16,17,1
	RJMP _0x51
_0x52:
;    1740 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1741 
;    1742 	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x56
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	RJMP _0x203
;    1743 	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0x56:
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
_0x203:
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
;    1744 }
	RJMP _0x1F9
;    1745 
;    1746 // ============================== ä ڽ ׸ ===========================
;    1747 // [μ] int x1,int y1, int x2, int y2
;    1748 // Item1:  xǥ(0-319)
;    1749 // Item2:  yǥ(0-219)
;    1750 // Item3:  xǥ(0-319)
;    1751 // Item4:  yǥ(0-219)
;    1752 // Item5: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
;    1753 // []  ȭ(0,0,319,239)
;    1754 //         ȭ(0,0,239,319)
;    1755 // -----------------------------------------------------------------------------
;    1756 void Rectanglefill(int x1,int y1,int x2,int y2)
;    1757 {
_Rectanglefill:
;    1758 int i,j;
;    1759 
;    1760 	ScreenSet(_screen_mode,x1,y1,x2,y2);			// ǥ ȭ (x1,y1,x2,y2)
	CALL SUBOPT_0x24
;	x1 -> Y+10
;	y1 -> Y+8
;	x2 -> Y+6
;	y2 -> Y+4
;	i -> R16,R17
;	j -> R18,R19
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x1F
	CALL SUBOPT_0x2A
;    1761 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1762 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1763 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x26
;    1764 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1765 	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
;    1766 	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
;    1767 	for(i = 0; i <= (y2-y1); i++){
_0x59:
	CALL SUBOPT_0x2B
	BRLT _0x5A
;    1768 		for(j = 0; j <= (x2-x1); j++){
	__GETWRN 18,19,0
_0x5C:
	CALL SUBOPT_0x28
	CP   R30,R18
	CPC  R31,R19
	BRLT _0x5D
;    1769 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1770 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    1771 		}
	__ADDWRN 18,19,1
	RJMP _0x5C
_0x5D:
;    1772 	}
	__ADDWRN 16,17,1
	RJMP _0x59
_0x5A:
;    1773 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1774 
;    1775 	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x5E
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	RJMP _0x204
;    1776 	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0x5E:
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
_0x204:
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
;    1777 }
_0x1F9:
	CALL __LOADLOCR4
	ADIW R28,12
	RET
;    1778 
;    1779 // ===============================  ׸ ===================================
;    1780 // [μ] int xx
;    1781 //	  int yy
;    1782 //	  int  radius
;    1783 // Item1:  xǥ
;    1784 // Item2:  yǥ
;    1785 // Item3: 
;    1786 // -----------------------------------------------------------------------------
;    1787 void Circle(int xx,int yy,int radius)
;    1788 {
_Circle:
;    1789 int y = radius,d = 3-(y*2),x = 0;
;    1790 
;    1791 	while(x < y){
	CALL __SAVELOCR6
;	xx -> Y+10
;	yy -> Y+8
;	radius -> Y+6
;	y -> R16,R17
;	d -> R18,R19
;	x -> R20,R21
	LDI  R20,0
	LDI  R21,0
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	MOVW R16,R30
	MOVW R30,R16
	LSL  R30
	ROL  R31
	LDI  R26,LOW(3)
	LDI  R27,HIGH(3)
	CALL __SWAPW12
	CALL __SWAPW12
	SUB  R30,R26
	SBC  R31,R27
	MOVW R18,R30
_0x60:
	__CPWRR 20,21,16,17
	BRGE _0x62
;    1792 		Putpixel(xx+x,yy+y,_screen_color);
	CALL SUBOPT_0x2C
;    1793 		_Plotcircle(xx,yy,x,y);				// Ī Ŵ
	CALL SUBOPT_0x2D
	CALL SUBOPT_0x2D
	ST   -Y,R21
	ST   -Y,R20
	ST   -Y,R17
	ST   -Y,R16
	RCALL __Plotcircle
;    1794 		if(d < 0) d += (x*4+6);
	SUBI R18,0
	SBCI R19,0
	BRGE _0x63
	MOVW R30,R20
	CALL __LSLW2
	ADIW R30,6
	__ADDWRR 18,19,30,31
;    1795 		else{
	RJMP _0x64
_0x63:
;    1796 			d += ((x-y)*4+10);
	MOVW R26,R20
	SUB  R26,R16
	SBC  R27,R17
	LDI  R30,LOW(4)
	LDI  R31,HIGH(4)
	CALL __MULW12
	ADIW R30,10
	__ADDWRR 18,19,30,31
;    1797 			y--;
	__SUBWRN 16,17,1
;    1798 		}
_0x64:
;    1799 		x++;
	__ADDWRN 20,21,1
;    1800 	}
	RJMP _0x60
_0x62:
;    1801 	if(x == y) Putpixel(xx+x,yy+y,_screen_color);
	__CPWRR 16,17,20,21
	BRNE _0x65
	CALL SUBOPT_0x2C
;    1802 }
_0x65:
	CALL __LOADLOCR6
	ADIW R28,12
	RET
;    1803 
;    1804 // ====================== ׸⿡ Ǵ Ī Լ ========================
;    1805 void _Plotcircle(int xx,int yy,int x,int y)
;    1806 {
__Plotcircle:
;    1807 	Putpixel(xx-x,yy+y,_screen_color);
;	xx -> Y+6
;	yy -> Y+4
;	x -> Y+2
;	y -> Y+0
	CALL SUBOPT_0x2E
	CALL SUBOPT_0x2F
	CALL SUBOPT_0x30
;    1808 	Putpixel(xx+x,yy-y,_screen_color);
	CALL SUBOPT_0x31
	CALL SUBOPT_0x32
	CALL SUBOPT_0x30
;    1809 	Putpixel(xx-x,yy-y,_screen_color);
	CALL SUBOPT_0x2E
	CALL SUBOPT_0x32
	CALL SUBOPT_0x30
;    1810 	Putpixel(xx-y,yy+x,_screen_color);
	LD   R26,Y
	LDD  R27,Y+1
	CALL SUBOPT_0x23
	CALL SUBOPT_0x33
	CALL SUBOPT_0x30
;    1811 	Putpixel(xx+y,yy-x,_screen_color);
	LD   R30,Y
	LDD  R31,Y+1
	CALL SUBOPT_0x22
	CALL SUBOPT_0x34
	CALL SUBOPT_0x30
;    1812 	Putpixel(xx-y,yy-x,_screen_color);
	LD   R26,Y
	LDD  R27,Y+1
	CALL SUBOPT_0x23
	CALL SUBOPT_0x34
	CALL SUBOPT_0x30
;    1813 	Putpixel(xx+y,yy+x,_screen_color);
	LD   R30,Y
	LDD  R31,Y+1
	CALL SUBOPT_0x22
	CALL SUBOPT_0x33
	CALL SUBOPT_0x30
;    1814 }
_0x1F8:
	ADIW R28,8
	RET
;    1815 
;    1816 // ================================== Ÿ ׸ ===============================
;    1817 // [μ] int xx
;    1818 //	  int yy
;    1819 //	  int a0
;    1820 //	  int b0
;    1821 // Item1:  xǥ
;    1822 // Item2:  yǥ
;    1823 // Item3:  ݰ
;    1824 // Item4:  ݰ
;    1825 // -----------------------------------------------------------------------------
;    1826 void Ellipse(int xx,int yy,int a0,int b0)
;    1827 {
_Ellipse:
;    1828 int x = 0,y = b0;
;    1829 long a = a0,b = b0,a2 = a*a,a22 = 2*a2,b2 = b*b,b22 = 2*b2,d,dx,dy;
;    1830 
;    1831 	d = b2-a2*b+a2/4L;
	SBIW R28,36
	CALL __SAVELOCR4
;	xx -> Y+46
;	yy -> Y+44
;	a0 -> Y+42
;	b0 -> Y+40
;	x -> R16,R17
;	y -> R18,R19
;	a -> Y+36
;	b -> Y+32
;	a2 -> Y+28
;	a22 -> Y+24
;	b2 -> Y+20
;	b22 -> Y+16
;	d -> Y+12
;	dx -> Y+8
;	dy -> Y+4
	LDI  R16,0
	LDI  R17,0
	LDD  R30,Y+40
	LDD  R31,Y+40+1
	MOVW R18,R30
	LDD  R30,Y+42
	LDD  R31,Y+42+1
	CALL __CWD1
	__PUTD1S 36
	LDD  R30,Y+40
	LDD  R31,Y+40+1
	CALL __CWD1
	__PUTD1S 32
	__GETD1S 36
	__GETD2S 36
	CALL __MULD12
	__PUTD1S 28
	CALL SUBOPT_0x35
	CALL __LSLD1
	__PUTD1S 24
	CALL SUBOPT_0x36
	__GETD2S 32
	CALL __MULD12
	__PUTD1S 20
	CALL __LSLD1
	__PUTD1S 16
	CALL SUBOPT_0x36
	__GETD2S 28
	CALL __MULD12
	CALL SUBOPT_0x37
	CALL __SWAPD12
	CALL __SUBD12
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	__GETD2S 28
	__GETD1N 0x4
	CALL __DIVD21
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL SUBOPT_0x38
;    1832 	dx=0L;
	__CLRD1S 8
;    1833 	dy=a22*b;
	CALL SUBOPT_0x36
	CALL SUBOPT_0x39
	CALL __MULD12
	CALL SUBOPT_0x3A
;    1834 	while(dx < dy){
_0x66:
	CALL SUBOPT_0x3B
	CALL SUBOPT_0x3C
	CALL __CPD21
	BRGE _0x68
;    1835 		symmetry4(xx,yy,x,y);
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x3E
;    1836 		if(d > 0){
	CALL __CPD02
	BRGE _0x69
;    1837 			y--;
	CALL SUBOPT_0x3F
;    1838 			dy-=a22;
;    1839 			d-=dy;
	__GETD1S 12
	CALL __SUBD12
	__PUTD1S 12
;    1840 		}
;    1841 		x++;
_0x69:
	CALL SUBOPT_0x40
;    1842 		dx+=b22;
;    1843 		d+=b2+dx;
	CALL SUBOPT_0x37
	CALL __ADDD12
	CALL SUBOPT_0x41
;    1844 	}
	RJMP _0x66
_0x68:
;    1845 	d+=(3*(a2-b2)/2L-(dx+dy))/2L;
	CALL SUBOPT_0x37
	CALL SUBOPT_0x35
	CALL __SUBD12
	__GETD2N 0x3
	CALL __MULD12
	MOVW R26,R30
	MOVW R24,R22
	CALL SUBOPT_0x42
	PUSH R23
	PUSH R22
	PUSH R31
	PUSH R30
	CALL SUBOPT_0x3B
	CALL SUBOPT_0x3C
	CALL __ADDD12
	POP  R26
	POP  R27
	POP  R24
	POP  R25
	CALL __SUBD21
	CALL SUBOPT_0x42
	CALL SUBOPT_0x41
;    1846 	while(y >= 0){
_0x6A:
	SUBI R18,0
	SBCI R19,0
	BRLT _0x6C
;    1847 		symmetry4(xx,yy,x,y);
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x3D
	CALL SUBOPT_0x3E
;    1848 		if(d < 0){
	CALL __CPD20
	BRGE _0x6D
;    1849 			x++;
	CALL SUBOPT_0x40
;    1850 			dx+=b22;
;    1851 			d+=dx;
	CALL SUBOPT_0x41
;    1852 		}
;    1853 		y--;
_0x6D:
	CALL SUBOPT_0x3F
;    1854 		dy-=a22;
;    1855 		d+=a2-dy;
	CALL SUBOPT_0x35
	CALL __SUBD12
	CALL SUBOPT_0x41
;    1856 	}
	RJMP _0x6A
_0x6C:
;    1857 }
	CALL __LOADLOCR4
	ADIW R28,48
	RET
;    1858 
;    1859 // ======================= Ÿ ׸⿡ Ǵ Ī Լ =====================
;    1860 void symmetry4(int xx,int yy,int x,int y)
;    1861 {
_symmetry4:
;    1862 	Putpixel(xx-x,yy+y,_screen_color);
;	xx -> Y+6
;	yy -> Y+4
;	x -> Y+2
;	y -> Y+0
	CALL SUBOPT_0x2E
	CALL SUBOPT_0x2F
	CALL SUBOPT_0x30
;    1863 	Putpixel(xx+x,yy-y,_screen_color);
	CALL SUBOPT_0x31
	CALL SUBOPT_0x32
	CALL SUBOPT_0x30
;    1864 	Putpixel(xx-x,yy-y,_screen_color);
	CALL SUBOPT_0x2E
	CALL SUBOPT_0x32
	CALL SUBOPT_0x30
;    1865 	Putpixel(xx+x,yy+y,_screen_color);
	CALL SUBOPT_0x31
	CALL SUBOPT_0x2F
	CALL SUBOPT_0x30
;    1866 }
	RJMP _0x1F7
;    1867 
;    1868 // ========================= ȭ ι 1BYTE  =======================
;    1869 // [μ] int x,int y,unsigned char data,unsigned color
;    1870 // Item1:  xǥ(0-319)
;    1871 // Item2:  yǥ(0-219)
;    1872 // Item3: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
;    1873 // []  ȭ(0,0,319,239)
;    1874 //         ȭ(0,0,239,319)
;    1875 //        _screen_bkcolor :: (Setbkcolor())
;    1876 // ------------------------------------------------------------------------------
;    1877 void Putpixelb(int x,int y,unsigned char datac,unsigned color)
;    1878 {
_Putpixelb:
;    1879 int x1,i,datai = datac;
;    1880 
;    1881 	x1 = x+8;
	CALL __SAVELOCR6
;	x -> Y+11
;	y -> Y+9
;	datac -> Y+8
;	color -> Y+6
;	x1 -> R16,R17
;	i -> R18,R19
;	datai -> R20,R21
	LDD  R30,Y+8
	LDI  R31,0
	MOVW R20,R30
	LDD  R30,Y+11
	LDD  R31,Y+11+1
	ADIW R30,8
	MOVW R16,R30
;    1882 	if(x1 >	_screen_xmax) x1 = _screen_xmax;		// θ ִ밪 ˻
	__CPWRR 12,13,16,17
	BRGE _0x6E
	MOVW R16,R12
;    1883 	ScreenSet(_screen_mode,x,y,x1,y);			// ǥ ȭ 
_0x6E:
	ST   -Y,R11
	ST   -Y,R10
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+13
	LDD  R31,Y+13+1
	ST   -Y,R31
	ST   -Y,R30
	ST   -Y,R17
	ST   -Y,R16
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	CALL SUBOPT_0x25
;    1884 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1885 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1886 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x43
;    1887 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1888 	for(i = 0; i <= (x1-x); i++){
	__GETWRN 18,19,0
_0x70:
	LDD  R26,Y+11
	LDD  R27,Y+11+1
	MOVW R30,R16
	SUB  R30,R26
	SBC  R31,R27
	CP   R30,R18
	CPC  R31,R19
	BRLT _0x71
;    1889 		if(datai & 0x80){				// D7 == 1 -> ڻ
	SBRS R20,7
	RJMP _0x72
;    1890 			PORTA = color & 0xff;			// PORTA = datau[0..7]
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
;    1891 			PORTC = color >> 8 & 0xff;		// PORTC = datau[8..15]
	LDD  R30,Y+7
	RJMP _0x205
;    1892 		}
;    1893 		else{						// D7 == 0 -> 
_0x72:
;    1894 			PORTA = _screen_bkcolor & 0xff;		// PORTA = datau[0..7]
	CALL SUBOPT_0x44
;    1895 			PORTC = (_screen_bkcolor >> 8) & 0xff;	// PORTC = datau[8..15]
_0x205:
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
;    1896 		}
;    1897 		PORTG &= ~0x01;					// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1898 		PORTG |= 0x01;					// PORTG.0 :: CLCD_WR\ = 1
;    1899 		datai = datai << 1;				// data shift << 1
	LSL  R20
	ROL  R21
;    1900 	}
	__ADDWRN 18,19,1
	RJMP _0x70
_0x71:
;    1901 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1902 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;    1903 
;    1904 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1905 
;    1906 //	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
;    1907 //	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
;    1908 }
	CALL __LOADLOCR6
	ADIW R28,13
	RET
;    1909 
;    1910 // ==========================  ǥ ̹ ============================
;    1911 // [μ] unsigned char dbuf[],int xsize,int ysize
;    1912 // Item1: ǥҵ 
;    1913 // Item2: ̹ ũ(bit) X
;    1914 // Item3: ̹ ũ(bit) Y
;    1915 // []  ȭ(0,0,319,239)
;    1916 //         ȭ(0,0,239,319)
;    1917 //        _screen_color   : ڻ(Setcolor())
;    1918 //        _screen_bkcolor : (Setbkcolor())
;    1919 //        _screen_curx    : Xǥ(Gotoxy())
;    1920 //        _screen_cury    : Yǥ(Gotoxy())
;    1921 // ------------------------------------------------------------------------------
;    1922 void PutImage(unsigned char dbuf[],int xsize,int ysize)
;    1923 {
_PutImage:
;    1924 int i,k,lpos,datai,xbit;
;    1925 int x = _screen_curx,y = _screen_cury;
;    1926 int xcnt = xsize,ycnt = ysize;
;    1927 
;    1928 	if((x+(xsize-1)) > _screen_xmax){			// X ʰ ˻ ǥ  
	SBIW R28,12
	CALL __SAVELOCR6
;	*dbuf -> Y+22
;	xsize -> Y+20
;	ysize -> Y+18
;	i -> R16,R17
;	k -> R18,R19
;	lpos -> R20,R21
;	datai -> Y+16
;	xbit -> Y+14
;	x -> Y+12
;	y -> Y+10
;	xcnt -> Y+8
;	ycnt -> Y+6
	LDS  R30,__screen_curx
	LDS  R31,__screen_curx+1
	STD  Y+12,R30
	STD  Y+12+1,R31
	LDS  R30,__screen_cury
	LDS  R31,__screen_cury+1
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	SBIW R30,1
	CALL SUBOPT_0x45
	BRGE _0x74
;    1929 		xcnt = (_screen_xmax+1) - x;
	MOVW R30,R12
	ADIW R30,1
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+8,R30
	STD  Y+8+1,R31
;    1930 	}
;    1931 	if((y+(ysize-1)) > _screen_ymax){			// Y ʰ ˻ ǥ  
_0x74:
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	SBIW R30,1
	CALL SUBOPT_0x46
	BRGE _0x75
;    1932 		ycnt = (_screen_ymax+1) - y;
	CALL SUBOPT_0x8
	ADIW R30,1
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+6,R30
	STD  Y+6+1,R31
;    1933 	}
;    1934 	ScreenSet(_screen_mode,x,y,(x+xcnt)-1,(y+ycnt)-1);	// ǥ ȭ 
_0x75:
	ST   -Y,R11
	ST   -Y,R10
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x47
	CALL SUBOPT_0x47
	CALL SUBOPT_0x2A
;    1935 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1936 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1937 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x43
;    1938 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    1939 	for(i = lpos = 0; i < ysize; i++){			// Y sizeŭ ǥ
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	MOVW R20,R30
	MOVW R16,R30
_0x77:
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	CP   R16,R30
	CPC  R17,R31
	BRLT PC+3
	JMP _0x78
;    1940 		if((y+i) <= _screen_ymax){			// Y sizeŭ ǥ
	MOVW R30,R16
	CALL SUBOPT_0x46
	BRGE PC+3
	JMP _0x79
;    1941 			for(xbit = 0; xbit < xsize; ){		// X sizeŭ ǥ
	LDI  R30,0
	STD  Y+14,R30
	STD  Y+14+1,R30
_0x7B:
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	LDD  R26,Y+14
	LDD  R27,Y+14+1
	CP   R26,R30
	CPC  R27,R31
	BRGE _0x7C
;    1942 				datai = (int)dbuf[lpos++];	//  
	MOVW R30,R20
	__ADDWRN 20,21,1
	LDD  R26,Y+22
	LDD  R27,Y+22+1
	ADD  R26,R30
	ADC  R27,R31
	CALL SUBOPT_0x48
	STD  Y+16,R30
	STD  Y+16+1,R31
;    1943 				for(k = 0; k < 8; k++,xbit++){	// 1byte ǥ
	__GETWRN 18,19,0
_0x7E:
	__CPWRN 18,19,8
	BRGE _0x7F
;    1944 					if((x+xbit) <= _screen_xmax){// Xǥ   ǥ
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	CALL SUBOPT_0x45
	BRLT _0x80
;    1945 						if(datai & 0x80){// D7 == 1 -> ڻ
	LDD  R30,Y+16
	ANDI R30,LOW(0x80)
	BREQ _0x81
;    1946 							PORTA = _screen_color & 0xff;// PORTA = datau[0..7]
	LDS  R30,__screen_color
	LDS  R31,__screen_color+1
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
;    1947 							PORTC = _screen_color >> 8 & 0xff;// PORTC = datau[8..15]
	LDS  R30,__screen_color+1
	RJMP _0x206
;    1948 						}
;    1949 						else{		// D7 == 0 -> 
_0x81:
;    1950 							PORTA = _screen_bkcolor & 0xff;	// PORTA = datau[0..7]
	CALL SUBOPT_0x44
;    1951 							PORTC = (_screen_bkcolor >> 8) & 0xff;// PORTC = datau[8..15]
_0x206:
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
;    1952 						}
;    1953 						PORTG &= ~0x01;	// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    1954 						PORTG |= 0x01;	// PORTG.0 :: CLCD_WR\ = 1
;    1955 						datai = datai << 1;// data shift << 1
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	LSL  R30
	ROL  R31
	STD  Y+16,R30
	STD  Y+16+1,R31
;    1956 					}
;    1957 
;    1958 				}
_0x80:
	__ADDWRN 18,19,1
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	ADIW R30,1
	STD  Y+14,R30
	STD  Y+14+1,R31
	RJMP _0x7E
_0x7F:
;    1959 			}
	RJMP _0x7B
_0x7C:
;    1960 		}
;    1961 	}
_0x79:
	__ADDWRN 16,17,1
	RJMP _0x77
_0x78:
;    1962 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    1963 // ü ȭ ǥ 
;    1964 	if(_screen_mode == _SCREEN_COLUMN_SET){
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x83
;    1965 		_screen_xmax = _SCREEN_COLUMN_X;		// θ ִ밪
	CALL SUBOPT_0x49
;    1966 		_screen_ymax = _SCREEN_COLUMN_Y;		// θ ִ밪
	RJMP _0x207
;    1967 	}
;    1968 	else{
_0x83:
;    1969 		_screen_xmax = _SCREEN_ROW_X;			// θ ִ밪
	CALL SUBOPT_0x4A
;    1970 		_screen_ymax = _SCREEN_ROW_Y;			// θ ִ밪
_0x207:
	STS  __screen_ymax,R30
	STS  __screen_ymax+1,R31
;    1971 	}
;    1972 // Ŀ 
;    1973 	_screen_curx += xsize;					// Xǥ 
	LDD  R30,Y+20
	LDD  R31,Y+20+1
	LDS  R26,__screen_curx
	LDS  R27,__screen_curx+1
	ADD  R30,R26
	ADC  R31,R27
	STS  __screen_curx,R30
	STS  __screen_curx+1,R31
;    1974 	if(_screen_curx > _screen_xmax){			// X ʰ 0
	LDS  R26,__screen_curx
	LDS  R27,__screen_curx+1
	CP   R12,R26
	CPC  R13,R27
	BRGE _0x85
;    1975 		_screen_curx = 0;
	CALL SUBOPT_0x4B
;    1976 		_screen_cury += ysize;				// Yǥ 
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	CALL SUBOPT_0x4C
	ADD  R30,R26
	ADC  R31,R27
	CALL SUBOPT_0x4D
;    1977 		if(_screen_cury > _screen_ymax){		// Y ʰ ˻ ǥ  
	BRGE _0x86
;    1978 			_screen_curx = 0;
	CALL SUBOPT_0x4B
;    1979 			_screen_cury = 0;
	LDI  R30,0
	STS  __screen_cury,R30
	STS  __screen_cury+1,R30
;    1980 		}
;    1981 	}
_0x86:
;    1982 
;    1983 }
_0x85:
	CALL __LOADLOCR6
	ADIW R28,24
	RET
;    1984 
;    1985 // =============================== ȭ鿡   ============================
;    1986 // [μ] int x,int y,unsigned color
;    1987 // Item1:  xǥ(0-319)
;    1988 // Item2:  yǥ(0-219)
;    1989 // Item3: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
;    1990 // []  ȭ(0,0,319,239)
;    1991 //         ȭ(0,0,239,319)
;    1992 // -----------------------------------------------------------------------------
;    1993 void Putpixel(int x,int y,unsigned color)
;    1994 {
_Putpixel:
;    1995 	ScreenSet(_screen_mode,x,y,x,y);			// ǥ ȭ 
;	x -> Y+4
;	y -> Y+2
;	color -> Y+0
	ST   -Y,R11
	ST   -Y,R10
	CALL SUBOPT_0x1D
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x2D
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	CALL SUBOPT_0x25
;    1996 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
;    1997 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    1998 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x43
;    1999 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    2000 	PORTA = color & 0xff;					// PORTA = datau[0..7]
	CALL SUBOPT_0x4E
;    2001 	PORTC = (color >> 8) & 0xff;				// PORTC = datau[8..15]
	LDD  R30,Y+1
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
;    2002 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    2003 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;    2004 
;    2005 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    2006 
;    2007 //	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
;    2008 //	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
;    2009 }
	ADIW R28,6
	RET
;    2010 
;    2011 // ===================== ϼ ڵ带  ȯ.=========================
;    2012 // [μ] char *buf
;    2013 // Item1: ȯ ڿ 
;    2014 //  : ȯ   -> han_conv_buf[101]
;    2015 // -----------------------------------------------------------------------------
;    2016 void Han_Conv(char *buf)
;    2017 {
_Han_Conv:
;    2018 unsigned char temp[2];
;    2019 int  i,j,len;
;    2020 unsigned lpos,code;
;    2021 
;    2022 	len = strlen(buf);
	SBIW R28,6
	CALL __SAVELOCR6
;	*buf -> Y+12
;	temp -> Y+10
;	i -> R16,R17
;	j -> R18,R19
;	len -> R20,R21
;	lpos -> Y+8
;	code -> Y+6
	CALL SUBOPT_0x1F
	CALL _strlen
	CALL SUBOPT_0x4F
;    2023 	for(i = j = 0; i < len; i++){
_0x88:
	__CPWRR 16,17,20,21
	BRLT PC+3
	JMP _0x89
;    2024 		temp[0] = buf[i];
	MOVW R30,R16
	CALL SUBOPT_0x50
	STD  Y+10,R30
;    2025 		if(temp[0] >= 0xb0 && temp[0] <= 0xc8){
	LDD  R26,Y+10
	CPI  R26,LOW(0xB0)
	BRLO _0x8B
	CPI  R26,LOW(0xC9)
	BRLO _0x8C
_0x8B:
	RJMP _0x8A
_0x8C:
;    2026 			temp[1] = buf[++i];
	CALL SUBOPT_0x51
	STD  Y+11,R30
;    2027 			if(temp[1] >= 0xa1 && temp[1] <= 0xfe){
	LDD  R26,Y+11
	CPI  R26,LOW(0xA1)
	BRLO _0x8E
	CPI  R26,LOW(0xFF)
	BRLO _0x8F
_0x8E:
	RJMP _0x8D
_0x8F:
;    2028 				lpos = (unsigned)(((unsigned)temp[0]-0xb0)*94 + ((unsigned)temp[1]-0xa1));
	CALL SUBOPT_0x52
;    2029 				code = Conv_Tbl[lpos];		// Data Read
;    2030 				han_conv_buf[j++] = (char)(code >> 8);
;    2031 				han_conv_buf[j++] = (char)(code & 0xff);
;    2032 			}
;    2033 		}
_0x8D:
;    2034 		else if(temp[0] == 0xa3){
	RJMP _0x90
_0x8A:
	LDD  R26,Y+10
	CPI  R26,LOW(0xA3)
	BRNE _0x91
;    2035 			temp[1] = buf[++i];
	CALL SUBOPT_0x51
	STD  Y+11,R30
;    2036 			han_conv_buf[j++] = 0xda;
	CALL SUBOPT_0x53
	LDI  R26,LOW(218)
	STD  Z+0,R26
;    2037 			if(temp[1] >= 0xa1 && temp[1] <= 0xbf) han_conv_buf[j++] = temp[1] - 0x70;
	LDD  R26,Y+11
	CPI  R26,LOW(0xA1)
	BRLO _0x93
	CPI  R26,LOW(0xC0)
	BRLO _0x94
_0x93:
	RJMP _0x92
_0x94:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(112)
	RJMP _0x208
;    2038 			else if(temp[1] >= 0xc0 && temp[1] <= 0xdf) han_conv_buf[j++] = temp[1] - 0x70;
_0x92:
	LDD  R26,Y+11
	CPI  R26,LOW(0xC0)
	BRLO _0x97
	CPI  R26,LOW(0xE0)
	BRLO _0x98
_0x97:
	RJMP _0x96
_0x98:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(112)
	RJMP _0x208
;    2039 			else if(temp[1] >= 0xe0 && temp[1] <= 0xee) han_conv_buf[j++] = temp[1] - 0x70;
_0x96:
	LDD  R26,Y+11
	CPI  R26,LOW(0xE0)
	BRLO _0x9B
	CPI  R26,LOW(0xEF)
	BRLO _0x9C
_0x9B:
	RJMP _0x9A
_0x9C:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(112)
	RJMP _0x208
;    2040 			else if(temp[1] >= 0xef && temp[1] <= 0xfd) han_conv_buf[j++] = temp[1] - 0x5e;
_0x9A:
	LDD  R26,Y+11
	CPI  R26,LOW(0xEF)
	BRLO _0x9F
	CPI  R26,LOW(0xFE)
	BRLO _0xA0
_0x9F:
	RJMP _0x9E
_0xA0:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(94)
_0x208:
	ST   X,R30
;    2041 		}
_0x9E:
;    2042 		else if(temp[0] == 0xa1){
	RJMP _0xA1
_0x91:
	LDD  R26,Y+10
	CPI  R26,LOW(0xA1)
	BRNE _0xA2
;    2043 			temp[1] = buf[++i];
	CALL SUBOPT_0x51
	STD  Y+11,R30
;    2044 			if(temp[1] == 0xa1){
	LDD  R26,Y+11
	CPI  R26,LOW(0xA1)
	BRNE _0xA3
;    2045 				han_conv_buf[j++] = 0xd9;
	CALL SUBOPT_0x53
	LDI  R26,LOW(217)
	STD  Z+0,R26
;    2046 				han_conv_buf[j++] = 0x31;
	CALL SUBOPT_0x53
	LDI  R26,LOW(49)
	RJMP _0x209
;    2047 			}
;    2048 			else{
_0xA3:
;    2049 				han_conv_buf[j++] = temp[0];
	CALL SUBOPT_0x53
	LDD  R26,Y+10
	STD  Z+0,R26
;    2050 				han_conv_buf[j++] = temp[1];
	CALL SUBOPT_0x53
	LDD  R26,Y+11
_0x209:
	STD  Z+0,R26
;    2051 			}
;    2052 		}
;    2053 		else han_conv_buf[j++] = temp[0];
	RJMP _0xA5
_0xA2:
	CALL SUBOPT_0x53
	LDD  R26,Y+10
	STD  Z+0,R26
;    2054 	}
_0xA5:
_0xA1:
_0x90:
	__ADDWRN 16,17,1
	RJMP _0x88
_0x89:
;    2055 	han_conv_buf[j] = 0;					// ڿ  ǥ
	CALL SUBOPT_0x54
;    2056 }
	ADIW R28,14
	RET
;    2057 
;    2058 // =============== ϼ(FLASH) ڵ带 (SRAM) ȯ.==================
;    2059 // [μ] char flash *buf
;    2060 // Item1: ȯ ڿ  FLASH
;    2061 //  : ȯ   -> han_conv_buf[101]
;    2062 // -----------------------------------------------------------------------------
;    2063 void Han_Conv_f(char flash *buf)
;    2064 {
_Han_Conv_f:
;    2065 unsigned char temp[2];
;    2066 int  i,j,len;
;    2067 unsigned lpos,code;
;    2068 
;    2069 	len = strlenf(buf);
	SBIW R28,6
	CALL __SAVELOCR6
;	*buf -> Y+12
;	temp -> Y+10
;	i -> R16,R17
;	j -> R18,R19
;	len -> R20,R21
;	lpos -> Y+8
;	code -> Y+6
	__GETD1S 12
	CALL __PUTPARD1
	CALL _strlenf
	CALL SUBOPT_0x4F
;    2070 	for(i = j = 0; i < len; i++){
_0xA7:
	__CPWRR 16,17,20,21
	BRLT PC+3
	JMP _0xA8
;    2071 		temp[0] = buf[i];
	MOVW R30,R16
	CALL SUBOPT_0x55
	STD  Y+10,R0
;    2072 		if(temp[0] >= 0xb0 && temp[0] <= 0xc8){
	LDD  R26,Y+10
	CPI  R26,LOW(0xB0)
	BRLO _0xAA
	CPI  R26,LOW(0xC9)
	BRLO _0xAB
_0xAA:
	RJMP _0xA9
_0xAB:
;    2073 			temp[1] = buf[++i];
	CALL SUBOPT_0x56
	STD  Y+11,R0
;    2074 			if(temp[1] >= 0xa1 && temp[1] <= 0xfe){
	LDD  R26,Y+11
	CPI  R26,LOW(0xA1)
	BRLO _0xAD
	CPI  R26,LOW(0xFF)
	BRLO _0xAE
_0xAD:
	RJMP _0xAC
_0xAE:
;    2075 				lpos = (unsigned)(((unsigned)temp[0]-0xb0)*94 + ((unsigned)temp[1]-0xa1));
	CALL SUBOPT_0x52
;    2076 				code = Conv_Tbl[lpos];		// Data Read
;    2077 				han_conv_buf[j++] = (char)(code >> 8);
;    2078 				han_conv_buf[j++] = (char)(code & 0xff);
;    2079 			}
;    2080 		}
_0xAC:
;    2081 		else if(temp[0] == 0xa3){
	RJMP _0xAF
_0xA9:
	LDD  R26,Y+10
	CPI  R26,LOW(0xA3)
	BRNE _0xB0
;    2082 			temp[1] = buf[++i];
	CALL SUBOPT_0x56
	STD  Y+11,R0
;    2083 			han_conv_buf[j++] = 0xda;
	CALL SUBOPT_0x53
	LDI  R26,LOW(218)
	STD  Z+0,R26
;    2084 			if(temp[1] >= 0xa1 && temp[1] <= 0xbf) han_conv_buf[j++] = temp[1] - 0x70;
	LDD  R26,Y+11
	CPI  R26,LOW(0xA1)
	BRLO _0xB2
	CPI  R26,LOW(0xC0)
	BRLO _0xB3
_0xB2:
	RJMP _0xB1
_0xB3:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(112)
	RJMP _0x20A
;    2085 			else if(temp[1] >= 0xc0 && temp[1] <= 0xdf) han_conv_buf[j++] = temp[1] - 0x70;
_0xB1:
	LDD  R26,Y+11
	CPI  R26,LOW(0xC0)
	BRLO _0xB6
	CPI  R26,LOW(0xE0)
	BRLO _0xB7
_0xB6:
	RJMP _0xB5
_0xB7:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(112)
	RJMP _0x20A
;    2086 			else if(temp[1] >= 0xe0 && temp[1] <= 0xee) han_conv_buf[j++] = temp[1] - 0x70;
_0xB5:
	LDD  R26,Y+11
	CPI  R26,LOW(0xE0)
	BRLO _0xBA
	CPI  R26,LOW(0xEF)
	BRLO _0xBB
_0xBA:
	RJMP _0xB9
_0xBB:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(112)
	RJMP _0x20A
;    2087 			else if(temp[1] >= 0xef && temp[1] <= 0xfd) han_conv_buf[j++] = temp[1] - 0x5e;
_0xB9:
	LDD  R26,Y+11
	CPI  R26,LOW(0xEF)
	BRLO _0xBE
	CPI  R26,LOW(0xFE)
	BRLO _0xBF
_0xBE:
	RJMP _0xBD
_0xBF:
	CALL SUBOPT_0x53
	MOVW R26,R30
	LDD  R30,Y+11
	SUBI R30,LOW(94)
_0x20A:
	ST   X,R30
;    2088 		}
_0xBD:
;    2089 		else if(temp[0] == 0xa1){
	RJMP _0xC0
_0xB0:
	LDD  R26,Y+10
	CPI  R26,LOW(0xA1)
	BRNE _0xC1
;    2090 			temp[1] = buf[++i];
	CALL SUBOPT_0x56
	STD  Y+11,R0
;    2091 			if(temp[1] == 0xa1){
	LDD  R26,Y+11
	CPI  R26,LOW(0xA1)
	BRNE _0xC2
;    2092 				han_conv_buf[j++] = 0xd9;
	CALL SUBOPT_0x53
	LDI  R26,LOW(217)
	STD  Z+0,R26
;    2093 				han_conv_buf[j++] = 0x31;
	CALL SUBOPT_0x53
	LDI  R26,LOW(49)
	RJMP _0x20B
;    2094 			}
;    2095 			else{
_0xC2:
;    2096 				han_conv_buf[j++] = temp[0];
	CALL SUBOPT_0x53
	LDD  R26,Y+10
	STD  Z+0,R26
;    2097 				han_conv_buf[j++] = temp[1];
	CALL SUBOPT_0x53
	LDD  R26,Y+11
_0x20B:
	STD  Z+0,R26
;    2098 			}
;    2099 		}
;    2100 		else han_conv_buf[j++] = temp[0];
	RJMP _0xC4
_0xC1:
	CALL SUBOPT_0x53
	LDD  R26,Y+10
	STD  Z+0,R26
;    2101 	}
_0xC4:
_0xC0:
_0xAF:
	__ADDWRN 16,17,1
	RJMP _0xA7
_0xA8:
;    2102 	han_conv_buf[j] = 0;					// ڿ  ǥ
	CALL SUBOPT_0x54
;    2103 }
	ADIW R28,16
	RET
;    2104 
;    2105 // =============================== RGB ݺ ǥ ===============================
;    2106 // [μ] void
;    2107 // [] 320*240 ȭ鿡 50Pixel  RGBݺ ǥ
;    2108 // -----------------------------------------------------------------------------
;    2109 void RGB_Disp(void)
;    2110 {
_RGB_Disp:
;    2111 int i,j;
;    2112 int step_y1,step_y2,step_y3,step_y4;
;    2113 unsigned datau,R = 0x3f,G = 0,B = 0;
;    2114 
;    2115 	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	SBIW R28,14
	LDI  R24,6
	LDI  R26,LOW(0)
	LDI  R27,HIGH(0)
	LDI  R30,LOW(_0xC5*2)
	LDI  R31,HIGH(_0xC5*2)
	LDI  R22,BYTE3(_0xC5*2)
	CALL __INITLOCB
	CALL __SAVELOCR6
;	i -> R16,R17
;	j -> R18,R19
;	step_y1 -> R20,R21
;	step_y2 -> Y+18
;	step_y3 -> Y+16
;	step_y4 -> Y+14
;	datau -> Y+12
;	R -> Y+10
;	G -> Y+8
;	B -> Y+6
	MOV  R0,R10
	OR   R0,R11
	BRNE _0xC6
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	RJMP _0x20C
;    2116 	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0xC6:
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
_0x20C:
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
;    2117 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	CALL SUBOPT_0x5
;    2118 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    2119 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x43
;    2120 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    2121 
;    2122 	if(_screen_mode == _SCREEN_COLUMN_SET){			//  ȭ
	MOV  R0,R10
	OR   R0,R11
	BRNE _0xC8
;    2123 		step_y1 = 48;
	__GETWRN 20,21,48
;    2124 		step_y2 = 96;
	LDI  R30,LOW(96)
	LDI  R31,HIGH(96)
	STD  Y+18,R30
	STD  Y+18+1,R31
;    2125 		step_y3 = 144;
	LDI  R30,LOW(144)
	LDI  R31,HIGH(144)
	STD  Y+16,R30
	STD  Y+16+1,R31
;    2126 		step_y4 = 192;
	LDI  R30,LOW(192)
	LDI  R31,HIGH(192)
	RJMP _0x20D
;    2127 //		step_y5 = 240;
;    2128 	}
;    2129 	else if(_screen_mode == _SCREEN_ROW_SET){		//  ȭ
_0xC8:
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	CP   R30,R10
	CPC  R31,R11
	BRNE _0xCA
;    2130 		step_y1 = 64;
	__GETWRN 20,21,64
;    2131 		step_y2 = 128;
	LDI  R30,LOW(128)
	LDI  R31,HIGH(128)
	STD  Y+18,R30
	STD  Y+18+1,R31
;    2132 		step_y3 = 192;
	LDI  R30,LOW(192)
	LDI  R31,HIGH(192)
	STD  Y+16,R30
	STD  Y+16+1,R31
;    2133 		step_y4 = 256;
	LDI  R30,LOW(256)
	LDI  R31,HIGH(256)
_0x20D:
	STD  Y+14,R30
	STD  Y+14+1,R31
;    2134 //		step_y5 = 320;
;    2135 	}
;    2136 	for(i = 0; i <= _screen_ymax; i++){
_0xCA:
	__GETWRN 16,17,0
_0xCC:
	CALL SUBOPT_0x8
	CP   R30,R16
	CPC  R31,R17
	BRGE PC+3
	JMP _0xCD
;    2137 		datau = (R << 11) + (G << 6) + B;		// datau = RRRRRR GGGGGG BBBBBB
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	LDI  R30,LOW(11)
	CALL __LSLW12
	MOVW R22,R30
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDI  R30,LOW(6)
	CALL __LSLW12
	ADD  R30,R22
	ADC  R31,R23
	CALL SUBOPT_0x22
	STD  Y+12,R30
	STD  Y+12+1,R31
;    2138 		PORTA = datau & 0xff;				// PORTA = datau[0..7]
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
;    2139 		PORTC = (datau >> 8) & 0xff;			// PORTC = datau[8..15]
	LDD  R30,Y+13
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
;    2140 		if(i < step_y1){				// RED
	__CPWRR 16,17,20,21
	BRGE _0xCE
;    2141 			R = 0x1f;
	CALL SUBOPT_0x57
;    2142 			G = 0x00;
;    2143 			B = 0x00;
;    2144 		}
;    2145 		else if(i < step_y2){				// GREEN
	RJMP _0xCF
_0xCE:
	LDD  R30,Y+18
	LDD  R31,Y+18+1
	CP   R16,R30
	CPC  R17,R31
	BRGE _0xD0
;    2146 			R = 0x00;
	LDI  R30,0
	STD  Y+10,R30
	STD  Y+10+1,R30
;    2147 			G = 0x1f;
	LDI  R30,LOW(31)
	LDI  R31,HIGH(31)
	STD  Y+8,R30
	STD  Y+8+1,R31
;    2148 			B = 0x00;
	LDI  R30,0
	STD  Y+6,R30
	STD  Y+6+1,R30
;    2149 		}
;    2150 		else if(i < step_y3){				// BLUE
	RJMP _0xD1
_0xD0:
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	CP   R16,R30
	CPC  R17,R31
	BRGE _0xD2
;    2151 			R = 0x00;
	RJMP _0x20E
;    2152 			G = 0x00;
;    2153 			B = 0x1f;
;    2154 		}
;    2155 		else if(i < step_y4){				// RED
_0xD2:
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	CP   R16,R30
	CPC  R17,R31
	BRGE _0xD4
;    2156 			R = 0x1f;
	CALL SUBOPT_0x57
;    2157 			G = 0x00;
;    2158 			B = 0x00;
;    2159 		}
;    2160 		else{						// BLUE
	RJMP _0xD5
_0xD4:
;    2161 			R = 0x00;
_0x20E:
	LDI  R30,0
	STD  Y+10,R30
	STD  Y+10+1,R30
;    2162 			G = 0x00;
	LDI  R30,0
	STD  Y+8,R30
	STD  Y+8+1,R30
;    2163 			B = 0x1f;
	LDI  R30,LOW(31)
	LDI  R31,HIGH(31)
	STD  Y+6,R30
	STD  Y+6+1,R31
;    2164 		}
_0xD5:
_0xD1:
_0xCF:
;    2165 		for(j = 0; j <= _screen_xmax; j++){
	__GETWRN 18,19,0
_0xD7:
	__CPWRR 12,13,18,19
	BRLT _0xD8
;    2166 			PORTG &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
	CALL SUBOPT_0x9
;    2167 			PORTG |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
;    2168         	}
	__ADDWRN 18,19,1
	RJMP _0xD7
_0xD8:
;    2169 	}
	__ADDWRN 16,17,1
	RJMP _0xCC
_0xCD:
;    2170 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    2171 	_screen_curx = _screen_cury = 0;
	CALL SUBOPT_0xB
;    2172 }
	CALL __LOADLOCR6
	ADIW R28,20
	RET
;    2173 
;    2174 // ========================= Ʈ     =========================
;    2175 // [μ] unsigned int	c
;    2176 // Item1:  
;    2177 // ------------------------------------------------------------------------------
;    2178 void _Putch(unsigned int c)
;    2179 {
__Putch:
;    2180 unsigned char *image;
;    2181 
;    2182 	if(c & 0x8000){						// ѱ ڵ Ÿ
	ST   -Y,R17
	ST   -Y,R16
;	c -> Y+2
;	*image -> R16,R17
	LDD  R30,Y+3
	ANDI R30,LOW(0x80)
	BREQ _0xD9
;    2183 		image = _GetHanImage(c);			// ѱ  
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __GetHanImage
	MOVW R16,R30
;    2184 		PutImage(image,24,24);				// image ǥ
	ST   -Y,R17
	ST   -Y,R16
	LDI  R30,LOW(24)
	LDI  R31,HIGH(24)
	RJMP _0x20F
;    2185 	}
;    2186 	else{							//  ڵ Ÿ
_0xD9:
;    2187 		if(c == 0x0a){
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	SBIW R26,10
	BRNE _0xDB
;    2188 			// ü ȭ ǥ 
;    2189 			if(_screen_mode == _SCREEN_COLUMN_SET){
	MOV  R0,R10
	OR   R0,R11
	BRNE _0xDC
;    2190 				_screen_xmax = _SCREEN_COLUMN_X;// θ ִ밪
	CALL SUBOPT_0x49
;    2191 				_screen_ymax = _SCREEN_COLUMN_Y;// θ ִ밪
	RJMP _0x210
;    2192 			}
;    2193 			else{
_0xDC:
;    2194 				_screen_xmax = _SCREEN_ROW_X;	// θ ִ밪
	CALL SUBOPT_0x4A
;    2195 				_screen_ymax = _SCREEN_ROW_Y;	// θ ִ밪
_0x210:
	STS  __screen_ymax,R30
	STS  __screen_ymax+1,R31
;    2196 			}
;    2197 			// YĿ 
;    2198 			_screen_cury += 24;			// Ŀ   
	LDS  R30,__screen_cury
	LDS  R31,__screen_cury+1
	ADIW R30,24
	CALL SUBOPT_0x4D
;    2199 			if(_screen_cury > _screen_ymax) _screen_cury = 0;// Ŀ   ˻
	BRGE _0xDE
	LDI  R30,0
	STS  __screen_cury,R30
	STS  __screen_cury+1,R30
;    2200 		}
_0xDE:
;    2201 		else if(c == 0x0d) _screen_curx = 0;		// Carrage Return
	RJMP _0xDF
_0xDB:
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	SBIW R26,13
	BRNE _0xE0
	CALL SUBOPT_0x4B
;    2202 		else{
	RJMP _0xE1
_0xE0:
;    2203 			image = _GetAscImage(c);		//   
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	ST   -Y,R31
	ST   -Y,R30
	RCALL __GetAscImage
	MOVW R16,R30
;    2204 			PutImage(image,16,24);			// image ǥ
	ST   -Y,R17
	ST   -Y,R16
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
_0x20F:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(24)
	LDI  R31,HIGH(24)
	ST   -Y,R31
	ST   -Y,R30
	CALL _PutImage
;    2205 		}
_0xE1:
_0xDF:
;    2206 	}
;    2207 }
	LDD  R17,Y+1
	LDD  R16,Y+0
	RJMP _0x1F6
;    2208 
;    2209 // ======================== ѱ Ʈ Ÿ   ======================
;    2210 //  [μ] unsigned c
;    2211 //  Item1: ȯ Ÿ
;    2212 //   : ȯ  
;    2213 // ------------------------------------------------------------------------------
;    2214 void *_GetHanImage(unsigned c)
;    2215 {
__GetHanImage:
;    2216 unsigned h, h1, h2, h3, type1, type2, type3, pos;
;    2217 
;    2218 	static char idxtbl1[] = {				// ʼ ε ̺

	.DSEG
_idxtbl1_S21:
;    2219 		 0,  0,  1,  2,  3,  4,  5,  6,
;    2220 		 7,  8,  9, 10, 11, 12, 13, 14,
;    2221 		15, 16, 17, 18, 19,  0,  0,  0,
;    2222 		 0,  0,  0,  0,  0,  0,  0,  0
;    2223 	};
	.BYTE 0x20

	.CSEG
;    2224 	static char idxtbl2[] = {				// ߼ ε ̺

	.DSEG
_idxtbl2_S21:
;    2225 		 0,  0,  0,  1,  2,  3,  4,  5,
;    2226 		 0,  0,  6,  7,  8,  9, 10, 11,
;    2227 		 0,  0, 12, 13, 14, 15, 16, 17,
;    2228 		 0,  0, 18, 19, 20, 21,  0,  0
;    2229 	};
	.BYTE 0x20

	.CSEG
;    2230 	static char idxtbl3[] = {				//  ε ̺

	.DSEG
_idxtbl3_S21:
;    2231 		 0,  0,  1,  2,  3,  4,  5,  6,
;    2232 		 7,  8,  9, 10, 11, 12, 13, 14,
;    2233 		15, 16,  0, 17, 18, 19, 20, 21,
;    2234 		22, 23, 24, 25, 26, 27,  0,  0
;    2235     };
	.BYTE 0x20

	.CSEG
;    2236 	static char type1tbl_no[]  = {				// ߼  ʼ /ħ 

	.DSEG
_type1tbl_no_S21:
;    2237 		0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3,
;    2238 		3, 3, 1, 2, 4, 4, 4, 2, 1, 3, 0
;    2239 	};
	.BYTE 0x16

	.CSEG
;    2240 	static char type1tbl_yes[] = {				// ߼  ʼ /ħ 

	.DSEG
_type1tbl_yes_S21:
;    2241 		5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 7,
;    2242 		7, 7, 6, 6, 7, 7, 7, 6, 6, 7, 5
;    2243 	};
	.BYTE 0x16

	.CSEG
;    2244 	static char type3tbl[] = {				// ߼   

	.DSEG
_type3tbl_S21:
;    2245 		0, 0, 2, 0, 2, 1, 2, 1, 2, 3, 0,
;    2246 		2, 1, 3, 3, 1, 2, 1, 3, 3, 1, 1
;    2247 	};
	.BYTE 0x16

	.CSEG
;    2248 
;    2249 	h1 = (c >> 10) & 0x1F;					// ʼ ڵ
	SBIW R28,10
	CALL __SAVELOCR6
;	c -> Y+16
;	h -> R16,R17
;	h1 -> R18,R19
;	h2 -> R20,R21
;	h3 -> Y+14
;	type1 -> Y+12
;	type2 -> Y+10
;	type3 -> Y+8
;	pos -> Y+6
	LDD  R30,Y+17
	LSR  R30
	LSR  R30
	ANDI R30,LOW(0x1F)
	ANDI R31,HIGH(0x1F)
	MOVW R18,R30
;    2250 	h2 = (c >> 5)  & 0x1F;					// ߼ ڵ
	LDD  R26,Y+16
	LDD  R27,Y+16+1
	LDI  R30,LOW(5)
	CALL __LSRW12
	ANDI R30,LOW(0x1F)
	ANDI R31,HIGH(0x1F)
	MOVW R20,R30
;    2251 	h3 = c	       & 0x1F;					//  ڵ
	LDD  R30,Y+16
	LDD  R31,Y+16+1
	ANDI R30,LOW(0x1F)
	ANDI R31,HIGH(0x1F)
	STD  Y+14,R30
	STD  Y+14+1,R31
;    2252 
;    2253 	h1 = idxtbl1[h1];					// ʼ ε ڵ
	LDI  R26,LOW(_idxtbl1_S21)
	LDI  R27,HIGH(_idxtbl1_S21)
	ADD  R26,R18
	ADC  R27,R19
	LD   R18,X
	CLR  R19
;    2254 	h2 = idxtbl2[h2];					// ߼ ε ڵ
	LDI  R26,LOW(_idxtbl2_S21)
	LDI  R27,HIGH(_idxtbl2_S21)
	ADD  R26,R20
	ADC  R27,R21
	LD   R20,X
	CLR  R21
;    2255 	h3 = idxtbl3[h3];					//  ε ڵ
	SUBI R30,LOW(-_idxtbl3_S21)
	SBCI R31,HIGH(-_idxtbl3_S21)
	LD   R30,Z
	LDI  R31,0
	STD  Y+14,R30
	STD  Y+14+1,R31
;    2256 
;    2257 	type1 = h3 ? type1tbl_yes[h2] : type1tbl_no[h2];
	SBIW R30,0
	BREQ _0xE8
	LDI  R26,LOW(_type1tbl_yes_S21)
	LDI  R27,HIGH(_type1tbl_yes_S21)
	RJMP _0x211
_0xE8:
	LDI  R26,LOW(_type1tbl_no_S21)
	LDI  R27,HIGH(_type1tbl_no_S21)
_0x211:
	ADD  R26,R20
	ADC  R27,R21
	CALL SUBOPT_0x48
	STD  Y+12,R30
	STD  Y+12+1,R31
;    2258 	type2 = ((h1 == 0 || h1 == 1 || h1 == 16) ? 0 : 1) + (h3 ? 2 : 0);
	CLR  R0
	CP   R0,R18
	CPC  R0,R19
	BREQ _0xEB
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	CP   R30,R18
	CPC  R31,R19
	BREQ _0xEB
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
	CP   R30,R18
	CPC  R31,R19
	BRNE _0xED
_0xEB:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	RJMP _0xEE
_0xED:
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
_0xEE:
	MOVW R26,R30
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	SBIW R30,0
	BREQ _0xF0
	LDI  R30,LOW(2)
	LDI  R31,HIGH(2)
	RJMP _0xF1
_0xF0:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
_0xF1:
	ADD  R30,R26
	ADC  R31,R27
	STD  Y+10,R30
	STD  Y+10+1,R31
;    2259 	type3 = type3tbl[h2];
	LDI  R26,LOW(_type3tbl_S21)
	LDI  R27,HIGH(_type3tbl_S21)
	ADD  R26,R20
	ADC  R27,R21
	CALL SUBOPT_0x48
	STD  Y+8,R30
	STD  Y+8+1,R31
;    2260 
;    2261 	if(h1){
	MOV  R0,R18
	OR   R0,R19
	BREQ _0xF3
;    2262 		h = h1-1;					// ʼ[8][19][32] -> ʼ[152][32]
	MOVW R30,R18
	SBIW R30,1
	MOVW R16,R30
;    2263 		pos = type1*19;
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	LDI  R30,LOW(19)
	CALL SUBOPT_0x58
;    2264 		memcpyf(ib, HanFont1[pos+h], 72);
	CALL SUBOPT_0x59
	SUBI R30,LOW(-_HanFont1*2)
	SBCI R31,HIGH(-_HanFont1*2)
	SBCI R22,BYTE3(-_HanFont1*2)
	CALL SUBOPT_0x5A
	CALL _memcpyf
;    2265 	}
;    2266 	else memset(ib, 0, 72);
	RJMP _0xF4
_0xF3:
	LDI  R30,LOW(_ib_G1)
	LDI  R31,HIGH(_ib_G1)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(0)
	ST   -Y,R30
	LDI  R30,LOW(72)
	LDI  R31,HIGH(72)
	ST   -Y,R31
	ST   -Y,R30
	CALL _memset
;    2267 	if(h2){
_0xF4:
	MOV  R0,R20
	OR   R0,R21
	BREQ _0xF5
;    2268 		h = h2-1;
	MOVW R30,R20
	SBIW R30,1
	MOVW R16,R30
;    2269 		pos = type2*21;
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	LDI  R30,LOW(21)
	CALL SUBOPT_0x58
;    2270 		_memor(ib, HanFont2[pos+h], 72);		// ߼[4][21][32] -> ߼[84][32]
	CALL SUBOPT_0x59
	SUBI R30,LOW(-_HanFont2*2)
	SBCI R31,HIGH(-_HanFont2*2)
	SBCI R22,BYTE3(-_HanFont2*2)
	CALL SUBOPT_0x5A
	RCALL __memor
;    2271 	}
;    2272 	if(h3){
_0xF5:
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	SBIW R30,0
	BREQ _0xF6
;    2273 		h = h3-1;
	SBIW R30,1
	MOVW R16,R30
;    2274 		pos = type3*27;
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDI  R30,LOW(27)
	CALL SUBOPT_0x58
;    2275 		_memor(ib, HanFont3[pos+h], 72);		// [4][27][32] -> [108][32]
	CALL SUBOPT_0x59
	SUBI R30,LOW(-_HanFont3*2)
	SBCI R31,HIGH(-_HanFont3*2)
	SBCI R22,BYTE3(-_HanFont3*2)
	CALL SUBOPT_0x5A
	RCALL __memor
;    2276 	}
;    2277 	return ib;
_0xF6:
	LDI  R30,LOW(_ib_G1)
	LDI  R31,HIGH(_ib_G1)
	CALL __LOADLOCR6
	ADIW R28,18
	RET
;    2278 }
;    2279 
;    2280 // ======================  ѱ Ʈ Ѵ. ==========================
;    2281 //  [μ] unsigned char *s1
;    2282 //	   unsigned char flash *s2
;    2283 //	   int	len
;    2284 //  Item1:  
;    2285 //  Item2: ε 
;    2286 //  Item3: 
;    2287 // ------------------------------------------------------------------------------
;    2288 void _memor(unsigned char *s1,unsigned char flash *s2, int len)
;    2289 {
__memor:
;    2290 	do{
;	*s1 -> Y+6
;	*s2 -> Y+2
;	len -> Y+0
_0xF8:
;    2291 		*s1++ |= *s2++;
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ADIW R30,1
	STD  Y+6,R30
	STD  Y+6+1,R31
	SBIW R30,1
	MOVW R0,R30
	LD   R30,Z
	MOV  R26,R30
	__GETD1S 2
	CALL SUBOPT_0x5B
	__PUTD1S 2
	CALL SUBOPT_0x5C
	OR   R30,R26
	MOVW R26,R0
	ST   X,R30
;    2292 	}while (--len);
	LD   R30,Y
	LDD  R31,Y+1
	SBIW R30,1
	ST   Y,R30
	STD  Y+1,R31
	BRNE _0xF8
;    2293 }
_0x1F7:
	ADIW R28,8
	RET
;    2294 
;    2295 // =======================  Ʈ  ε ===============================
;    2296 //  [μ] char c
;    2297 //  Item1: ȯ Ÿ
;    2298 //   : ȯ  
;    2299 // -----------------------------------------------------------------------------
;    2300 unsigned char* _GetAscImage(int c)
;    2301 {
__GetAscImage:
;    2302 int i;
;    2303 
;    2304         for(i = 0; i < 48; i++) ascii_fbuf[i] = AscFont16[c][i];
	ST   -Y,R17
	ST   -Y,R16
;	c -> Y+2
;	i -> R16,R17
	__GETWRN 16,17,0
_0xFB:
	__CPWRN 16,17,48
	BRGE _0xFC
	MOVW R30,R16
	SUBI R30,LOW(-_ascii_fbuf_G1)
	SBCI R31,HIGH(-_ascii_fbuf_G1)
	PUSH R31
	PUSH R30
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	CLR  R22
	CLR  R23
	__GETD2N 0x30
	CALL __MULD12U
	SUBI R30,LOW(-_AscFont16*2)
	SBCI R31,HIGH(-_AscFont16*2)
	SBCI R22,BYTE3(-_AscFont16*2)
	MOVW R26,R30
	MOVW R24,R22
	MOVW R30,R16
	CLR  R22
	CLR  R23
	CALL __ADDD12
	__GETBRPF 30
	POP  R26
	POP  R27
	ST   X,R30
;    2305 	return ascii_fbuf;
	__ADDWRN 16,17,1
	RJMP _0xFB
_0xFC:
	LDI  R30,LOW(_ascii_fbuf_G1)
	LDI  R31,HIGH(_ascii_fbuf_G1)
	LDD  R17,Y+1
	LDD  R16,Y+0
	RJMP _0x1F6
;    2306 }
;    2307 
;    2308 // ============================== TFT LCD ʱȭ ===============================
;    2309 // [μ] void
;    2310 // [] 320*240 TFT LCD :: 80System 16bit Bus
;    2311 // -----------------------------------------------------------------------------
;    2312 void Clcd_Init(void)
;    2313 {
_Clcd_Init:
;    2314 	lcd_delay(100);						// Power ON ð 
	CALL SUBOPT_0x5D
;    2315 
;    2316 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    2317 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
	CALL SUBOPT_0x5E
;    2318 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Instruction Set
	SBI  0x3,5
;    2319 
;    2320 	PORTA=0xff;						// PORTA OUTPUT = 0xff
	CALL SUBOPT_0x5F
;    2321 	DDRA=0xff;                                              // PORTA(CLCD_D[0..7] = OUTPUT MODE)
;    2322 	PORTC=0xff;						// PORTC OUTPUT = 0xff
;    2323 	DDRC=0xff;                                              // PORTC(CLCD_D[8..15] = OUTPUT MODE)
;    2324 
;    2325 // ׷ LCD 
;    2326 	PORTE &= 0xbf;						// PORTE.6(RST\) = 0
	CBI  0x3,6
;    2327 	lcd_delay(100);						// reset ð 
	CALL SUBOPT_0x5D
;    2328 	PORTE |= 0x40;						// PORTE.6(RST\) = 1
	SBI  0x3,6
;    2329 	lcd_delay(50);						// reset ð 
	CALL SUBOPT_0x60
	RCALL _lcd_delay
;    2330 
;    2331 // init_lcd_registers
;    2332 //Gamma setting
;    2333  	CLCD_Command_Data(0x0046,0x0081);			// Gamma(1)
	LDI  R30,LOW(70)
	LDI  R31,HIGH(70)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(129)
	LDI  R31,HIGH(129)
	CALL SUBOPT_0xE
;    2334  	CLCD_Command_Data(0x0047,0x0010);			// Gamma(2)
	LDI  R30,LOW(71)
	LDI  R31,HIGH(71)
	CALL SUBOPT_0x61
;    2335  	CLCD_Command_Data(0x0048,0x0001);			// Gamma(3)
	LDI  R30,LOW(72)
	LDI  R31,HIGH(72)
	CALL SUBOPT_0x62
;    2336 	CLCD_Command_Data(0x0049,0x0004);			// Gamma(4)
	LDI  R30,LOW(73)
	LDI  R31,HIGH(73)
	CALL SUBOPT_0x63
;    2337 	CLCD_Command_Data(0x004A,0x0010);			// Gamma(5)
	LDI  R30,LOW(74)
	LDI  R31,HIGH(74)
	CALL SUBOPT_0x61
;    2338 	CLCD_Command_Data(0x004B,0x0076);			// Gamma(6)
	LDI  R30,LOW(75)
	LDI  R31,HIGH(75)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(118)
	LDI  R31,HIGH(118)
	CALL SUBOPT_0xE
;    2339 	CLCD_Command_Data(0x004C,0x0037);			// Gamma(7)
	LDI  R30,LOW(76)
	LDI  R31,HIGH(76)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(55)
	LDI  R31,HIGH(55)
	CALL SUBOPT_0xE
;    2340 	CLCD_Command_Data(0x004D,0x0067);			// Gamma(8)
	LDI  R30,LOW(77)
	LDI  R31,HIGH(77)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(103)
	LDI  R31,HIGH(103)
	CALL SUBOPT_0xE
;    2341 	CLCD_Command_Data(0x004E,0x0007);			// Gamma(9)
	LDI  R30,LOW(78)
	LDI  R31,HIGH(78)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CALL SUBOPT_0xE
;    2342 	CLCD_Command_Data(0x004F,0x0014);			// Gamma(10)
	LDI  R30,LOW(79)
	LDI  R31,HIGH(79)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(20)
	LDI  R31,HIGH(20)
	CALL SUBOPT_0xE
;    2343 	CLCD_Command_Data(0x0050,0x000A);			// Gamma(11)
	LDI  R30,LOW(80)
	LDI  R31,HIGH(80)
	CALL SUBOPT_0x64
;    2344 	CLCD_Command_Data(0x0051,0x000E);			// Gamma(12)
	LDI  R30,LOW(81)
	LDI  R31,HIGH(81)
	CALL SUBOPT_0x65
;    2345 
;    2346 //Window Setting
;    2347    	CLCD_Command_Data(0x0002,0x0000);			// Column Address2
	CALL SUBOPT_0xF
	CALL SUBOPT_0x1
	RCALL _CLCD_Command_Data
;    2348 	CLCD_Command_Data(0x0003,0x0000);			// Column Address1
	CALL SUBOPT_0x10
	CALL SUBOPT_0x1
	RCALL _CLCD_Command_Data
;    2349 	CLCD_Command_Data(0x0004,0x0000);			// Column End2
	CALL SUBOPT_0x12
	CALL SUBOPT_0x1
	RCALL _CLCD_Command_Data
;    2350 	CLCD_Command_Data(0x0005,0x00EF);			// Column End1 :: 239
	CALL SUBOPT_0x13
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	CALL SUBOPT_0xE
;    2351 	CLCD_Command_Data(0x0006,0x0000);			// Row Address Start2
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	CALL SUBOPT_0x66
	RCALL _CLCD_Command_Data
;    2352 	CLCD_Command_Data(0x0007,0x0000);			// Row Address Start1
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	CALL SUBOPT_0x66
	RCALL _CLCD_Command_Data
;    2353 	CLCD_Command_Data(0x0008,0x0001);			// Row Address End2 :: 319
	CALL SUBOPT_0x14
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	CALL SUBOPT_0xE
;    2354 	CLCD_Command_Data(0x0009,0x003F);			// Row Address End1
	CALL SUBOPT_0x15
	LDI  R30,LOW(63)
	LDI  R31,HIGH(63)
	CALL SUBOPT_0xE
;    2355 
;    2356 //Display Setting
;    2357 	lcd_delay(10);						// 10ms Delay
	CALL SUBOPT_0x67
;    2358 	CLCD_Command_Data(0x01,0x0006);				// Display Mode
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(6)
	LDI  R31,HIGH(6)
	CALL SUBOPT_0xE
;    2359 
;    2360 	CLCD_Command_Data(0x16,0x00C8);				// Memory Access Control
	CALL SUBOPT_0xD
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	CALL SUBOPT_0xE
;    2361 	CLCD_Command_Data(0x23,0x0095);				// Cycle Control 1
	LDI  R30,LOW(35)
	LDI  R31,HIGH(35)
	CALL SUBOPT_0x68
;    2362 	CLCD_Command_Data(0x24,0x0095);				// Cycle Control 2
	LDI  R30,LOW(36)
	LDI  R31,HIGH(36)
	CALL SUBOPT_0x68
;    2363 	CLCD_Command_Data(0x25,0x00FF);				// Cycle Control 3
	LDI  R30,LOW(37)
	LDI  R31,HIGH(37)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(255)
	LDI  R31,HIGH(255)
	CALL SUBOPT_0xE
;    2364 	CLCD_Command_Data(0x27,0x0002);				// Display Control 2
	LDI  R30,LOW(39)
	LDI  R31,HIGH(39)
	CALL SUBOPT_0x69
;    2365 	CLCD_Command_Data(0x28,0x0002);				// Display Control 3
	LDI  R30,LOW(40)
	LDI  R31,HIGH(40)
	CALL SUBOPT_0x69
;    2366 	CLCD_Command_Data(0x29,0x0002);				// Display Control 4
	LDI  R30,LOW(41)
	LDI  R31,HIGH(41)
	CALL SUBOPT_0x69
;    2367 	CLCD_Command_Data(0x2A,0x0002);				// Display Control 5
	LDI  R30,LOW(42)
	LDI  R31,HIGH(42)
	CALL SUBOPT_0x69
;    2368 	CLCD_Command_Data(0x2C,0x0002);				// Display Control 6
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL SUBOPT_0x69
;    2369 	CLCD_Command_Data(0x2D,0x0002);				// Display Control 7
	LDI  R30,LOW(45)
	LDI  R31,HIGH(45)
	CALL SUBOPT_0x69
;    2370 
;    2371 	CLCD_Command_Data(0x003A,0x0001);			// Cycle Control 1
	LDI  R30,LOW(58)
	LDI  R31,HIGH(58)
	CALL SUBOPT_0x62
;    2372 	CLCD_Command_Data(0x003B,0x0001);			// Cycle Control 2
	LDI  R30,LOW(59)
	LDI  R31,HIGH(59)
	CALL SUBOPT_0x62
;    2373 	CLCD_Command_Data(0x003C,0x00F0);			// Cycle Control 3
	LDI  R30,LOW(60)
	LDI  R31,HIGH(60)
	CALL SUBOPT_0x6A
;    2374 	CLCD_Command_Data(0x003D,0x0000);			// Cycle Control 4
	LDI  R30,LOW(61)
	LDI  R31,HIGH(61)
	CALL SUBOPT_0x66
	RCALL _CLCD_Command_Data
;    2375 	lcd_delay(20);						// 20ms Delay
	CALL SUBOPT_0x6B
;    2376 	CLCD_Command_Data(0x35,0x0038);				// Display Control 9
	LDI  R30,LOW(53)
	LDI  R31,HIGH(53)
	CALL SUBOPT_0x6C
;    2377 	CLCD_Command_Data(0x36,0x0078);				// Display Control 10
	LDI  R30,LOW(54)
	LDI  R31,HIGH(54)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(120)
	LDI  R31,HIGH(120)
	CALL SUBOPT_0xE
;    2378 	CLCD_Command_Data(0x3E,0x0038);				// Cycle Control 5
	LDI  R30,LOW(62)
	LDI  R31,HIGH(62)
	CALL SUBOPT_0x6C
;    2379 	CLCD_Command_Data(0x40,0x000F);				// Cycle Control 6
	LDI  R30,LOW(64)
	LDI  R31,HIGH(64)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(15)
	LDI  R31,HIGH(15)
	CALL SUBOPT_0xE
;    2380 	CLCD_Command_Data(0x41,0x00F0); 			// Cycle Control 7
	LDI  R30,LOW(65)
	LDI  R31,HIGH(65)
	CALL SUBOPT_0x6A
;    2381 
;    2382 	CLCD_Command_Data(0x38,0x0000);				// RGB Interface Control1
	LDI  R30,LOW(56)
	LDI  R31,HIGH(56)
	CALL SUBOPT_0x66
	RCALL _CLCD_Command_Data
;    2383 
;    2384 // Power Setting
;    2385  	CLCD_Command_Data(0x19,0x0049);				// OCS Control1
	LDI  R30,LOW(25)
	LDI  R31,HIGH(25)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(73)
	LDI  R31,HIGH(73)
	CALL SUBOPT_0xE
;    2386 	CLCD_Command_Data(0x93,0x000A);				// DCCLK SYNC TO CL1
	LDI  R30,LOW(147)
	LDI  R31,HIGH(147)
	CALL SUBOPT_0x64
;    2387 	lcd_delay(10);						// 10ms Delay
	CALL SUBOPT_0x67
;    2388 	CLCD_Command_Data(0x20,0x0050);				// Power Control 06
	LDI  R30,LOW(32)
	LDI  R31,HIGH(32)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(80)
	LDI  R31,HIGH(80)
	CALL SUBOPT_0xE
;    2389 	CLCD_Command_Data(0x1D,0x0004);				// Power Control 03
	LDI  R30,LOW(29)
	LDI  R31,HIGH(29)
	CALL SUBOPT_0x63
;    2390 	CLCD_Command_Data(0x1E,0x0001);				// Power Control 04
	LDI  R30,LOW(30)
	LDI  R31,HIGH(30)
	CALL SUBOPT_0x62
;    2391 
;    2392 	CLCD_Command_Data(0x1F,0x0008);				// Power Control 05
	CALL SUBOPT_0x6D
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL SUBOPT_0xE
;    2393 	CLCD_Command_Data(0x44,0x0054); 			// VCOM Control2
	LDI  R30,LOW(68)
	LDI  R31,HIGH(68)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(84)
	LDI  R31,HIGH(84)
	CALL SUBOPT_0xE
;    2394 //	CLCD_Command_Data(0x45,0x0010);				// VCom control3 :: original value for 3.0 Volts power supply
;    2395 	CLCD_Command_Data(0x45,0x000e);				// VCom control3 :: by Brain for 3.3Volts power supply
	LDI  R30,LOW(69)
	LDI  R31,HIGH(69)
	CALL SUBOPT_0x65
;    2396 	lcd_delay(10);						// 10ms Delay
	CALL SUBOPT_0x67
;    2397 	CLCD_Command_Data(0x1C,0x0004); 			// Power Control2
	LDI  R30,LOW(28)
	LDI  R31,HIGH(28)
	CALL SUBOPT_0x63
;    2398 	lcd_delay(20);						// 20ms Delay
	CALL SUBOPT_0x6B
;    2399 	CLCD_Command_Data(0x43,0x0080);				// VCOM Control1
	LDI  R30,LOW(67)
	LDI  R31,HIGH(67)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(128)
	LDI  R31,HIGH(128)
	CALL SUBOPT_0xE
;    2400 	lcd_delay(5);						// 5ms Delay
	CALL SUBOPT_0x13
	RCALL _lcd_delay
;    2401 	CLCD_Command_Data(0x1B,0x0008);				// Power Control1
	LDI  R30,LOW(27)
	LDI  R31,HIGH(27)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	CALL SUBOPT_0xE
;    2402 	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x6E
;    2403 	CLCD_Command_Data(0x1B,0x0010);				//  Power Control1
	LDI  R30,LOW(27)
	LDI  R31,HIGH(27)
	CALL SUBOPT_0x61
;    2404 	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x6E
;    2405 
;    2406 //Display On Setting
;    2407 	CLCD_Command_Data(0x90,0x007F);				// Display Control8
	LDI  R30,LOW(144)
	LDI  R31,HIGH(144)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(127)
	LDI  R31,HIGH(127)
	CALL SUBOPT_0xE
;    2408 	CLCD_Command_Data(0x26,0x0004);				// Display Control1
	LDI  R30,LOW(38)
	LDI  R31,HIGH(38)
	CALL SUBOPT_0x63
;    2409  	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x6E
;    2410 	CLCD_Command_Data(0x26,0x0024);				// Display Control1
	CALL SUBOPT_0x6F
	LDI  R30,LOW(36)
	LDI  R31,HIGH(36)
	CALL SUBOPT_0xE
;    2411 	CLCD_Command_Data(0x26,0x002C);				// Display Control1
	CALL SUBOPT_0x6F
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL SUBOPT_0xE
;    2412  	lcd_delay(40);						// 40ms Delay
	CALL SUBOPT_0x6E
;    2413 	CLCD_Command_Data(0x26,0x003C); 			// Display Control1
	CALL SUBOPT_0x6F
	LDI  R30,LOW(60)
	LDI  R31,HIGH(60)
	CALL SUBOPT_0xE
;    2414   	CLCD_Command_Data(0x57,0x0002);
	LDI  R30,LOW(87)
	LDI  R31,HIGH(87)
	CALL SUBOPT_0x69
;    2415 	CLCD_Command_Data(0x55,0x0000);
	LDI  R30,LOW(85)
	LDI  R31,HIGH(85)
	CALL SUBOPT_0x66
	RCALL _CLCD_Command_Data
;    2416 	CLCD_Command_Data(0x57,0x0000);
	LDI  R30,LOW(87)
	LDI  R31,HIGH(87)
	CALL SUBOPT_0x66
	RCALL _CLCD_Command_Data
;    2417 
;    2418 	ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);//  ǥ ȭ 
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	CALL SUBOPT_0x70
;    2419 }
	RET
;    2420 
;    2421 // ======================= Command Register NO+Data write ====================
;    2422 // [μ] int regnum,unsigned datau
;    2423 // Item1: Register No.
;    2424 // Item2:  
;    2425 // ---------------------------------------------------------------------------
;    2426 void CLCD_Command_Data(int regnum,unsigned datau)
;    2427 {
_CLCD_Command_Data:
;    2428 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
;	regnum -> Y+2
;	datau -> Y+0
	CALL SUBOPT_0x5E
;    2429 // regnum write
;    2430 	PORTE &= ~0x20;						// PORTE.5 :: CLCD RS = 0 :: Instruction Set
	CALL SUBOPT_0x71
;    2431 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;    2432 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    2433 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	ANDI R30,0xFE
	STS  101,R30
;    2434 
;    2435 	PORTC = 0;						// CLCD_D[8..15] = 0
	LDI  R30,LOW(0)
	OUT  0x15,R30
;    2436 	PORTA = regnum & 0xff;					// CLCD_D[0..7] = regnum
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
;    2437 
;    2438 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	CALL SUBOPT_0x72
;    2439 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;    2440 
;    2441 // data 16bit write
;    2442 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	SBI  0x3,5
;    2443 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	LDS  R30,101
	CALL SUBOPT_0x6
;    2444 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	ANDI R30,0xFE
	STS  101,R30
;    2445 
;    2446 	PORTC = (datau >> 8) & 0xff;				// PORTC = datau[8..15] high byte
	LDD  R30,Y+1
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
;    2447 	PORTA = datau & 0xff;					// PORTA = datau[0..7]  low  byte
	CALL SUBOPT_0x4E
;    2448 
;    2449 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	CALL SUBOPT_0x72
;    2450 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;    2451 }
_0x1F6:
	ADIW R28,4
	RET
;    2452 
;    2453 // ======================== Command Register NO. write =======================
;    2454 // [μ] int regnum,unsigned datau
;    2455 // Item1: Register No.
;    2456 // ---------------------------------------------------------------------------
;    2457 void CLCD_Command(int regnum)
;    2458 {
_CLCD_Command:
;    2459 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
;	regnum -> Y+0
	CALL SUBOPT_0x5E
;    2460 // regnum write
;    2461 	PORTE &= ~0x20;						// PORTE.5 :: CLCD RS = 0 :: Instruction Set
	CALL SUBOPT_0x71
;    2462 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;    2463 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    2464 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	ANDI R30,0xFE
	STS  101,R30
;    2465 
;    2466 	PORTC = 0;						// CLCD_D[8..15] = 0
	LDI  R30,LOW(0)
	OUT  0x15,R30
;    2467 	PORTA = regnum & 0xff;					// CLCD_D[0..7] = regnum
	CALL SUBOPT_0x4E
;    2468 
;    2469 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	CALL SUBOPT_0x72
;    2470 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;    2471 }
	ADIW R28,2
	RET
;    2472 
;    2473 // ======================= Command Register Data write =======================
;    2474 // [μ] unsigned datau
;    2475 // Item1:  
;    2476 // ---------------------------------------------------------------------------
;    2477 void CLCD_Cdata(unsigned datau)
;    2478 {
;    2479 	PORTG |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
;	datau -> Y+0
;    2480 // data 16bit write
;    2481 	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
;    2482 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
;    2483 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
;    2484 	PORTG &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
;    2485 
;    2486 	PORTC = (datau >> 8) & 0xff;				// PORTC = datau[8..15] high byte
;    2487 	PORTA = datau & 0xff;					// PORTA = datau[0..7]  low  byte
;    2488 
;    2489 	PORTG |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
;    2490 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
;    2491 }
;    2492 
;    2493 // ========================== Graphic RAM Data Read ==========================
;    2494 // [μ] void
;    2495 // []  ġ ȼ .
;    2496 // ---------------------------------------------------------------------------
;    2497 unsigned CLCD_GRAM_dread(void)
;    2498 {
_CLCD_GRAM_dread:
;    2499 unsigned i,datau,datau1,datau2,datau3;
;    2500 
;    2501 	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	SBIW R28,4
	CALL __SAVELOCR6
;	i -> R16,R17
;	datau -> R18,R19
;	datau1 -> R20,R21
;	datau2 -> Y+8
;	datau3 -> Y+6
	LDI  R30,LOW(34)
	LDI  R31,HIGH(34)
	ST   -Y,R31
	ST   -Y,R30
	CALL _CLCD_Command
;    2502 	PORTA=0xff;						// PORTA Է PULL UP SET
	CALL SUBOPT_0x0
;    2503 	DDRA=0x00;                                              // PORTA(CLCD_D[0..7] = INPUT MODE)
;    2504 	PORTC=0xff;						// PORTA Է PULL UP SET
;    2505 	DDRC=0x00;                                              // PORTC(CLCD_D[8..15] = INPUT MODE)
;    2506 
;    2507 	PORTE |= 0x28;						// PORTE.5 :: CLCD RS = 1 :: Data Set,CLCD_164245_DIR = 1 :: RD Mode
	IN   R30,0x3
	ORI  R30,LOW(0x28)
	OUT  0x3,R30
;    2508 	PORTG |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	CALL SUBOPT_0x5E
;    2509 	PORTG &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	LDS  R30,101
	CALL SUBOPT_0x6
;    2510 
;    2511 // dummy data read
;    2512 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
	ANDI R30,0xFD
	CALL SUBOPT_0x7
;    2513 	for(i = 0; i < 3; i++);
_0xFE:
	__CPWRN 16,17,3
	BRSH _0xFF
	__ADDWRN 16,17,1
	RJMP _0xFE
_0xFF:
;    2514 	datau1 = PINA & 0xff;					// CLCD_D[0..7]
	CALL SUBOPT_0x73
;    2515 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
;    2516 // data read R
;    2517 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
;    2518 	for(i = 0; i < 3; i++);
_0x101:
	__CPWRN 16,17,3
	BRSH _0x102
	__ADDWRN 16,17,1
	RJMP _0x101
_0x102:
;    2519 	datau1 = PINA & 0xff;					// CLCD_D[0..7]
	CALL SUBOPT_0x73
;    2520 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
;    2521 // data read G
;    2522 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
;    2523 	for(i = 0; i < 3; i++);
_0x104:
	__CPWRN 16,17,3
	BRSH _0x105
	__ADDWRN 16,17,1
	RJMP _0x104
_0x105:
;    2524 	datau2 = PINA & 0xff;					// CLCD_D[0..7]
	IN   R30,0x19
	LDI  R31,0
	STD  Y+8,R30
	STD  Y+8+1,R31
;    2525 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
	LDS  R30,101
	ORI  R30,2
	STS  101,R30
;    2526 // data read B
;    2527 	PORTG &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
	LDS  R30,101
	ANDI R30,0xFD
	CALL SUBOPT_0x7
;    2528 	for(i = 0; i < 3; i++);
_0x107:
	__CPWRN 16,17,3
	BRSH _0x108
	__ADDWRN 16,17,1
	RJMP _0x107
_0x108:
;    2529 	datau3 = PINA & 0xff;					// CLCD_D[0..7]
	IN   R30,0x19
	LDI  R31,0
	STD  Y+6,R30
	STD  Y+6+1,R31
;    2530 	PORTG |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
	LDS  R30,101
	ORI  R30,2
	STS  101,R30
;    2531 
;    2532 	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
	CBI  0x3,3
;    2533 	PORTG |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	CALL SUBOPT_0xA
;    2534 
;    2535 	PORTA=0xff;						// PORTA OUTPUT = 0xff
	CALL SUBOPT_0x5F
;    2536 	DDRA=0xff;                                              // PORTC(CLCD_D[0..7] = OUTPUT MODE)
;    2537 	PORTC=0xff;						// PORTC OUTPUT = 0xff
;    2538 	DDRC=0xff;                                              // PORTC(CLCD_D[8..15] = OUTPUT MODE)
;    2539 
;    2540 // RRRRR GGGGGG BBBBB
;    2541 	datau = (datau1 << 8) & 0xf800;				// RED Data
	MOV  R31,R20
	LDI  R30,LOW(0)
	ANDI R30,LOW(0xF800)
	ANDI R31,HIGH(0xF800)
	MOVW R18,R30
;    2542 	datau |= (datau2 << 3) & 0x07e0;			// GREEN Data
	LDD  R30,Y+8
	LDD  R31,Y+8+1
	CALL __LSLW3
	ANDI R30,LOW(0x7E0)
	ANDI R31,HIGH(0x7E0)
	__ORWRR 18,19,30,31
;    2543 	datau |= (datau3 >> 3) & 0x001f;			// BLUE Data
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	CALL __LSRW3
	ANDI R30,LOW(0x1F)
	ANDI R31,HIGH(0x1F)
	__ORWRR 18,19,30,31
;    2544 	return(datau);
	MOVW R30,R18
	CALL __LOADLOCR6
	ADIW R28,10
	RET
;    2545 }
;    2546 
;    2547 // ============================== LCD Delay xxxms ============================
;    2548 // [μ] unsigned short time
;    2549 // Item1: ð time * 1ms
;    2550 // ---------------------------------------------------------------------------
;    2551 void lcd_delay(unsigned short time)
;    2552 {
_lcd_delay:
;    2553 unsigned short i,j;
;    2554 
;    2555   	for(i=0;i<time;i++){
	CALL __SAVELOCR4
;	time -> Y+4
;	i -> R16,R17
;	j -> R18,R19
	__GETWRN 16,17,0
_0x10A:
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	CP   R16,R30
	CPC  R17,R31
	BRSH _0x10B
;    2556  		for(j=0;j<800;j++) #asm ("nop")
	__GETWRN 18,19,0
_0x10D:
	__CPWRN 18,19,800
	BRSH _0x10E
	nop
	__ADDWRN 18,19,1
	JMP  _0x10D
_0x10E:
;    2557 	}
	__ADDWRN 16,17,1
	JMP  _0x10A
_0x10B:
;    2558 }
	RJMP _0x1F5
;    2559 
;    2560 #include "touch.inc"							// ġ 
;    2561 // ================================= ġ  α׷ =======================
;    2562 //      : TSC2003
;    2563 // ----------------------------------------------------------------------------
;    2564 // Լ 
;    2565 int Touch_Data(int scan_time);						// ġ  
;    2566 void TSC2003_Setup(void);						// I2c ʱȭ TSC2003ʱȭ
;    2567 void TSC2003_Write(unsigned char byte);					// TSC2003 ġ Write
;    2568 unsigned TSC2003_Word_Read(unsigned char cmd);				// TSC2003 ġ Word Read
;    2569 
;    2570 //  
;    2571 int Touch_X = 0,Touch_Y = 0;						// ġ ġ  

	.DSEG
_Touch_X:
	.BYTE 0x2
_Touch_Y:
	.BYTE 0x2
;    2572 
;    2573 // ========================== ġκ ͸  =======================
;    2574 // [μ] int scan_time
;    2575 // Item1: ġ SCAN Timne(scan_time * 10ms)
;    2576 // [] 1( ȿ),0( )
;    2577 // [] Touch_X,Touch_Y : ġ  
;    2578 //        _screen_mode :  ȭ 
;    2579 // ---------------------------------------------------------------------------
;    2580 int Touch_Data(int scan_time)
;    2581 {

	.CSEG
_Touch_Data:
;    2582 int x,y;
;    2583 
;    2584 	if((PINE&0x80) == 0){						// ġ ?
	CALL __SAVELOCR4
;	scan_time -> Y+4
;	x -> R16,R17
;	y -> R18,R19
	SBIC 0x1,7
	RJMP _0x10F
;    2585 		if(timer0_touch_cnt >= scan_time){			// ġ  üũ Ÿ scan_time*10ms
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	CP   R8,R30
	CPC  R9,R31
	BRLT _0x110
;    2586 			x = TSC2003_Word_Read(0xcc);			// X  / 12bit / ADC ON
	LDI  R30,LOW(204)
	ST   -Y,R30
	RCALL _TSC2003_Word_Read
	MOVW R16,R30
;    2587 			y = TSC2003_Word_Read(0xdc);			// Y  / 12bit / ADC ON
	LDI  R30,LOW(220)
	ST   -Y,R30
	RCALL _TSC2003_Word_Read
	MOVW R18,R30
;    2588 			TSC2003_Write(0x38);				// PENIRQ ready mode
	LDI  R30,LOW(56)
	ST   -Y,R30
	RCALL _TSC2003_Write
;    2589 			if(_screen_mode == _SCREEN_COLUMN_SET){		// ι 
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x111
;    2590 				Touch_X = 4095 - y;			// ġ 12bit a/d
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	SUB  R30,R18
	SBC  R31,R19
	STS  _Touch_X,R30
	STS  _Touch_X+1,R31
;    2591 				Touch_Y = 4095 - x;			// ġ 12bit a/d
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	SUB  R30,R16
	SBC  R31,R17
	RJMP _0x212
;    2592 			}
;    2593 			else{						// ι 
_0x111:
;    2594 				Touch_X = x;				// ǥ ٲ
	__PUTWMRN _Touch_X,0,16,17
;    2595 				Touch_Y = 4095 - y;			// ġ 12bit a/d
	LDI  R30,LOW(4095)
	LDI  R31,HIGH(4095)
	SUB  R30,R18
	SBC  R31,R19
_0x212:
	STS  _Touch_Y,R30
	STS  _Touch_Y+1,R31
;    2596 			}
;    2597 			timer0_touch_cnt = 0;				// timer clear
	CLR  R8
	CLR  R9
;    2598 			return(1);
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	RJMP _0x1F5
;    2599 		}
;    2600 	}
_0x110:
;    2601 	else timer0_touch_cnt = 0;					//  
	RJMP _0x113
_0x10F:
	CLR  R8
	CLR  R9
;    2602 	return(0);
_0x113:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
_0x1F5:
	CALL __LOADLOCR4
	ADIW R28,6
	RET
;    2603 }
;    2604 
;    2605 // ================================ TSC2003 Setup ============================
;    2606 // [μ] void
;    2607 // ---------------------------------------------------------------------------
;    2608 void TSC2003_Setup(void)
;    2609 {
_TSC2003_Setup:
;    2610 // TWI(I2c) setup
;    2611 	TWBR = 0x0c;							// Bit Rate: 400.000 kHz
	LDI  R30,LOW(12)
	STS  112,R30
;    2612 	TWDR = 0xff;							// TWI DATA = 0xff
	LDI  R30,LOW(255)
	STS  115,R30
;    2613 	TWSR = 0x00;							//  Clear , prescaler = 00(1)
	LDI  R30,LOW(0)
	STS  113,R30
;    2614 
;    2615 // TSC2003 setup
;    2616 	TSC2003_Write(0x38);						// PENIRQ ready mode
	LDI  R30,LOW(56)
	ST   -Y,R30
	RCALL _TSC2003_Write
;    2617 }
	RET
;    2618 
;    2619 // ================================ TSC2003 Write ============================
;    2620 // [μ] unsigned char datau
;    2621 // Item1:  
;    2622 // ---------------------------------------------------------------------------
;    2623 void TSC2003_Write(unsigned char datau)
;    2624 {
_TSC2003_Write:
;    2625 	TWCR = 0xa4;							// START
;	datau -> Y+0
	LDI  R30,LOW(164)
	STS  116,R30
;    2626 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x08));
_0x114:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x117
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x8)
	BREQ _0x116
_0x117:
	RJMP _0x114
_0x116:
;    2627 	TWDR = 0x90;							// Address 0 + write
	CALL SUBOPT_0x74
;    2628 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;    2629 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x18));
_0x119:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x11C
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x18)
	BREQ _0x11B
_0x11C:
	RJMP _0x119
_0x11B:
;    2630 	TWDR = datau;							// data ۽
	LD   R30,Y
	CALL SUBOPT_0x75
;    2631 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;    2632 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x28));
_0x11E:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x121
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x28)
	BREQ _0x120
_0x121:
	RJMP _0x11E
_0x120:
;    2633 
;    2634 	TWCR = 0x94;							// Ϸ 
	LDI  R30,LOW(148)
	STS  116,R30
;    2635 }
	ADIW R28,1
	RET
;    2636 
;    2637 // =============================== TSC2003 word Read =========================
;    2638 // [μ] unsigned char cmd
;    2639 // Item1: ġ  command 
;    2640 // ---------------------------------------------------------------------------
;    2641 unsigned TSC2003_Word_Read(unsigned char cmd)
;    2642 {
_TSC2003_Word_Read:
;    2643 unsigned char byte;
;    2644 unsigned rdatau = 0;
;    2645 
;    2646 	TWCR = 0xa4;							// START
	CALL __SAVELOCR4
;	cmd -> Y+4
;	byte -> R17
;	rdatau -> R18,R19
	LDI  R18,0
	LDI  R19,0
	LDI  R30,LOW(164)
	STS  116,R30
;    2647 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x08));
_0x123:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x126
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x8)
	BREQ _0x125
_0x126:
	RJMP _0x123
_0x125:
;    2648 	TWDR = 0x90;							// Address 0 + write
	CALL SUBOPT_0x74
;    2649 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;    2650 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x18));
_0x128:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x12B
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x18)
	BREQ _0x12A
_0x12B:
	RJMP _0x128
_0x12A:
;    2651 	TWDR = cmd;							// cmd data ۽
	LDD  R30,Y+4
	CALL SUBOPT_0x75
;    2652 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;    2653 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x28));
_0x12D:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x130
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x28)
	BREQ _0x12F
_0x130:
	RJMP _0x12D
_0x12F:
;    2654 
;    2655 	TWCR = 0xa4;							// START
	LDI  R30,LOW(164)
	STS  116,R30
;    2656 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x10));	//  ?
_0x132:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x135
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x10)
	BREQ _0x134
_0x135:
	RJMP _0x132
_0x134:
;    2657 	TWDR = 0x91;   							// Address 0 + read
	LDI  R30,LOW(145)
	CALL SUBOPT_0x75
;    2658 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
;    2659 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x40));	// SLA-R Ϸ?
_0x137:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x13A
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x40)
	BREQ _0x139
_0x13A:
	RJMP _0x137
_0x139:
;    2660 	TWCR = 0xc4;							// data read
	LDI  R30,LOW(196)
	STS  116,R30
;    2661 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x50));	// data  ACK?
_0x13C:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x13F
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x50)
	BREQ _0x13E
_0x13F:
	RJMP _0x13C
_0x13E:
;    2662 	rdatau = TWDR;
	LDS  R18,115
	CLR  R19
;    2663 	TWCR = 0x84;							// TWINT 1 Ἥ Ŭ
	LDI  R30,LOW(132)
	STS  116,R30
;    2664 	while(((TWCR & 0x80) == 0x00) || ((TWSR & 0xf8) != 0x58));	// data  ACK?
_0x141:
	LDS  R30,116
	ANDI R30,LOW(0x80)
	BREQ _0x144
	LDS  R30,113
	ANDI R30,LOW(0xF8)
	CPI  R30,LOW(0x58)
	BREQ _0x143
_0x144:
	RJMP _0x141
_0x143:
;    2665 	byte = TWDR;
	LDS  R17,115
;    2666 
;    2667 	TWCR = 0x94;							// Ϸ 
	LDI  R30,LOW(148)
	STS  116,R30
;    2668 
;    2669 	rdatau =  (rdatau << 4) & 0x0ff0;				// D11-D4
	MOVW R30,R18
	CALL __LSLW4
	ANDI R30,LOW(0xFF0)
	ANDI R31,HIGH(0xFF0)
	MOVW R18,R30
;    2670 	rdatau |= (unsigned)((byte >> 4) & 0x0f);			// D3-D0
	MOV  R30,R17
	SWAP R30
	ANDI R30,LOW(0xF)
	LDI  R31,0
	__ORWRR 18,19,30,31
;    2671 
;    2672 	return rdatau;
	MOVW R30,R18
	CALL __LOADLOCR4
	ADIW R28,5
	RET
;    2673 }
;    2674 
;    2675 // Լ 
;    2676 void main_menu_disp(void);						//  ޴ ǥ
;    2677 
;    2678 //  
;    2679 
;    2680 // ===============================  α׷ ==============================
;    2681 // [μ]: void
;    2682 // ---------------------------------------------------------------------------
;    2683 int main(void)
;    2684 {
_main:
;    2685 char buf[50];
;    2686 unsigned char image[50];
;    2687 unsigned datau;
;    2688 int i;
;    2689 
;    2690 	cpu_setup();							// cpu ʱȭ
	SBIW R28,63
	SBIW R28,37
;	buf -> Y+50
;	image -> Y+0
;	datau -> R16,R17
;	i -> R18,R19
	CALL _cpu_setup
;    2691 	TSC2003_Setup();						// I2c ʱȭ TSC2003ʱȭ
	CALL _TSC2003_Setup
;    2692 	Clcd_Init();							// LCD ʱȭ
	CALL _Clcd_Init
;    2693 	RGB_Disp();							// RGB  ǥ
	CALL _RGB_Disp
;    2694 // ڿ ǥ
;    2695 	Setcolor(_YELLOW);						//  
	CALL SUBOPT_0x76
;    2696 	Setbkcolor(_BLUE);						//  
	CALL SUBOPT_0x6D
	CALL _Setbkcolor
;    2697 	Putsxyt_f(12,9,"â ");					// ڿ ǥ
	LDI  R30,LOW(12)
	LDI  R31,HIGH(12)
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x15
	__POINTD1FN _0,0
	CALL SUBOPT_0x77
;    2698 	Setcolor(_WHITE);						//  
;    2699 	Setbkcolor(_BLUE);						//  
	CALL SUBOPT_0x6D
	CALL _Setbkcolor
;    2700 	Putsxyt_f(5,10,"www.cpuplaza.com");
	CALL SUBOPT_0x13
	CALL SUBOPT_0x78
	__POINTD1FN _0,12
	CALL SUBOPT_0x77
;    2701 	Setcolor(_WHITE);						//  
;    2702 	Setbkcolor(_BLACK);						//  
	CALL SUBOPT_0x1
	CALL _Setbkcolor
;    2703 
;    2704 	main_menu_disp();						//  ޴ ǥ
	RCALL _main_menu_disp
;    2705 	while(1){
_0x146:
;    2706 		if(com1_rx_eflg){					// COM1  ˻
	TST  R4
	BRNE PC+3
	JMP _0x149
;    2707 			if(com1_rx_data == '0') main_menu_disp();	//  ޴ ǥ
	LDI  R30,LOW(48)
	CP   R30,R5
	BRNE _0x14A
	RCALL _main_menu_disp
;    2708 			else if(com1_rx_data == '1') Clrscr();		// ȭ 
	RJMP _0x14B
_0x14A:
	LDI  R30,LOW(49)
	CP   R30,R5
	BRNE _0x14C
	CALL _Clrscr
;    2709 			else if(com1_rx_data == '2') Cleardevice();	// ȭ 
	RJMP _0x14D
_0x14C:
	LDI  R30,LOW(50)
	CP   R30,R5
	BRNE _0x14E
	CALL _Cleardevice
;    2710 			else if(com1_rx_data == '3') Putpixel(10,10,_WHITE);// ȼ ǥ
	RJMP _0x14F
_0x14E:
	LDI  R30,LOW(51)
	CP   R30,R5
	BRNE _0x150
	CALL SUBOPT_0x78
	CALL SUBOPT_0x78
	CALL SUBOPT_0x79
	CALL _Putpixel
;    2711 			else if(com1_rx_data == '4') Putpixelb(0,1,0xff,_WHITE);// Ʈ  ǥ()
	RJMP _0x151
_0x150:
	LDI  R30,LOW(52)
	CP   R30,R5
	BRNE _0x152
	CALL SUBOPT_0x1
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(255)
	ST   -Y,R30
	CALL SUBOPT_0x79
	CALL _Putpixelb
;    2712 			else if(com1_rx_data == '5'){			// ̹ ǥ
	RJMP _0x153
_0x152:
	LDI  R30,LOW(53)
	CP   R30,R5
	BRNE _0x154
;    2713 				for(i = 0; i < 32; i++) image[i] = 0xaa;// 16bit * 16bit size
	__GETWRN 18,19,0
_0x156:
	__CPWRN 18,19,32
	BRGE _0x157
	MOVW R26,R28
	ADD  R26,R18
	ADC  R27,R19
	LDI  R30,LOW(170)
	ST   X,R30
;    2714 				Setcolor(_WHITE);			//  
	__ADDWRN 18,19,1
	RJMP _0x156
_0x157:
	CALL SUBOPT_0x79
	CALL _Setcolor
;    2715 				Setbkcolor(_BLACK);			//  
	CALL SUBOPT_0x1
	CALL _Setbkcolor
;    2716 				Gotoxy(0,0);				// Ŀ ġ (0,0)
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL _Gotoxy
;    2717 				PutImage(image,16,16);			// image ǥ
	MOVW R30,R28
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x7A
	CALL SUBOPT_0x7A
	CALL _PutImage
;    2718 			}
;    2719 			else if(com1_rx_data == '6') Putch('1');	// 1 ǥ
	RJMP _0x158
_0x154:
	LDI  R30,LOW(54)
	CP   R30,R5
	BRNE _0x159
	LDI  R30,LOW(49)
	LDI  R31,HIGH(49)
	ST   -Y,R31
	ST   -Y,R30
	CALL _Putch
;    2720 			else if(com1_rx_data == '7') Putchxy(16,2,'2');	// ׷ ǥ 1 ǥ
	RJMP _0x15A
_0x159:
	LDI  R30,LOW(55)
	CP   R30,R5
	BRNE _0x15B
	CALL SUBOPT_0x7A
	CALL SUBOPT_0xF
	CALL SUBOPT_0x60
	CALL _Putchxy
;    2721 			else if(com1_rx_data == '8') Putchxyt(8,3,'3');	// ؽƮ ǥ 1 ǥ
	RJMP _0x15C
_0x15B:
	LDI  R30,LOW(56)
	CP   R30,R5
	BRNE _0x15D
	CALL SUBOPT_0x14
	CALL SUBOPT_0x10
	LDI  R30,LOW(51)
	LDI  R31,HIGH(51)
	ST   -Y,R31
	ST   -Y,R30
	CALL _Putchxyt
;    2722 			else if(com1_rx_data == '9'){
	RJMP _0x15E
_0x15D:
	LDI  R30,LOW(57)
	CP   R30,R5
	BRNE _0x15F
;    2723 				sprintf(buf,"");			// ѱ ڿ
	CALL SUBOPT_0x7B
	__POINTD1FN _0,29
	CALL SUBOPT_0x7C
;    2724 				Puts(buf);				// ڿ ǥ
	CALL SUBOPT_0x7B
	CALL _Puts
;    2725 				Puts_f("");				// CODE ڿ ǥ
	__POINTD1FN _0,29
	CALL __PUTPARD1
	CALL _Puts_f
;    2726 			}
;    2727 			else if(com1_rx_data == 'a'){
	RJMP _0x160
_0x15F:
	LDI  R30,LOW(97)
	CP   R30,R5
	BRNE _0x161
;    2728 				sprintf(buf,"׽Ʈ1");
	CALL SUBOPT_0x7B
	__POINTD1FN _0,32
	CALL SUBOPT_0x7C
;    2729 				Putsxy(10,3,buf);			// ׷ ǥ ڿ ǥ
	CALL SUBOPT_0x78
	CALL SUBOPT_0x10
	MOVW R30,R28
	ADIW R30,54
	ST   -Y,R31
	ST   -Y,R30
	CALL _Putsxy
;    2730 				Putsxy_f(10,27,"׽Ʈ1");		// ׷ ǥ CODE ڿ ǥ
	CALL SUBOPT_0x78
	LDI  R30,LOW(27)
	LDI  R31,HIGH(27)
	ST   -Y,R31
	ST   -Y,R30
	__POINTD1FN _0,32
	CALL __PUTPARD1
	CALL _Putsxy_f
;    2731 			}
;    2732 			else if(com1_rx_data == 'b'){
	RJMP _0x162
_0x161:
	LDI  R30,LOW(98)
	CP   R30,R5
	BRNE _0x163
;    2733 				sprintf(buf,"׽Ʈ2");
	CALL SUBOPT_0x7B
	__POINTD1FN _0,40
	CALL SUBOPT_0x7C
;    2734 				Putsxyt(4,2,buf);			// ؽƮ ǥ ڿ ǥ
	CALL SUBOPT_0x12
	CALL SUBOPT_0xF
	MOVW R30,R28
	ADIW R30,54
	ST   -Y,R31
	ST   -Y,R30
	CALL _Putsxyt
;    2735 				Putsxyt_f(4,3,"׽Ʈ2");		// ؽƮ ǥ ڿ ǥ
	CALL SUBOPT_0x12
	CALL SUBOPT_0x10
	__POINTD1FN _0,40
	CALL __PUTPARD1
	CALL _Putsxyt_f
;    2736 			}
;    2737 			else if(com1_rx_data == 'c'){			//  پϰ ׸
	RJMP _0x164
_0x163:
	LDI  R30,LOW(99)
	CP   R30,R5
	BREQ PC+3
	JMP _0x165
;    2738 				Line(0,0,200,0);			// 簢 ڽ
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x7D
	CALL _Line
;    2739 				Line(200,0,200,220);
	CALL SUBOPT_0x7D
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x7F
;    2740 				Line(200,220,0,220);
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x66
	CALL SUBOPT_0x80
;    2741 				Line(0,0,0,220);
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x80
;    2742 
;    2743 				Line(0,110,200,110);			// +
	CALL SUBOPT_0x1
	LDI  R30,LOW(110)
	LDI  R31,HIGH(110)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(110)
	LDI  R31,HIGH(110)
	CALL SUBOPT_0x7F
;    2744 				Line(100,0,100,220);
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	CALL SUBOPT_0x66
	CALL SUBOPT_0x81
	CALL SUBOPT_0x80
;    2745 
;    2746 				Line(0,0,200,220);			// 밢
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x7E
	CALL SUBOPT_0x7F
;    2747 				Line(0,220,200,0);
	CALL SUBOPT_0x1
	LDI  R30,LOW(220)
	LDI  R31,HIGH(220)
	ST   -Y,R31
	ST   -Y,R30
	CALL SUBOPT_0x7D
	CALL _Line
;    2748 			}
;    2749 			else if(com1_rx_data == 'd') Rectangle(10,50,230,180);// 簢ڽ ׸
	RJMP _0x166
_0x165:
	LDI  R30,LOW(100)
	CP   R30,R5
	BRNE _0x167
	CALL SUBOPT_0x78
	CALL SUBOPT_0x60
	LDI  R30,LOW(230)
	LDI  R31,HIGH(230)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(180)
	LDI  R31,HIGH(180)
	ST   -Y,R31
	ST   -Y,R30
	CALL _Rectangle
;    2750 			else if(com1_rx_data == 'e'){			// ä ڽ ׸
	RJMP _0x168
_0x167:
	LDI  R30,LOW(101)
	CP   R30,R5
	BREQ PC+3
	JMP _0x169
;    2751 				Setcolor(_RED);				//  
	CALL SUBOPT_0x82
;    2752 				Rectanglefill(50,50,190,150);		// 簢ڽ ä - RED
	CALL SUBOPT_0x60
	CALL SUBOPT_0x60
	CALL SUBOPT_0x83
;    2753 				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
_0x16A:
	CALL SUBOPT_0x84
	BRLT _0x16A
;    2754 				Setcolor(_WHITE);			//  
	CALL SUBOPT_0x79
	CALL SUBOPT_0x85
;    2755 				Rectanglefill(50,50,190,150);		// 簢ڽ ä - WHITE
	CALL SUBOPT_0x60
	CALL SUBOPT_0x83
;    2756 				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
_0x16D:
	CALL SUBOPT_0x84
	BRLT _0x16D
;    2757 				Setcolor(_BLUE);			//  
	CALL SUBOPT_0x6D
	CALL SUBOPT_0x85
;    2758 				Rectanglefill(50,50,190,150);		// 簢ڽ ä - BLUE
	CALL SUBOPT_0x60
	CALL SUBOPT_0x83
;    2759 				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
_0x170:
	CALL SUBOPT_0x84
	BRLT _0x170
;    2760 				Setcolor(_YELLOW);			//  
	CALL SUBOPT_0x76
;    2761 				Rectanglefill(50,50,190,150);		// 簢ڽ ä - YELLOW
	CALL SUBOPT_0x60
	CALL SUBOPT_0x60
	CALL SUBOPT_0x83
;    2762 				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
_0x173:
	CALL SUBOPT_0x84
	BRLT _0x173
;    2763 				Setcolor(_BLACK);			//  
	CALL SUBOPT_0x1
	CALL SUBOPT_0x85
;    2764 				Rectanglefill(50,50,190,150);		// 簢ڽ ä - BLACK
	CALL SUBOPT_0x60
	LDI  R30,LOW(190)
	LDI  R31,HIGH(190)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(150)
	LDI  R31,HIGH(150)
	ST   -Y,R31
	ST   -Y,R30
	CALL _Rectanglefill
;    2765 				Setcolor(_WHITE);			//  
	CALL SUBOPT_0x79
	CALL _Setcolor
;    2766 			}
;    2767 			else if(com1_rx_data == 'f') Circle(100,100,50);	//  ׸
	RJMP _0x176
_0x169:
	LDI  R30,LOW(102)
	CP   R30,R5
	BRNE _0x177
	CALL SUBOPT_0x81
	CALL SUBOPT_0x81
	CALL SUBOPT_0x60
	CALL _Circle
;    2768 			else if(com1_rx_data == 'g') Ellipse(100,100,50,20);// Ÿ ׸
	RJMP _0x178
_0x177:
	LDI  R30,LOW(103)
	CP   R30,R5
	BRNE _0x179
	CALL SUBOPT_0x81
	CALL SUBOPT_0x81
	CALL SUBOPT_0x60
	LDI  R30,LOW(20)
	LDI  R31,HIGH(20)
	ST   -Y,R31
	ST   -Y,R30
	CALL _Ellipse
;    2769 			else if(com1_rx_data == 'h') RGB_Disp();	// RGB  ǥ
	RJMP _0x17A
_0x179:
	LDI  R30,LOW(104)
	CP   R30,R5
	BRNE _0x17B
	CALL _RGB_Disp
;    2770 			else if(com1_rx_data == 'i'){			// ü ȭ  ȼ б
	RJMP _0x17C
_0x17B:
	LDI  R30,LOW(105)
	CP   R30,R5
	BRNE _0x17D
;    2771 				if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	MOV  R0,R10
	OR   R0,R11
	BRNE _0x17E
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	RJMP _0x213
;    2772 				else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
_0x17E:
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
_0x213:
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
;    2773 
;    2774 				datau = CLCD_GRAM_dread();		// ȼ 
	CALL _CLCD_GRAM_dread
	MOVW R16,R30
;    2775 				printf("pixel data : %04x\r\n",datau);
	__POINTD1FN _0,48
	CALL __PUTPARD1
	MOVW R30,R16
	CLR  R22
	CLR  R23
	CALL __PUTPARD1
	LDI  R24,4
	CALL _printf
	ADIW R28,8
;    2776 			}
;    2777 			else if(com1_rx_data == 'j'){
	RJMP _0x180
_0x17D:
	LDI  R30,LOW(106)
	CP   R30,R5
	BRNE _0x181
;    2778 				printf("SCREEN COLUMN MODE SET\r\n");
	__POINTD1FN _0,68
	CALL SUBOPT_0x86
;    2779 				ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x1
	CALL SUBOPT_0x2
	CALL SUBOPT_0x70
;    2780 			}
;    2781 			else if(com1_rx_data == 'k'){
	RJMP _0x182
_0x181:
	LDI  R30,LOW(107)
	CP   R30,R5
	BRNE _0x183
;    2782 				printf("SCREEN ROW MODE SET\r\n");
	__POINTD1FN _0,93
	CALL SUBOPT_0x86
;    2783 				ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
	CALL SUBOPT_0x3
	CALL SUBOPT_0x1
	CALL SUBOPT_0x4
	CALL SUBOPT_0x70
;    2784 			}
;    2785 			else if(com1_rx_data == 'l'){
	RJMP _0x184
_0x183:
	LDI  R30,LOW(108)
	CP   R30,R5
	BRNE _0x185
;    2786 				printf("Color :: WHITE\r\n");
	__POINTD1FN _0,115
	CALL SUBOPT_0x86
;    2787 				Setcolor(_WHITE);			//   WHITE
	CALL SUBOPT_0x79
	CALL _Setcolor
;    2788 			}
;    2789 			else if(com1_rx_data == 'm'){
	RJMP _0x186
_0x185:
	LDI  R30,LOW(109)
	CP   R30,R5
	BRNE _0x187
;    2790 				printf("Color :: BLACK\r\n");
	__POINTD1FN _0,132
	CALL SUBOPT_0x86
;    2791 				Setcolor(_BLACK);			//   BLACK
	CALL SUBOPT_0x1
	CALL _Setcolor
;    2792 			}
;    2793 			else if(com1_rx_data == 'n'){
	RJMP _0x188
_0x187:
	LDI  R30,LOW(110)
	CP   R30,R5
	BRNE _0x189
;    2794 				printf("Color :: RED\r\n");
	__POINTD1FN _0,149
	CALL SUBOPT_0x86
;    2795 				Setcolor(_RED);				//   RED
	CALL SUBOPT_0x82
;    2796 			}
;    2797 			else if(com1_rx_data == 'o'){
	RJMP _0x18A
_0x189:
	LDI  R30,LOW(111)
	CP   R30,R5
	BRNE _0x18B
;    2798 				printf("Color :: BLUE\r\n");
	__POINTD1FN _0,164
	CALL SUBOPT_0x86
;    2799 				Setcolor(_BLUE);			//   BLUE
	CALL SUBOPT_0x6D
	CALL _Setcolor
;    2800 			}
;    2801 			else if(com1_rx_data == 'p'){
	RJMP _0x18C
_0x18B:
	LDI  R30,LOW(112)
	CP   R30,R5
	BRNE _0x18D
;    2802 				printf("Background Color :: BLUE\r\n");
	__POINTD1FN _0,180
	CALL SUBOPT_0x86
;    2803 				Setbkcolor(_BLUE);			//   BLUE
	CALL SUBOPT_0x6D
	CALL _Setbkcolor
;    2804 			}
;    2805 			else if(com1_rx_data == 'q'){
	RJMP _0x18E
_0x18D:
	LDI  R30,LOW(113)
	CP   R30,R5
	BRNE _0x18F
;    2806 				printf("Background Color :: BLACK\r\n");
	__POINTD1FN _0,207
	CALL SUBOPT_0x86
;    2807 				Setbkcolor(_BLACK);			//   BLUE
	CALL SUBOPT_0x1
	CALL _Setbkcolor
;    2808 			}
;    2809 			else putchar(com1_rx_data);
	RJMP _0x190
_0x18F:
	ST   -Y,R5
	CALL _putchar
;    2810 			com1_rx_eflg = 0;
_0x190:
_0x18E:
_0x18C:
_0x18A:
_0x188:
_0x186:
_0x184:
_0x182:
_0x180:
_0x17C:
_0x17A:
_0x178:
_0x176:
_0x168:
_0x166:
_0x164:
_0x162:
_0x160:
_0x15E:
_0x15C:
_0x15A:
_0x158:
_0x153:
_0x151:
_0x14F:
_0x14D:
_0x14B:
	CLR  R4
;    2811 		}
;    2812 		if(Touch_Data(2)){					// ġ  ˻ 20ms
_0x149:
	CALL SUBOPT_0xF
	CALL _Touch_Data
	SBIW R30,0
	BREQ _0x191
;    2813 			printf("touch > (x)%d : (y)%d\r\n",Touch_X,Touch_Y);
	__POINTD1FN _0,235
	CALL __PUTPARD1
	LDS  R30,_Touch_X
	LDS  R31,_Touch_X+1
	CALL __CWD1
	CALL __PUTPARD1
	LDS  R30,_Touch_Y
	LDS  R31,_Touch_Y+1
	CALL __CWD1
	CALL __PUTPARD1
	LDI  R24,8
	CALL _printf
	ADIW R28,12
;    2814 		}
;    2815 	}
_0x191:
	RJMP _0x146
;    2816 	return 0;
_0x192:
	RJMP _0x192
;    2817 }
;    2818 
;    2819 // ==================================  ޴ ǥ =========================
;    2820 // [μ] void
;    2821 // ---------------------------------------------------------------------------
;    2822 void main_menu_disp(void)
;    2823 {
_main_menu_disp:
;    2824 	printf("======== TFT LCD Test Main =========\r\n");
	__POINTD1FN _0,259
	CALL SUBOPT_0x86
;    2825 	printf("- 0 : Main Menu Disp               -\r\n");
	__POINTD1FN _0,298
	CALL SUBOPT_0x86
;    2826 	printf("- 1 : Clrscr     2 : Cleardevice   -\r\n");
	__POINTD1FN _0,337
	CALL SUBOPT_0x86
;    2827 	printf("- 3 : Putpixel   4 : Putpixelb     -\r\n");
	__POINTD1FN _0,376
	CALL SUBOPT_0x86
;    2828 	printf("- 5 : Putimage   6 : Putch         -\r\n");
	__POINTD1FN _0,415
	CALL SUBOPT_0x86
;    2829 	printf("- 7 : Putchxy    8 : Putchxyt      -\r\n");
	__POINTD1FN _0,454
	CALL SUBOPT_0x86
;    2830 	printf("- 9 : Puts       a : Putsxy        -\r\n");
	__POINTD1FN _0,493
	CALL SUBOPT_0x86
;    2831 	printf("- b : Putsxyt    c : Line          -\r\n");
	__POINTD1FN _0,532
	CALL SUBOPT_0x86
;    2832 	printf("- d : Rectangle  e : Rectanglefill -\r\n");
	__POINTD1FN _0,571
	CALL SUBOPT_0x86
;    2833 	printf("- f : Circle     g : Ellipse       -\r\n");
	__POINTD1FN _0,610
	CALL SUBOPT_0x86
;    2834 	printf("- h : RGB Data Display             -\r\n");
	__POINTD1FN _0,649
	CALL SUBOPT_0x86
;    2835 	printf("- i : GRAM Data read               -\r\n");
	__POINTD1FN _0,688
	CALL SUBOPT_0x86
;    2836 	printf("- j : SetScreen(COLUMN)            -\r\n");
	__POINTD1FN _0,727
	CALL SUBOPT_0x86
;    2837 	printf("- k : SetScreen(ROW)               -\r\n");
	__POINTD1FN _0,766
	CALL SUBOPT_0x86
;    2838 	printf("- l : Setcolor(_WHITE)             -\r\n");
	__POINTD1FN _0,805
	CALL SUBOPT_0x86
;    2839 	printf("- m : Setcolor(_BLACK)             -\r\n");
	__POINTD1FN _0,844
	CALL SUBOPT_0x86
;    2840 	printf("- n : Setcolor(_RED)               -\r\n");
	__POINTD1FN _0,883
	CALL SUBOPT_0x86
;    2841 	printf("- o : Setcolor(_BLUE)              -\r\n");
	__POINTD1FN _0,922
	CALL SUBOPT_0x86
;    2842 	printf("- p : Setbkcolor(_BLUE)            -\r\n");
	__POINTD1FN _0,961
	CALL SUBOPT_0x86
;    2843 	printf("- q : Setbkcolor(_BLACK)           -\r\n");
	__POINTD1FN _0,1000
	CALL SUBOPT_0x86
;    2844 	printf("- touch screen press : x,y disp    -\r\n");
	__POINTD1FN _0,1039
	CALL SUBOPT_0x86
;    2845 	printf("------------------------------------\r\n");
	__POINTD1FN _0,1078
	CALL SUBOPT_0x86
;    2846 }
	RET

_getchar:
     sbis usr,rxc
     rjmp _getchar
     in   r30,udr
	RET
_putchar:
     sbis usr,udre
     rjmp _putchar
     ld   r30,y
     out  udr,r30
	ADIW R28,1
	RET
__put_G2:
	ST   -Y,R17
	ST   -Y,R16
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	CALL __GETW1P
	SBIW R30,0
	BREQ _0x193
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	CALL __GETW1P
	MOVW R16,R30
	SBIW R30,0
	BREQ _0x195
	__CPWRN 16,17,2
	BRLO _0x196
	MOVW R30,R16
	SBIW R30,1
	MOVW R16,R30
	ST   X+,R30
	ST   X,R31
_0x195:
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	LD   R30,X+
	LD   R31,X+
	ADIW R30,1
	ST   -X,R31
	ST   -X,R30
	SBIW R30,1
	LDD  R26,Y+6
	STD  Z+0,R26
_0x196:
	RJMP _0x197
_0x193:
	LDD  R30,Y+6
	ST   -Y,R30
	CALL _putchar
_0x197:
	LDD  R17,Y+1
	LDD  R16,Y+0
	ADIW R28,7
	RET
__print_G2:
	SBIW R28,8
	CALL __SAVELOCR6
	LDI  R17,0
_0x198:
	__GETD1S 20
	CALL SUBOPT_0x5B
	__PUTD1S 20
	CALL SUBOPT_0x5C
	MOV  R18,R30
	CPI  R30,0
	BRNE PC+3
	JMP _0x19A
	MOV  R30,R17
	CPI  R30,0
	BRNE _0x19E
	CPI  R18,37
	BRNE _0x19F
	LDI  R17,LOW(1)
	RJMP _0x1A0
_0x19F:
	CALL SUBOPT_0x87
_0x1A0:
	RJMP _0x19D
_0x19E:
	CPI  R30,LOW(0x1)
	BRNE _0x1A1
	CPI  R18,37
	BRNE _0x1A2
	CALL SUBOPT_0x87
	RJMP _0x214
_0x1A2:
	LDI  R17,LOW(2)
	LDI  R20,LOW(0)
	LDI  R16,LOW(0)
	CPI  R18,45
	BRNE _0x1A3
	LDI  R16,LOW(1)
	RJMP _0x19D
_0x1A3:
	CPI  R18,43
	BRNE _0x1A4
	LDI  R20,LOW(43)
	RJMP _0x19D
_0x1A4:
	CPI  R18,32
	BRNE _0x1A5
	LDI  R20,LOW(32)
	RJMP _0x19D
_0x1A5:
	RJMP _0x1A6
_0x1A1:
	CPI  R30,LOW(0x2)
	BRNE _0x1A7
_0x1A6:
	LDI  R21,LOW(0)
	LDI  R17,LOW(3)
	CPI  R18,48
	BRNE _0x1A8
	ORI  R16,LOW(128)
	RJMP _0x19D
_0x1A8:
	RJMP _0x1A9
_0x1A7:
	CPI  R30,LOW(0x3)
	BREQ PC+3
	JMP _0x19D
_0x1A9:
	CPI  R18,48
	BRLO _0x1AC
	CPI  R18,58
	BRLO _0x1AD
_0x1AC:
	RJMP _0x1AB
_0x1AD:
	MOV  R26,R21
	LDI  R30,LOW(10)
	MUL  R30,R26
	MOVW R30,R0
	MOV  R21,R30
	MOV  R30,R18
	SUBI R30,LOW(48)
	ADD  R21,R30
	RJMP _0x19D
_0x1AB:
	MOV  R30,R18
	CPI  R30,LOW(0x63)
	BRNE _0x1B1
	CALL SUBOPT_0x88
	LD   R30,X
	CALL SUBOPT_0x89
	RJMP _0x1B2
_0x1B1:
	CPI  R30,LOW(0x73)
	BRNE _0x1B4
	CALL SUBOPT_0x88
	CALL __GETW1P
	STD  Y+6,R30
	STD  Y+6+1,R31
	ST   -Y,R31
	ST   -Y,R30
	CALL _strlen
	MOV  R17,R30
	RJMP _0x1B5
_0x1B4:
	CPI  R30,LOW(0x70)
	BRNE _0x1B7
	CALL SUBOPT_0x88
	CALL __GETD1P
	CALL SUBOPT_0x8A
	CALL SUBOPT_0x1C
	CALL _strlenf
	MOV  R17,R30
	ORI  R16,LOW(8)
_0x1B5:
	ORI  R16,LOW(2)
	ANDI R16,LOW(127)
	LDI  R19,LOW(0)
	RJMP _0x1B8
_0x1B7:
	CPI  R30,LOW(0x64)
	BREQ _0x1BB
	CPI  R30,LOW(0x69)
	BRNE _0x1BC
_0x1BB:
	ORI  R16,LOW(4)
	RJMP _0x1BD
_0x1BC:
	CPI  R30,LOW(0x75)
	BRNE _0x1BE
_0x1BD:
	__POINTD1FN _tbl10_G2,0
	CALL SUBOPT_0x8A
	LDI  R17,LOW(5)
	RJMP _0x1BF
_0x1BE:
	CPI  R30,LOW(0x58)
	BRNE _0x1C1
	ORI  R16,LOW(8)
	RJMP _0x1C2
_0x1C1:
	CPI  R30,LOW(0x78)
	BREQ PC+3
	JMP _0x1F3
_0x1C2:
	__POINTD1FN _tbl16_G2,0
	CALL SUBOPT_0x8A
	LDI  R17,LOW(4)
_0x1BF:
	SBRS R16,2
	RJMP _0x1C4
	CALL SUBOPT_0x88
	CALL __GETW1P
	STD  Y+12,R30
	STD  Y+12+1,R31
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	SBIW R26,0
	BRGE _0x1C5
	CALL __ANEGW1
	STD  Y+12,R30
	STD  Y+12+1,R31
	LDI  R20,LOW(45)
_0x1C5:
	CPI  R20,0
	BREQ _0x1C6
	SUBI R17,-LOW(1)
	RJMP _0x1C7
_0x1C6:
	ANDI R16,LOW(251)
_0x1C7:
	RJMP _0x1C8
_0x1C4:
	CALL SUBOPT_0x88
	CALL __GETW1P
	STD  Y+12,R30
	STD  Y+12+1,R31
_0x1C8:
_0x1B8:
	SBRC R16,0
	RJMP _0x1C9
_0x1CA:
	CP   R17,R21
	BRSH _0x1CC
	SBRS R16,7
	RJMP _0x1CD
	SBRS R16,2
	RJMP _0x1CE
	ANDI R16,LOW(251)
	MOV  R18,R20
	SUBI R17,LOW(1)
	RJMP _0x1CF
_0x1CE:
	LDI  R18,LOW(48)
_0x1CF:
	RJMP _0x1D0
_0x1CD:
	LDI  R18,LOW(32)
_0x1D0:
	CALL SUBOPT_0x87
	SUBI R21,LOW(1)
	RJMP _0x1CA
_0x1CC:
_0x1C9:
	MOV  R19,R17
	SBRS R16,1
	RJMP _0x1D1
_0x1D2:
	CPI  R19,0
	BREQ _0x1D4
	SBRS R16,3
	RJMP _0x1D5
	__GETD1S 6
	CALL SUBOPT_0x5B
	CALL SUBOPT_0x8A
	CALL SUBOPT_0x5C
	RJMP _0x215
_0x1D5:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	LD   R30,X+
	STD  Y+6,R26
	STD  Y+6+1,R27
_0x215:
	ST   -Y,R30
	CALL SUBOPT_0x8B
	CPI  R21,0
	BREQ _0x1D7
	SUBI R21,LOW(1)
_0x1D7:
	SUBI R19,LOW(1)
	RJMP _0x1D2
_0x1D4:
	RJMP _0x1D8
_0x1D1:
_0x1DA:
	LDI  R18,LOW(48)
	__GETD1S 6
	__SUBD1N -2
	CALL SUBOPT_0x8A
	SBIW R30,2
	SBCI R22,0
	SBCI R23,0
	CALL __GETW1PF
	STD  Y+10,R30
	STD  Y+10+1,R31
_0x1DC:
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	CP   R26,R30
	CPC  R27,R31
	BRLO _0x1DE
	SUBI R18,-LOW(1)
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	SUB  R30,R26
	SBC  R31,R27
	STD  Y+12,R30
	STD  Y+12+1,R31
	RJMP _0x1DC
_0x1DE:
	CPI  R18,58
	BRLO _0x1DF
	SBRS R16,3
	RJMP _0x1E0
	SUBI R18,-LOW(7)
	RJMP _0x1E1
_0x1E0:
	SUBI R18,-LOW(39)
_0x1E1:
_0x1DF:
	SBRC R16,4
	RJMP _0x1E3
	CPI  R18,49
	BRSH _0x1E5
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	SBIW R26,1
	BRNE _0x1E4
_0x1E5:
	RJMP _0x216
_0x1E4:
	CP   R21,R19
	BRLO _0x1E9
	SBRS R16,0
	RJMP _0x1EA
_0x1E9:
	RJMP _0x1E8
_0x1EA:
	LDI  R18,LOW(32)
	SBRS R16,7
	RJMP _0x1EB
	LDI  R18,LOW(48)
_0x216:
	ORI  R16,LOW(16)
	SBRS R16,2
	RJMP _0x1EC
	ANDI R16,LOW(251)
	ST   -Y,R20
	CALL SUBOPT_0x8B
	CPI  R21,0
	BREQ _0x1ED
	SUBI R21,LOW(1)
_0x1ED:
_0x1EC:
_0x1EB:
_0x1E3:
	CALL SUBOPT_0x87
	CPI  R21,0
	BREQ _0x1EE
	SUBI R21,LOW(1)
_0x1EE:
_0x1E8:
	SUBI R19,LOW(1)
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	SBIW R26,2
	BRLO _0x1DB
	RJMP _0x1DA
_0x1DB:
_0x1D8:
	SBRS R16,0
	RJMP _0x1EF
_0x1F0:
	CPI  R21,0
	BREQ _0x1F2
	SUBI R21,LOW(1)
	LDI  R30,LOW(32)
	CALL SUBOPT_0x89
	RJMP _0x1F0
_0x1F2:
_0x1EF:
_0x1F3:
_0x1B2:
_0x214:
	LDI  R17,LOW(0)
_0x19D:
	RJMP _0x198
_0x19A:
	CALL __LOADLOCR6
	ADIW R28,24
	RET
_sprintf:
	PUSH R15
	CALL SUBOPT_0x8C
	MOVW R26,R28
	ADIW R26,8
	CALL __ADDW2R15
	CALL __GETW1P
	STD  Y+2,R30
	STD  Y+2+1,R31
	CALL SUBOPT_0x8D
	CALL __print_G2
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	LDI  R30,LOW(0)
	ST   X,R30
	RJMP _0x1F4
_printf:
	PUSH R15
	CALL SUBOPT_0x8C
	LDI  R30,0
	STD  Y+2,R30
	STD  Y+2+1,R30
	CALL SUBOPT_0x8D
	CALL __print_G2
_0x1F4:
	LDD  R17,Y+1
	LDD  R16,Y+0
	ADIW R28,4
	POP  R15
	RET
_abs:
    ld   r30,y+
    ld   r31,y+
    sbiw r30,0
    brpl __abs0
    com  r30
    com  r31
    adiw r30,1
__abs0:
    ret

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x0:
	LDI  R30,LOW(255)
	OUT  0x1B,R30
	LDI  R30,LOW(0)
	OUT  0x1A,R30
	LDI  R30,LOW(255)
	OUT  0x15,R30
	LDI  R30,LOW(0)
	OUT  0x14,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 71 TIMES, CODE SIZE REDUCTION:137 WORDS
SUBOPT_0x1:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:25 WORDS
SUBOPT_0x2:
	LDI  R30,LOW(319)
	LDI  R31,HIGH(319)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x3:
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x4:
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(319)
	LDI  R31,HIGH(319)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:60 WORDS
SUBOPT_0x5:
	LDI  R30,LOW(34)
	LDI  R31,HIGH(34)
	ST   -Y,R31
	ST   -Y,R30
	CALL _CLCD_Command
	SBI  0x3,5
	LDS  R30,101
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x6:
	ANDI R30,0xFB
	STS  101,R30
	LDS  R30,101
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x7:
	STS  101,R30
	__GETWRN 16,17,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 9 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x8:
	LDS  R30,__screen_ymax
	LDS  R31,__screen_ymax+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 11 TIMES, CODE SIZE REDUCTION:77 WORDS
SUBOPT_0x9:
	LDS  R30,101
	ANDI R30,0xFE
	STS  101,R30
	LDS  R30,101
	ORI  R30,1
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 15 TIMES, CODE SIZE REDUCTION:39 WORDS
SUBOPT_0xA:
	LDS  R30,101
	ORI  R30,4
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0xB:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	STS  __screen_cury,R30
	STS  __screen_cury+1,R31
	STS  __screen_curx,R30
	STS  __screen_curx+1,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xC:
	STS  __screen_cury,R30
	STS  __screen_cury+1,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0xD:
	LDI  R30,LOW(22)
	LDI  R31,HIGH(22)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 62 TIMES, CODE SIZE REDUCTION:119 WORDS
SUBOPT_0xE:
	ST   -Y,R31
	ST   -Y,R30
	JMP  _CLCD_Command_Data

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0xF:
	LDI  R30,LOW(2)
	LDI  R31,HIGH(2)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x10:
	LDI  R30,LOW(3)
	LDI  R31,HIGH(3)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x11:
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x12:
	LDI  R30,LOW(4)
	LDI  R31,HIGH(4)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x13:
	LDI  R30,LOW(5)
	LDI  R31,HIGH(5)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x14:
	LDI  R30,LOW(8)
	LDI  R31,HIGH(8)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x15:
	LDI  R30,LOW(9)
	LDI  R31,HIGH(9)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x16:
	ST   -Y,R31
	ST   -Y,R30
	JMP  __Putch

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x17:
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x18:
	CALL _Gotoxy
	LD   R30,Y
	LDD  R31,Y+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x19:
	CALL _Gotoxyt
	LD   R30,Y
	LDD  R31,Y+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x1A:
	MOVW R30,R20
	__ADDWRN 20,21,1
	SUBI R30,LOW(-_han_conv_buf_G1)
	SBCI R31,HIGH(-_han_conv_buf_G1)
	LD   R30,Z
	MOV  R16,R30
	CPI  R30,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x1B:
	MOV  R31,R17
	LDI  R30,LOW(0)
	MOVW R26,R30
	MOV  R30,R16
	LDI  R31,0
	OR   R30,R26
	OR   R31,R27
	MOVW R18,R30
	ST   -Y,R19
	ST   -Y,R18
	CALL __Putch
	LDI  R17,LOW(0)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1C:
	__GETD1S 6
	CALL __PUTPARD1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x1D:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	RJMP SUBOPT_0x11

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x1E:
	__GETD1S 0
	CALL __PUTPARD1
	JMP  _Puts_f

;OPTIMIZER ADDED SUBROUTINE, CALLED 21 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0x1F:
	LDD  R30,Y+12
	LDD  R31,Y+12+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 15 TIMES, CODE SIZE REDUCTION:81 WORDS
SUBOPT_0x20:
	LDS  R30,__screen_color
	LDS  R31,__screen_color+1
	ST   -Y,R31
	ST   -Y,R30
	JMP  _Putpixel

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x21:
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	ADD  R30,R26
	ADC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 12 TIMES, CODE SIZE REDUCTION:19 WORDS
SUBOPT_0x22:
	LDD  R26,Y+6
	LDD  R27,Y+6+1
	ADD  R30,R26
	ADC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 17 TIMES, CODE SIZE REDUCTION:29 WORDS
SUBOPT_0x23:
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	SUB  R30,R26
	SBC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x24:
	CALL __SAVELOCR4
	ST   -Y,R11
	ST   -Y,R10
	RJMP SUBOPT_0x1F

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x25:
	ST   -Y,R31
	ST   -Y,R30
	CALL _ScreenSet
	RJMP SUBOPT_0x5

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:69 WORDS
SUBOPT_0x26:
	ORI  R30,LOW(0x3)
	STS  101,R30
	LDS  R30,101
	ANDI R30,0xFB
	STS  101,R30
	LDS  R30,__screen_color
	LDS  R31,__screen_color+1
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
	LDS  R30,__screen_color+1
	ANDI R31,HIGH(0x0)
	OUT  0x15,R30
	__GETWRN 16,17,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x27:
	SUB  R30,R26
	SBC  R31,R27
	CP   R30,R16
	CPC  R31,R17
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x28:
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	RJMP SUBOPT_0x23

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x29:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1F

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x2A:
	CALL _ScreenSet
	RJMP SUBOPT_0x5

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x2B:
	LDD  R26,Y+8
	LDD  R27,Y+8+1
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	RJMP SUBOPT_0x27

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x2C:
	MOVW R30,R20
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	ADD  R30,R26
	ADC  R31,R27
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R16
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	ADD  R30,R26
	ADC  R31,R27
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x20

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x2D:
	LDD  R30,Y+10
	LDD  R31,Y+10+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 8 TIMES, CODE SIZE REDUCTION:11 WORDS
SUBOPT_0x2E:
	LDD  R26,Y+2
	LDD  R27,Y+2+1
	RJMP SUBOPT_0x23

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x2F:
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	RJMP SUBOPT_0x22

;OPTIMIZER ADDED SUBROUTINE, CALLED 11 TIMES, CODE SIZE REDUCTION:17 WORDS
SUBOPT_0x30:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x20

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x31:
	LDD  R30,Y+2
	LDD  R31,Y+2+1
	RJMP SUBOPT_0x22

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x32:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x2E

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x33:
	ST   -Y,R31
	ST   -Y,R30
	LDD  R30,Y+4
	LDD  R31,Y+4+1
	RJMP SUBOPT_0x22

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x34:
	ST   -Y,R31
	ST   -Y,R30
	LDD  R26,Y+4
	LDD  R27,Y+4+1
	RJMP SUBOPT_0x23

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x35:
	__GETD1S 28
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x36:
	__GETD1S 32
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x37:
	__GETD2S 20
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x38:
	CALL __ADDD12
	__PUTD1S 12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x39:
	__GETD2S 24
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x3A:
	__PUTD1S 4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x3B:
	__GETD1S 4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x3C:
	__GETD2S 8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x3D:
	LDD  R30,Y+46
	LDD  R31,Y+46+1
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x3E:
	ST   -Y,R17
	ST   -Y,R16
	ST   -Y,R19
	ST   -Y,R18
	CALL _symmetry4
	__GETD2S 12
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x3F:
	__SUBWRN 18,19,1
	RCALL SUBOPT_0x39
	RCALL SUBOPT_0x3B
	CALL __SUBD12
	RCALL SUBOPT_0x3A
	__GETD2S 4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x40:
	__ADDWRN 16,17,1
	__GETD1S 16
	RCALL SUBOPT_0x3C
	CALL __ADDD12
	__PUTD1S 8
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x41:
	__GETD2S 12
	RJMP SUBOPT_0x38

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x42:
	__GETD1N 0x2
	CALL __DIVD21
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:15 WORDS
SUBOPT_0x43:
	ORI  R30,LOW(0x3)
	STS  101,R30
	LDS  R30,101
	ANDI R30,0xFB
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x44:
	LDS  R30,__screen_bkcolor
	LDS  R31,__screen_bkcolor+1
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
	LDS  R30,__screen_bkcolor+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x45:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	ADD  R26,R30
	ADC  R27,R31
	CP   R12,R26
	CPC  R13,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x46:
	LDD  R26,Y+10
	LDD  R27,Y+10+1
	ADD  R26,R30
	ADC  R27,R31
	RCALL SUBOPT_0x8
	CP   R30,R26
	CPC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:4 WORDS
SUBOPT_0x47:
	LDD  R30,Y+14
	LDD  R31,Y+14+1
	LDD  R26,Y+18
	LDD  R27,Y+18+1
	ADD  R26,R30
	ADC  R27,R31
	SBIW R26,1
	ST   -Y,R27
	ST   -Y,R26
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x48:
	LD   R30,X
	LDI  R31,0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x49:
	LDI  R30,LOW(319)
	LDI  R31,HIGH(319)
	MOVW R12,R30
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4A:
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	MOVW R12,R30
	LDI  R30,LOW(319)
	LDI  R31,HIGH(319)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x4B:
	LDI  R30,0
	STS  __screen_curx,R30
	STS  __screen_curx+1,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4C:
	LDS  R26,__screen_cury
	LDS  R27,__screen_cury+1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x4D:
	RCALL SUBOPT_0xC
	RCALL SUBOPT_0x8
	RCALL SUBOPT_0x4C
	CP   R30,R26
	CPC  R31,R27
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x4E:
	LD   R30,Y
	LDD  R31,Y+1
	ANDI R31,HIGH(0xFF)
	OUT  0x1B,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x4F:
	MOVW R20,R30
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	MOVW R18,R30
	MOVW R16,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x50:
	LDD  R26,Y+12
	LDD  R27,Y+12+1
	ADD  R26,R30
	ADC  R27,R31
	LD   R30,X
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x51:
	MOVW R30,R16
	ADIW R30,1
	MOVW R16,R30
	RJMP SUBOPT_0x50

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:52 WORDS
SUBOPT_0x52:
	LDD  R30,Y+10
	LDI  R31,0
	SUBI R30,LOW(176)
	SBCI R31,HIGH(176)
	LDI  R26,LOW(94)
	LDI  R27,HIGH(94)
	CALL __MULW12U
	MOVW R26,R30
	LDD  R30,Y+11
	LDI  R31,0
	SUBI R30,LOW(161)
	SBCI R31,HIGH(161)
	ADD  R30,R26
	ADC  R31,R27
	STD  Y+8,R30
	STD  Y+8+1,R31
	LDI  R26,LOW(_Conv_Tbl*2)
	LDI  R27,HIGH(_Conv_Tbl*2)
	LDI  R24,BYTE3(_Conv_Tbl*2)
	CLR  R22
	CLR  R23
	CALL __LSLD1
	CALL __ADDD12
	CALL __GETW1PF
	STD  Y+6,R30
	STD  Y+6+1,R31
	MOVW R30,R18
	__ADDWRN 18,19,1
	SUBI R30,LOW(-_han_conv_buf_G1)
	SBCI R31,HIGH(-_han_conv_buf_G1)
	MOVW R26,R30
	LDD  R30,Y+7
	ANDI R31,HIGH(0x0)
	ST   X,R30
	MOVW R30,R18
	__ADDWRN 18,19,1
	SUBI R30,LOW(-_han_conv_buf_G1)
	SBCI R31,HIGH(-_han_conv_buf_G1)
	MOVW R26,R30
	LDD  R30,Y+6
	LDD  R31,Y+6+1
	ANDI R31,HIGH(0xFF)
	ST   X,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 20 TIMES, CODE SIZE REDUCTION:73 WORDS
SUBOPT_0x53:
	MOVW R30,R18
	__ADDWRN 18,19,1
	SUBI R30,LOW(-_han_conv_buf_G1)
	SBCI R31,HIGH(-_han_conv_buf_G1)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x54:
	LDI  R26,LOW(_han_conv_buf_G1)
	LDI  R27,HIGH(_han_conv_buf_G1)
	ADD  R26,R18
	ADC  R27,R19
	LDI  R30,LOW(0)
	ST   X,R30
	CALL __LOADLOCR6
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x55:
	__GETD2S 12
	CLR  R22
	CLR  R23
	CALL __ADDD12
	__GETBRPF 0
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x56:
	MOVW R30,R16
	ADIW R30,1
	MOVW R16,R30
	RJMP SUBOPT_0x55

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x57:
	LDI  R30,LOW(31)
	LDI  R31,HIGH(31)
	STD  Y+10,R30
	STD  Y+10+1,R31
	LDI  R30,0
	STD  Y+8,R30
	STD  Y+8+1,R30
	LDI  R30,0
	STD  Y+6,R30
	STD  Y+6+1,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:17 WORDS
SUBOPT_0x58:
	CALL __MULB1W2U
	STD  Y+6,R30
	STD  Y+6+1,R31
	LDI  R30,LOW(_ib_G1)
	LDI  R31,HIGH(_ib_G1)
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R16
	RJMP SUBOPT_0x21

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x59:
	CLR  R22
	CLR  R23
	__GETD2N 0x48
	CALL __MULD12U
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x5A:
	CALL __PUTPARD1
	LDI  R30,LOW(72)
	LDI  R31,HIGH(72)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x5B:
	__SUBD1N -1
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x5C:
	SBIW R30,1
	SBCI R22,0
	SBCI R23,0
	__GETBRPF 30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x5D:
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _lcd_delay

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x5E:
	LDS  R30,101
	ORI  R30,LOW(0x3)
	STS  101,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x5F:
	LDI  R30,LOW(255)
	OUT  0x1B,R30
	OUT  0x1A,R30
	OUT  0x15,R30
	OUT  0x14,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 15 TIMES, CODE SIZE REDUCTION:25 WORDS
SUBOPT_0x60:
	LDI  R30,LOW(50)
	LDI  R31,HIGH(50)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x61:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x62:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x63:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(4)
	LDI  R31,HIGH(4)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x64:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x65:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(14)
	LDI  R31,HIGH(14)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 13 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x66:
	ST   -Y,R31
	ST   -Y,R30
	RJMP SUBOPT_0x1

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x67:
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _lcd_delay

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x68:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(149)
	LDI  R31,HIGH(149)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 7 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x69:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(2)
	LDI  R31,HIGH(2)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x6A:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(240)
	LDI  R31,HIGH(240)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x6B:
	LDI  R30,LOW(20)
	LDI  R31,HIGH(20)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _lcd_delay

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x6C:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(56)
	LDI  R31,HIGH(56)
	RJMP SUBOPT_0xE

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x6D:
	LDI  R30,LOW(31)
	LDI  R31,HIGH(31)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x6E:
	LDI  R30,LOW(40)
	LDI  R31,HIGH(40)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _lcd_delay

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x6F:
	LDI  R30,LOW(38)
	LDI  R31,HIGH(38)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x70:
	ST   -Y,R31
	ST   -Y,R30
	JMP  _ScreenSet

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x71:
	CBI  0x3,5
	CBI  0x3,3
	LDS  R30,101
	RJMP SUBOPT_0x6

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x72:
	LDS  R30,101
	ORI  R30,1
	STS  101,R30
	RJMP SUBOPT_0xA

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:8 WORDS
SUBOPT_0x73:
	IN   R30,0x19
	MOV  R20,R30
	CLR  R21
	LDS  R30,101
	ORI  R30,2
	STS  101,R30
	LDS  R30,101
	ANDI R30,0xFD
	RJMP SUBOPT_0x7

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x74:
	LDI  R30,LOW(144)
	STS  115,R30
	LDI  R30,LOW(132)
	STS  116,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x75:
	STS  115,R30
	LDI  R30,LOW(132)
	STS  116,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x76:
	LDI  R30,LOW(65504)
	LDI  R31,HIGH(65504)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _Setcolor

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x77:
	CALL __PUTPARD1
	CALL _Putsxyt_f
	LDI  R30,LOW(65535)
	LDI  R31,HIGH(65535)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _Setcolor

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x78:
	LDI  R30,LOW(10)
	LDI  R31,HIGH(10)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x79:
	LDI  R30,LOW(65535)
	LDI  R31,HIGH(65535)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x7A:
	LDI  R30,LOW(16)
	LDI  R31,HIGH(16)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x7B:
	MOVW R30,R28
	ADIW R30,50
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x7C:
	CALL __PUTPARD1
	LDI  R24,0
	CALL _sprintf
	ADIW R28,6
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x7D:
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	RJMP SUBOPT_0x66

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x7E:
	LDI  R30,LOW(200)
	LDI  R31,HIGH(200)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(220)
	LDI  R31,HIGH(220)
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:7 WORDS
SUBOPT_0x7F:
	ST   -Y,R31
	ST   -Y,R30
	JMP  _Line

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x80:
	LDI  R30,LOW(220)
	LDI  R31,HIGH(220)
	RJMP SUBOPT_0x7F

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x81:
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	ST   -Y,R31
	ST   -Y,R30
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x82:
	LDI  R30,LOW(63488)
	LDI  R31,HIGH(63488)
	ST   -Y,R31
	ST   -Y,R30
	JMP  _Setcolor

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:27 WORDS
SUBOPT_0x83:
	LDI  R30,LOW(190)
	LDI  R31,HIGH(190)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R30,LOW(150)
	LDI  R31,HIGH(150)
	ST   -Y,R31
	ST   -Y,R30
	CALL _Rectanglefill
	CLR  R6
	CLR  R7
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:3 WORDS
SUBOPT_0x84:
	LDI  R30,LOW(100)
	LDI  R31,HIGH(100)
	CP   R6,R30
	CPC  R7,R31
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x85:
	CALL _Setcolor
	RJMP SUBOPT_0x60

;OPTIMIZER ADDED SUBROUTINE, CALLED 30 TIMES, CODE SIZE REDUCTION:113 WORDS
SUBOPT_0x86:
	CALL __PUTPARD1
	LDI  R24,0
	CALL _printf
	ADIW R28,4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:24 WORDS
SUBOPT_0x87:
	ST   -Y,R18
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,17
	ST   -Y,R31
	ST   -Y,R30
	JMP  __put_G2

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:13 WORDS
SUBOPT_0x88:
	LDD  R26,Y+18
	LDD  R27,Y+18+1
	SBIW R26,4
	STD  Y+18,R26
	STD  Y+18+1,R27
	ADIW R26,4
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x89:
	ST   -Y,R30
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,17
	ST   -Y,R31
	ST   -Y,R30
	JMP  __put_G2

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x8A:
	__PUTD1S 6
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x8B:
	LDD  R30,Y+17
	LDD  R31,Y+17+1
	ST   -Y,R31
	ST   -Y,R30
	MOVW R30,R28
	ADIW R30,17
	ST   -Y,R31
	ST   -Y,R30
	JMP  __put_G2

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x8C:
	MOV  R15,R24
	SBIW R28,2
	ST   -Y,R17
	ST   -Y,R16
	MOVW R26,R28
	CALL __ADDW2R15
	MOVW R16,R26
	RET

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:9 WORDS
SUBOPT_0x8D:
	MOVW R26,R28
	ADIW R26,4
	CALL __ADDW2R15
	CALL __GETD1P
	CALL __PUTPARD1
	ST   -Y,R17
	ST   -Y,R16
	MOVW R30,R28
	ADIW R30,8
	RJMP SUBOPT_0x66

_memcpyf:
	ldd  r25,y+1
	ld   r24,y
	adiw r24,0
	breq __memcpyf1
	ldd  r27,y+7
	ldd  r26,y+6
	ldd  r22,y+4
	ldd  r31,y+3
	ldd  r30,y+2
	out  rampz,r22
__memcpyf0:
	elpm r0,z+
	st   x+,r0
	sbiw r24,1
	brne __memcpyf0
__memcpyf1:
	ldd  r31,y+7
	ldd  r30,y+6
	adiw r28,8
	ret

_memset:
	ldd  r27,y+1
	ld   r26,y
	adiw r26,0
	breq __memset1
	ldd  r31,y+4
	ldd  r30,y+3
	ldd  r22,y+2
__memset0:
	st   z+,r22
	sbiw r26,1
	brne __memset0
__memset1:
	ldd  r30,y+3
	ldd  r31,y+4
	adiw r28,5
	ret

_strlen:
	ld   r26,y+
	ld   r27,y+
	clr  r30
	clr  r31
__strlen0:
	ld   r22,x+
	tst  r22
	breq __strlen1
	adiw r30,1
	rjmp __strlen0
__strlen1:
	ret

_strlenf:
	clr  r26
	clr  r27
	ld   r30,y+
	ld   r31,y+
	ld   r22,y+
	ld   r23,y+
	out  rampz,r22
__strlenf0:
	elpm r0,z+
	tst  r0
	breq __strlenf1
	adiw r26,1
	rjmp __strlenf0
__strlenf1:
	movw r30,r26
	ret

__ADDW2R15:
	CLR  R0
	ADD  R26,R15
	ADC  R27,R0
	RET

__ADDD12:
	ADD  R30,R26
	ADC  R31,R27
	ADC  R22,R24
	ADC  R23,R25
	RET

__SUBD12:
	SUB  R30,R26
	SBC  R31,R27
	SBC  R22,R24
	SBC  R23,R25
	RET

__SUBD21:
	SUB  R26,R30
	SBC  R27,R31
	SBC  R24,R22
	SBC  R25,R23
	RET

__ANEGW1:
	COM  R30
	COM  R31
	ADIW R30,1
	RET

__ANEGD1:
	COM  R30
	COM  R31
	COM  R22
	COM  R23
	SUBI R30,-1
	SBCI R31,-1
	SBCI R22,-1
	SBCI R23,-1
	RET

__LSLW12:
	TST  R30
	MOV  R0,R30
	MOVW R30,R26
	BREQ __LSLW12R
__LSLW12L:
	LSL  R30
	ROL  R31
	DEC  R0
	BRNE __LSLW12L
__LSLW12R:
	RET

__LSRW12:
	TST  R30
	MOV  R0,R30
	MOVW R30,R26
	BREQ __LSRW12R
__LSRW12L:
	LSR  R31
	ROR  R30
	DEC  R0
	BRNE __LSRW12L
__LSRW12R:
	RET

__LSLW4:
	LSL  R30
	ROL  R31
__LSLW3:
	LSL  R30
	ROL  R31
__LSLW2:
	LSL  R30
	ROL  R31
	LSL  R30
	ROL  R31
	RET

__LSRW3:
	LSR  R31
	ROR  R30
__LSRW2:
	LSR  R31
	ROR  R30
	LSR  R31
	ROR  R30
	RET

__LSLD1:
	LSL  R30
	ROL  R31
	ROL  R22
	ROL  R23
	RET

__CWD1:
	MOV  R22,R31
	ADD  R22,R22
	SBC  R22,R22
	MOV  R23,R22
	RET

__MULW12U:
	MUL  R31,R26
	MOV  R31,R0
	MUL  R30,R27
	ADD  R31,R0
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	RET

__MULD12U:
	MUL  R23,R26
	MOV  R23,R0
	MUL  R22,R27
	ADD  R23,R0
	MUL  R31,R24
	ADD  R23,R0
	MUL  R30,R25
	ADD  R23,R0
	MUL  R22,R26
	MOV  R22,R0
	ADD  R23,R1
	MUL  R31,R27
	ADD  R22,R0
	ADC  R23,R1
	MUL  R30,R24
	ADD  R22,R0
	ADC  R23,R1
	CLR  R24
	MUL  R31,R26
	MOV  R31,R0
	ADD  R22,R1
	ADC  R23,R24
	MUL  R30,R27
	ADD  R31,R0
	ADC  R22,R1
	ADC  R23,R24
	MUL  R30,R26
	MOV  R30,R0
	ADD  R31,R1
	ADC  R22,R24
	ADC  R23,R24
	RET

__MULB1W2U:
	MOV  R22,R30
	MUL  R22,R26
	MOVW R30,R0
	MUL  R22,R27
	ADD  R31,R0
	RET

__MULW12:
	RCALL __CHKSIGNW
	RCALL __MULW12U
	BRTC __MULW121
	RCALL __ANEGW1
__MULW121:
	RET

__MULD12:
	RCALL __CHKSIGND
	RCALL __MULD12U
	BRTC __MULD121
	RCALL __ANEGD1
__MULD121:
	RET

__DIVD21U:
	PUSH R19
	PUSH R20
	PUSH R21
	CLR  R0
	CLR  R1
	CLR  R20
	CLR  R21
	LDI  R19,32
__DIVD21U1:
	LSL  R26
	ROL  R27
	ROL  R24
	ROL  R25
	ROL  R0
	ROL  R1
	ROL  R20
	ROL  R21
	SUB  R0,R30
	SBC  R1,R31
	SBC  R20,R22
	SBC  R21,R23
	BRCC __DIVD21U2
	ADD  R0,R30
	ADC  R1,R31
	ADC  R20,R22
	ADC  R21,R23
	RJMP __DIVD21U3
__DIVD21U2:
	SBR  R26,1
__DIVD21U3:
	DEC  R19
	BRNE __DIVD21U1
	MOVW R30,R26
	MOVW R22,R24
	MOVW R26,R0
	MOVW R24,R20
	POP  R21
	POP  R20
	POP  R19
	RET

__DIVD21:
	RCALL __CHKSIGND
	RCALL __DIVD21U
	BRTC __DIVD211
	RCALL __ANEGD1
__DIVD211:
	RET

__CHKSIGNW:
	CLT
	SBRS R31,7
	RJMP __CHKSW1
	RCALL __ANEGW1
	SET
__CHKSW1:
	SBRS R27,7
	RJMP __CHKSW2
	COM  R26
	COM  R27
	ADIW R26,1
	BLD  R0,0
	INC  R0
	BST  R0,0
__CHKSW2:
	RET

__CHKSIGND:
	CLT
	SBRS R23,7
	RJMP __CHKSD1
	RCALL __ANEGD1
	SET
__CHKSD1:
	SBRS R25,7
	RJMP __CHKSD2
	CLR  R0
	COM  R26
	COM  R27
	COM  R24
	COM  R25
	ADIW R26,1
	ADC  R24,R0
	ADC  R25,R0
	BLD  R0,0
	INC  R0
	BST  R0,0
__CHKSD2:
	RET

__GETW1P:
	LD   R30,X+
	LD   R31,X
	SBIW R26,1
	RET

__GETD1P:
	LD   R30,X+
	LD   R31,X+
	LD   R22,X+
	LD   R23,X
	SBIW R26,3
	RET

__GETW1PF:
	OUT  RAMPZ,R22
	ELPM R0,Z+
	ELPM R31,Z
	MOV  R30,R0
	RET

__PUTPARD1:
	ST   -Y,R23
	ST   -Y,R22
	ST   -Y,R31
	ST   -Y,R30
	RET

__SWAPD12:
	MOV  R1,R24
	MOV  R24,R22
	MOV  R22,R1
	MOV  R1,R25
	MOV  R25,R23
	MOV  R23,R1

__SWAPW12:
	MOV  R1,R27
	MOV  R27,R31
	MOV  R31,R1

__SWAPB12:
	MOV  R1,R26
	MOV  R26,R30
	MOV  R30,R1
	RET

__CPD20:
	SBIW R26,0
	SBCI R24,0
	SBCI R25,0
	RET

__CPD02:
	CLR  R0
	CP   R0,R26
	CPC  R0,R27
	CPC  R0,R24
	CPC  R0,R25
	RET

__CPD21:
	CP   R26,R30
	CPC  R27,R31
	CPC  R24,R22
	CPC  R25,R23
	RET

__SAVELOCR6:
	ST   -Y,R21
__SAVELOCR5:
	ST   -Y,R20
__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR6:
	LDD  R21,Y+5
__LOADLOCR5:
	LDD  R20,Y+4
__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

__INITLOCB:
__INITLOCW:
	ADD R26,R28
	ADC R27,R29
	OUT  RAMPZ,R22
__INITLOC0:
	ELPM R0,Z+
	ST   X+,R0
	DEC  R24
	BRNE __INITLOC0
	RET

;END OF CODE MARKER
__END_OF_CODE:
